-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generacin: 18-01-2023 a las 05:39:24
-- Versin del servidor: 10.4.22-MariaDB
-- Versin de PHP: 8.1.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;

--
-- Base de datos: `bd_mesapartes7`
--

DELIMITER $$
--
-- Procedimientos
--
CREATE PROCEDURE `PA_ACTUALIZARHORARIO` (IN `id` INT, IN `txt_inicio` VARCHAR(50), IN `txt_final` VARCHAR(50), IN `combo_laborable` VARCHAR(5))  BEGIN
UPDATE configuracion SET
configuracion.conf_horaincio = txt_inicio,
configuracion.conf_horafinal = txt_final,
configuracion.conf_laborable = combo_laborable 
WHERE configuracion_id = id;
end$$

CREATE PROCEDURE `PA_ACTUALIZAR_ESTATE_MENSAJE` (IN `IDREMI` INT, IN `IDDEST` INT)  BEGIN
	UPDATE mensaje SET
		mensaje.state = '2'
	WHERE mensaje.remitente_id = IDDEST AND mensaje.destinatario_id = IDREMI ;
	SELECT 1;
END$$

CREATE PROCEDURE `PA_AGREGAR_REQUISITO` (IN `combo_tiporequisitos` INT, IN `idtipodocumento` INT)  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) FROM requisitos where requisitos.tipodocumento_id=idtipodocumento 
AND requisitos.tiporequisito_id=combo_tiporequisitos);
IF @CANTIDAD = 0 THEN
	INSERT INTO requisitos (tiporequisito_id,tipodocumento_id,req_estado,req_fecharegistro) VALUES 
                         (combo_tiporequisitos,idtipodocumento,'ACTIVO',NOW());
	SELECT 1;
ELSE
	SELECT 2;
END IF;
END$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_EDITAR` (IN `ID_SEGUIMIENTO` VARCHAR(15))  SELECT
documento.documento_id,
documento.doc_dniremitente,
documento.doc_nombreremitente,
documento.doc_apepatremitente,
documento.doc_apematremitente,
documento.doc_celularremitente,
documento.doc_emailremitente,
documento.doc_direccionremitente,
documento.doc_representacion,
documento.doc_ruc,
documento.doc_empresa,
documento.doc_nrodocumento,
documento.doc_folio,
documento.doc_asunto,
documento.doc_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y') AS doc_fecharegistro,
documento.area_id,
area.area_nombre,
UPPER(tipo_documento.tipodo_descripcion) tipodo_descripcion,
documento.doc_estatus,
IFNULL(origen.area_nombre,'EXTERIOR') as origen_nombre,
origen2.area_nombre as origen_nombre2,
movimiento.movimiento_id,
documento.tipodocumento_id,
documento.doc_archivo_respuesta,
IFNULL(origen.area_cod,0) area_cod
FROM
documento
INNER JOIN area ON area.area_cod = documento.area_id
INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area AS origen ON origen.area_cod = documento.area_origen
INNER JOIN movimiento ON  movimiento.documento_id = documento.documento_id
INNER JOIN area AS origen2 ON movimiento.area_origen_id = origen2.area_cod
WHERE documento.documento_id = ID_SEGUIMIENTO
GROUP BY documento.documento_id
ORDER BY documento.doc_fecharegistro$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_EXTERNO` (IN `NRO_DOCUMENTO` VARCHAR(15), IN `ANIO` VARCHAR(5), IN `DNI` VARCHAR(8))  BEGIN
SELECT
documento.documento_id,
IFNULL(UPPER(documento.doc_dniremitente),''),
IFNULL(UPPER(documento.doc_nombreremitente),''),
IFNULL(UPPER(documento.doc_apepatremitente),''),
IFNULL(UPPER(documento.doc_apematremitente),''),
IFNULL(UPPER(documento.doc_celularremitente),''),
IFNULL(UPPER(documento.doc_emailremitente),''),
IFNULL(UPPER(documento.doc_direccionremitente),''),
IFNULL(UPPER(documento.doc_representacion),''),
IFNULL(UPPER(documento.doc_ruc),''),
IFNULL(UPPER(documento.doc_empresa),''),
IFNULL(UPPER(documento.tipodocumento_id),''),
IFNULL(UPPER(documento.doc_nrodocumento),''),
IFNULL(UPPER(documento.doc_folio),''),
IFNULL(UPPER(documento.doc_asunto),''),
IFNULL(UPPER(documento.doc_archivo),''),
IFNULL(UPPER(tipo_documento.tipodo_descripcion),''),
DATE_FORMAT(documento.doc_fecharegistro,'%Y'),
CONCAT(DATE_FORMAT(documento.doc_fecharegistro,'%d '),ELT(MONTH(documento.doc_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(documento.doc_fecharegistro,' %Y')),
CONCAT(DATE_FORMAT(documento.doc_fecharegistro,'%d '),ELT(MONTH(documento.doc_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(documento.doc_fecharegistro,' del %Y')),
DATE_FORMAT(documento.doc_fecharegistro,'%H : %i'),
documento.area_destino,
IFNULL(area.area_nombre,'') area_nombre
FROM
documento
LEFT JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area ON documento.area_destino = area.area_cod
WHERE documento.documento_id = NRO_DOCUMENTO AND
DATE_FORMAT(documento.doc_fecharegistro,'%Y') = ANIO AND
documento.doc_dniremitente = DNI;
END$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_INTERNO` (IN `NRO_DOCUMENTO` VARCHAR(15), IN `ANIO` VARCHAR(5))  BEGIN
SELECT
documento.documento_id,
IFNULL(UPPER(documento.doc_dniremitente),''),
IFNULL(UPPER(documento.doc_nombreremitente),''),
IFNULL(UPPER(documento.doc_apepatremitente),''),
IFNULL(UPPER(documento.doc_apematremitente),''),
IFNULL(UPPER(documento.doc_celularremitente),''),
IFNULL(UPPER(documento.doc_emailremitente),''),
IFNULL(UPPER(documento.doc_direccionremitente),''),
IFNULL(UPPER(documento.doc_representacion),''),
IFNULL(UPPER(documento.doc_ruc),''),
IFNULL(UPPER(documento.doc_empresa),''),
IFNULL(UPPER(documento.tipodocumento_id),''),
IFNULL(UPPER(documento.doc_nrodocumento),''),
IFNULL(UPPER(documento.doc_folio),''),
IFNULL(UPPER(documento.doc_asunto),''),
IFNULL(UPPER(documento.doc_archivo),''),
IFNULL(UPPER(tipo_documento.tipodo_descripcion),''),
DATE_FORMAT(documento.doc_fecharegistro,'%Y'),
CONCAT(DATE_FORMAT(documento.doc_fecharegistro,'%d '),ELT(MONTH(documento.doc_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(documento.doc_fecharegistro,' %Y')),
CONCAT(DATE_FORMAT(documento.doc_fecharegistro,'%d '),ELT(MONTH(documento.doc_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(documento.doc_fecharegistro,' del %Y')),
DATE_FORMAT(documento.doc_fecharegistro,'%H : %i'),
documento.area_destino,
IFNULL(area.area_nombre,'') area_nombre,
documento.doc_estatus
FROM
documento
LEFT JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area ON documento.area_destino = area.area_cod
WHERE documento.documento_id = NRO_DOCUMENTO and DATE_FORMAT(documento.doc_fecharegistro,'%Y') = ANIO;
END$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_SEGUIMIENTO` (IN `ID_DOCUMENTO` VARCHAR(15))  BEGIN
SELECT
movimiento.movimiento_id,
IFNULL(UPPER(movimiento.area_origen_id),'') AS idarea_origen,
IFNULL(UPPER(movimiento.areadestino_id),'') AS idarea_destino,
DATE_FORMAT(movimiento.mov_fecharegistro,'%Y'),
CONCAT(DATE_FORMAT(movimiento.mov_fecharegistro,'%d '),ELT(MONTH(movimiento.mov_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(movimiento.mov_fecharegistro,' %Y')),
CONCAT(DATE_FORMAT(movimiento.mov_fecharegistro,'%d '),ELT(MONTH(movimiento.mov_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(movimiento.mov_fecharegistro,' del %Y')),
DATE_FORMAT(movimiento.mov_fecharegistro,'%H : %i'),
IFNULL(movimiento.mov_descripcion,''),
IFNULL(UPPER(movimiento.mov_estatus),''),
IFNULL(UPPER(origen.area_nombre),'') AS area_origen,
IFNULL(UPPER(destino.area_nombre),'') AS area_destino,
IFNULL(UPPER(usuario.usu_usuario),'') AS usuario,
movimiento.documento_id
FROM
movimiento
LEFT JOIN area AS origen ON movimiento.area_origen_id = origen.area_cod
LEFT JOIN area AS destino ON movimiento.areadestino_id = destino.area_cod
LEFT JOIN usuario ON movimiento.usuario_id = usuario.usu_id

WHERE movimiento.documento_id = ID_DOCUMENTO AND movimiento.tipo !=1 
AND (movimiento.mov_estatus != 'ACEPTADO' OR movimiento.mov_estatus != 'RECHAZADO');
END$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_SEGUIMIENTO_ACCION` (IN `ID_MOVIMIENTO` INT)  BEGIN
SELECT
movimiento_accion.movimientoaccion_id,
movimiento_accion.movimiento_id,
movimiento_accion.moviac_descripcion,
movimiento_accion.moviac_estatus,
DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%Y'),
CONCAT(DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%d '),ELT(MONTH(movimiento_accion.moviac_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(movimiento_accion.moviac_fecharegistro,' %Y')),
CONCAT(DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%d '),ELT(MONTH(movimiento_accion.moviac_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(movimiento_accion.moviac_fecharegistro,' del %Y')),

DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%H : %i'),
area.area_nombre
FROM
movimiento_accion
INNER JOIN movimiento ON movimiento_accion.movimiento_id = movimiento.movimiento_id
INNER JOIN area ON movimiento.areadestino_id = area.area_cod
WHERE 
movimiento_accion.moviac_estatus != "PENDIENTE" AND
movimiento_accion.movimiento_id = ID_MOVIMIENTO;
END$$

CREATE PROCEDURE `PA_BUSCARDOCUMENTO_SEGUIMIENTO_NUEVO` (IN `BUSCAR` VARCHAR(20))  BEGIN
SELECT t.area_nombre,t.descripcion,t.anio,t.fecha_mini,t.fecha_comp,t.hora,t.accion,t.fecha,t.estado FROM (
SELECT
area.area_nombre,
movimiento.mov_descripcion as descripcion,
movimiento.mov_estatus as estado,
DATE_FORMAT(movimiento.mov_fecharegistro,'%Y') anio,
CONCAT(DATE_FORMAT(movimiento.mov_fecharegistro,'%d '),ELT(MONTH(movimiento.mov_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(movimiento.mov_fecharegistro,' %Y')) fecha_mini,
CONCAT(DATE_FORMAT(movimiento.mov_fecharegistro,'%d '),ELT(MONTH(movimiento.mov_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(movimiento.mov_fecharegistro,' del %Y')) fecha_comp,
DATE_FORMAT(movimiento.mov_fecharegistro,'%H : %i') hora,
'DERIVADO' as accion,
movimiento.mov_fecharegistro as fecha
FROM
movimiento
INNER JOIN area ON movimiento.areadestino_id = area.area_cod
where movimiento.documento_id = BUSCAR
union ALL
SELECT
area.area_nombre,
movimiento_accion.moviac_descripcion  as descripcion,
movimiento_accion.moviac_estatus  as estado,
DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%Y') AS anio,
CONCAT(DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%d '),ELT(MONTH(movimiento_accion.moviac_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(movimiento_accion.moviac_fecharegistro,' %Y')) AS fecha_mini,
CONCAT(DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%d '),ELT(MONTH(movimiento_accion.moviac_fecharegistro), "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"),DATE_FORMAT(movimiento_accion.moviac_fecharegistro,' del %Y')) AS fecha_comp,
DATE_FORMAT(movimiento_accion.moviac_fecharegistro,'%H : %i') AS hora,
'ACCION' AS accion,
movimiento_accion.moviac_fecharegistro as fecha
FROM
movimiento_accion
INNER JOIN movimiento ON movimiento_accion.movimiento_id = movimiento.movimiento_id
INNER JOIN area ON movimiento.areadestino_id = area.area_cod
WHERE movimiento.documento_id = BUSCAR
) t 
ORDER BY t.fecha;
END$$

CREATE PROCEDURE `PA_COMBOAREA` ()  SELECT
area.area_cod,
UPPER(area.area_nombre) area_nombre,
area.area_fecha_registro,
area.area_estado
FROM
area WHERE area.area_estado = 'ACTIVO'$$

CREATE PROCEDURE `PA_COMBOAREA_DERIVAR` (IN `area_id` INT)  BEGIN
SELECT
area.area_cod,
UPPER(area.area_nombre) area_nombre,
area.area_fecha_registro,
area.area_estado
FROM
area
WHERE area.area_cod != area_id AND area.area_estado = 'ACTIVO';
END$$

CREATE PROCEDURE `PA_COMBOEMPLEADO` ()  SELECT
empleado.empleado_id,
UPPER(CONCAT_WS(' ',empleado.emple_nombre,
empleado.emple_apepat,
empleado.emple_apemat)) empleado
FROM
empleado

WHERE empleado.emple_estatus = 'ACTIVO'$$

CREATE PROCEDURE `PA_COMBOEMPLEADO_EDITAR` (IN `ID` INT)  SELECT
empleado.empleado_id,
UPPER(CONCAT_WS(' ',empleado.emple_nombre,
empleado.emple_apepat,
empleado.emple_apemat)) empleado
FROM
empleado

WHERE empleado.emple_estatus = 'ACTIVO'
AND  empleado.empleado_id != ID$$

CREATE PROCEDURE `PA_COMBOTIPODOCUMENTO` ()  SELECT
tipo_documento.tipodocumento_id,
upper(tipo_documento.tipodo_descripcion)tipodo_descripcion,
tipo_documento.tipodo_estado
FROM
tipo_documento
WHERE tipo_documento.tipodo_estado = 'ACTIVO'$$

CREATE PROCEDURE `PA_COMBOTIPODOCUMENTO_EDITAR` (IN `id` INT)  SELECT
tipo_documento.tipodocumento_id,
upper(tipo_documento.tipodo_descripcion)tipodo_descripcion,
tipo_documento.tipodo_estado
FROM
tipo_documento
WHERE tipo_documento.tipodo_estado = 'ACTIVO' AND tipo_documento.tipodocumento_id != id
ORDER BY tipo_documento.tipodo_descripcion ASC$$

CREATE PROCEDURE `PA_COMBOTIPOREQUISITOS` ()  SELECT
tipo_requisito.tiporequisito_id,
tipo_requisito.tire_descripcion,
tipo_requisito.tire_estado
FROM
tipo_requisito
WHERE tipo_requisito.tire_estado = 'ACTIVO'
ORDER BY tipo_requisito.tire_descripcion$$

CREATE PROCEDURE `PA_DASHBOARD_ADMINISTRADOR` ()  SELECT
(SELECT COUNT(*) FROM documento where doc_estatus='PENDIENTE'),
(SELECT COUNT(*) FROM documento where doc_estatus='FINALIZADO'),
(SELECT COUNT(*) FROM documento where doc_estatus='ACEPTADO')

FROM
documento
limit 1$$

CREATE PROCEDURE `PA_DASHBOARD_ADMINISTRADOR_AREA` (IN `IDAREA` INT)  SELECT
(SELECT Count(*) FROM (SELECT   documento.documento_id FROM documento INNER JOIN movimiento ON movimiento.documento_id = documento.documento_id 
WHERE movimiento.areadestino_id = IDAREA and  mov_estatus='PENDIENTE' GROUP BY documento.documento_id
) t),
(SELECT Count(*) FROM (SELECT   documento.documento_id FROM documento INNER JOIN movimiento ON movimiento.documento_id = documento.documento_id 
WHERE movimiento.areadestino_id = IDAREA and  mov_estatus='RECHAZADO' GROUP BY documento.documento_id
) t),
(SELECT Count(*) FROM (SELECT   documento.documento_id FROM documento INNER JOIN movimiento ON movimiento.documento_id = documento.documento_id 
WHERE movimiento.areadestino_id = IDAREA and  mov_estatus='ACEPTADO' GROUP BY documento.documento_id
) t)
FROM
documento
limit 1$$

CREATE PROCEDURE `PA_EDITARCLAVE` (IN `idusuario` INT, IN `clave` VARCHAR(255))  BEGIN
UPDATE usuario SET
usuario.usu_contra = clave
WHERE usuario.usu_id = idusuario;
END$$

CREATE PROCEDURE `PA_EDITARCUENTA` (IN `usuario` VARCHAR(50), IN `actual` VARCHAR(250), IN `nueva` VARCHAR(250))  BEGIN
UPDATE usuario SET
usuario.usu_contra= nueva
WHERE usuario.usu_usuario = BINARY usuario and usuario.usu_contra = BINARY actual;
END$$

CREATE PROCEDURE `PA_EDITAREMPRESA` (IN `txt_idempresa` INT, IN `txt_razon_empresa` VARCHAR(250), IN `txt_email_empresa` VARCHAR(250), IN `txt_codigo_empresa` VARCHAR(10), IN `txt_celular_empresa` VARCHAR(20), IN `txt_direccion_empresa` VARCHAR(250), IN `archivo` VARCHAR(350))  BEGIN
	IF archivo != '' THEN
		UPDATE empresa e SET
			e.emp_razon = txt_razon_empresa,
			e.emp_email = txt_email_empresa,
			e.emp_cod   = txt_codigo_empresa,
			e.emp_telefono  = txt_celular_empresa,
			e.emp_direccion = txt_direccion_empresa,
			e.emp_logo = archivo
		WHERE e.empresa_id = txt_idempresa;
	ELSE
		UPDATE empresa e SET
			e.emp_razon = txt_razon_empresa,
			e.emp_email = txt_email_empresa,
			e.emp_cod   = txt_codigo_empresa,
			e.emp_telefono  = txt_celular_empresa,
			e.emp_direccion = txt_direccion_empresa
		WHERE e.empresa_id = txt_idempresa;
	END IF;
END$$

CREATE PROCEDURE `PA_EDITARFIRMA` (IN `IDTRABAJADOR` INT, IN `ARCHIVO` VARCHAR(255))  UPDATE usuario e SET
	e.usu_firmadigital = ARCHIVO
WHERE e.usu_id = IDTRABAJADOR$$

CREATE PROCEDURE `PA_EDITARFOTO` (IN `idtrabajador` INT, IN `archivo` VARCHAR(255))  UPDATE empleado SET
empl_fotoperfil = archivo
WHERE empleado_id = idtrabajador$$

CREATE PROCEDURE `PA_EDITAR_DATOS_DOCUMENTO` (IN `txt_idseguimiento` VARCHAR(15), IN `txtdni` CHAR(8), IN `txtnombre` VARCHAR(150), IN `txtapepat` VARCHAR(100), IN `txtapemat` VARCHAR(100), IN `txtcelular` CHAR(9), IN `txtemail` VARCHAR(150), IN `txt_direccion` VARCHAR(255), IN `txt_representacion` VARCHAR(255), IN `txt_ruc` CHAR(12), IN `txt_empresa` VARCHAR(255), IN `cmb_tipodocumento` INT, IN `txt_nrodocumentos` CHAR(15), IN `txt_folios` INT, IN `txt_asunto` VARCHAR(255))  BEGIN
UPDATE documento d SET
	d.doc_dniremitente = txtdni,
	d.doc_nombreremitente = txtnombre,
	d.doc_apepatremitente = txtapepat,
	d.doc_apematremitente = txtapemat,
	d.doc_celularremitente = txtcelular,
	d.doc_emailremitente = txtemail,
	d.doc_direccionremitente = txt_direccion,
	d.doc_representacion = txt_representacion,
	d.doc_ruc = txt_ruc,
	d.doc_empresa = txt_empresa,
	d.tipodocumento_id = cmb_tipodocumento,
	d.doc_nrodocumento = txt_nrodocumentos,
	d.doc_folio = txt_folios,
	d.doc_asunto = txt_asunto
WHERE d.documento_id = txt_idseguimiento;
SELECT 1;
END$$

CREATE PROCEDURE `PA_EDITAR_EMPLEADO` (IN `ID` INT, IN `NRODOCUMENTO` VARCHAR(11), IN `NOMBRE` VARCHAR(150), IN `APEPAT` VARCHAR(100), IN `APEMAT` VARCHAR(100), IN `FECHANACIMIENTO` VARCHAR(20), IN `CELULAR` CHAR(9), IN `EMAIL` VARCHAR(250), IN `DIRECCION` VARCHAR(255), IN `ESTADO` VARCHAR(20))  BEGIN
DECLARE idtrabajador INT;
set @idtrabajador:=(select ifnull(empleado.empleado_id,0) FROM empleado where emple_nrodocumento=NRODOCUMENTO);
IF (ID = @idtrabajador) THEN
	UPDATE empleado SET
		emple_nombre = NOMBRE,
		emple_apepat = APEPAT,
		emple_apemat = APEMAT,
		emple_email  = EMAIL,
		emple_fechanacimiento = FECHANACIMIENTO,
		emple_nrodocumento = NRODOCUMENTO,
		emple_movil = CELULAR,
		emple_direccion = DIRECCION,
		emple_estatus = ESTADO
	WHERE empleado_id = ID;
	SELECT 1;
ELSE
set @idtrabajador:=(select COUNT(*) FROM empleado where emple_nrodocumento=NRODOCUMENTO);
	IF @idtrabajador = 0 THEN
		UPDATE empleado SET
			emple_nombre = NOMBRE,
			emple_apepat = APEPAT,
			emple_apemat = APEMAT,
			emple_email  = EMAIL,
			emple_fechanacimiento = FECHANACIMIENTO,
			emple_nrodocumento = NRODOCUMENTO,
			emple_movil = CELULAR,
			emple_direccion = DIRECCION,
			emple_estatus = ESTADO
		WHERE empleado_id = ID;
		SELECT 1;
	ELSE
		SELECT 2;
	END IF;
END IF;
END$$

CREATE PROCEDURE `PA_EDITAR_USUARIO` (IN `id_usuario` INT, IN `cmb_area` INT, IN `id_empleado` INT)  BEGIN
DECLARE cantidad INT;
DECLARE idempleado INT;
DECLARE idarea INT;
set @idempleado :=(SELECT ifnull(usuario.empleado_id,0) FROM usuario WHERE  usuario.usu_id = id_usuario );
set @idarea :=(SELECT ifnull(usuario.area_id,0) FROM usuario WHERE  usuario.usu_id = id_usuario );
IF @idempleado = id_empleado AND @idarea = cmb_area  THEN
	UPDATE usuario SET
		area_id = cmb_area,
		empleado_id = id_empleado
	WHERE usu_id = id_usuario;
	SELECT 1;
ELSE
	set @cantidad :=(SELECT COUNT(*) FROM usuario WHERE usuario.area_id = cmb_area AND usuario.empleado_id = id_empleado );
	IF @cantidad = 0 THEN
		UPDATE usuario SET
			area_id = cmb_area,
			empleado_id = id_empleado
		WHERE usu_id = id_usuario;
		SELECT 1;
	ELSE
		SELECT 2;
	END IF;

END IF;

END$$

CREATE PROCEDURE `PA_ELIMINAR_ARCHIVO` (IN `ID` INT)  BEGIN
	 DELETE FROM detalle_archivos WHERE detalle_archivos.detallearchivo_id = ID;
	 SELECT 1;
END$$

CREATE PROCEDURE `PA_ELIMINAR_FERIADO` (IN `id_feriado` INT)  BEGIN
	DELETE FROM feriados WHERE feriados.feriados_id = id_feriado;
	SELECT 1;
END$$

CREATE PROCEDURE `PA_ELIMINAR_REQUISITO` (IN `iddetalle` INT, IN `idtipodocumento` INT)  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) FROM requisitos where requisitos.tipodocumento_id=idtipodocumento);
IF @CANTIDAD >1 THEN
	DELETE FROM requisitos WHERE requisitos.requisito_id = iddetalle;
	SELECT 1;
ELSE
	SELECT 2;
END IF;
END$$

CREATE PROCEDURE `PA_LISTARAREA_USUARIO` (IN `id` INT)  SELECT
area.area_cod,
UPPER(area.area_nombre) area_nombre,
area.area_fecha_registro,
area.area_estado
FROM
area
WHERE area.area_estado = 'ACTIVO' AND area.area_cod != id$$

CREATE PROCEDURE `PA_LISTAR_ANUNCIO` ()  SELECT
anuncio.anuncio_id,
anuncio.titulo,
anuncio.descripcion,
anuncio.archivo,
DATE_FORMAT(anuncio.anun_fecharegistro,'%d/%m/%Y')  anun_fecharegistro,
IF(DATE_ADD( anuncio.anun_fecharegistro,INTERVAL 2 DAY)>=CURDATE(),'VIGENTE','VENCIDO') estado
FROM anuncio
ORDER BY IF(DATE_ADD( anuncio.anun_fecharegistro,INTERVAL 2 DAY)>=CURDATE(),'VIGENTE','VENCIDO') desc$$

CREATE PROCEDURE `PA_LISTAR_ANUNCIO_PUBLICO` ()  SELECT
anuncio.anuncio_id,
anuncio.titulo,
anuncio.descripcion,
anuncio.archivo,
DATE_FORMAT(anuncio.anun_fecharegistro,'%d/%m/%Y')  anun_fecharegistro,
IF(DATE_ADD( anuncio.anun_fecharegistro,INTERVAL 2 DAY)>=CURDATE(),'VIGENTE','VENCIDO') estado
FROM anuncio
WHERE DATE_ADD( anuncio.anun_fecharegistro,INTERVAL 2 DAY)>=CURDATE()
ORDER BY IF(DATE_ADD( anuncio.anun_fecharegistro,INTERVAL 2 DAY)>=CURDATE(),'VIGENTE','VENCIDO') desc$$

CREATE PROCEDURE `PA_LISTAR_ARCHIVOS_PRINCIPAL` (IN `IDDOCUMENTO` VARCHAR(15))  BEGIN
SELECT
documento.documento_id as detallearchivo_id,
documento.doc_archivo as detar_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y %h:%i:%s %p') AS detar_fecharegistro,
documento.documento_id
FROM
documento WHERE IFNULL(documento.doc_archivo,'') != '' 
AND documento.documento_id = IDDOCUMENTO 
UNION ALL
SELECT
detalle_archivos.detallearchivo_id,
detalle_archivos.detar_archivo,
DATE_FORMAT(detalle_archivos.detar_fecharegistro,'%d/%m/%Y %h:%i:%s %p') AS detar_fecharegistro,
detalle_archivos.documento_id
FROM
detalle_archivos
WHERE 
detalle_archivos.documento_id = IDDOCUMENTO 
;
END$$

CREATE PROCEDURE `PA_LISTAR_AREA` ()  SELECT
area.area_cod,
area.area_nombre,
DATE_FORMAT(area.area_fecha_registro,'%d/%m/%Y') as area_fecha_registro,
area.area_estado
FROM
area$$

CREATE PROCEDURE `PA_LISTAR_DIA_LABORABLE` ()  SELECT
configuracion.configuracion_id,
DATE_FORMAT(configuracion.conf_horaincio,'%h:%i %p') conf_horaincio,
DATE_FORMAT(configuracion.conf_horafinal,'%h:%i %p') conf_horafinal,
configuracion.conf_dia,
configuracion.conf_laborable
FROM
configuracion$$

CREATE PROCEDURE `PA_LISTAR_DOCUMENTOS_ADMIN` (IN `id_area` VARCHAR(11), IN `estado` VARCHAR(20))  SELECT
documento.documento_id,
documento.doc_dniremitente,
UPPER(CONCAT_WS(' ',documento.doc_nombreremitente,documento.doc_apepatremitente,documento.doc_apematremitente)) AS empleado,
documento.doc_celularremitente,
documento.doc_emailremitente,
documento.doc_direccionremitente,
documento.doc_representacion,
documento.doc_ruc,
documento.doc_empresa,
documento.doc_nrodocumento,
documento.doc_folio,
documento.doc_asunto,
documento.doc_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y') AS doc_fecharegistro,
documento.area_id,
area.area_nombre,
UPPER(tipo_documento.tipodo_descripcion) tipodo_descripcion,
documento.doc_estatus,
IFNULL(origen.area_nombre,'EXTERIOR') as origen_nombre,
origen2.area_nombre as origen_nombre2,
movimiento.movimiento_id,
documento.tipodocumento_id,
documento.doc_archivo_respuesta,
documento.doc_fecharegistro as doc_fecharegistro2
FROM
documento
INNER JOIN area ON area.area_cod = documento.area_id
INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area AS origen ON origen.area_cod = documento.area_origen
INNER JOIN movimiento ON  movimiento.documento_id = documento.documento_id
INNER JOIN area AS origen2 ON movimiento.area_origen_id = origen2.area_cod

WHERE documento.area_origen LIKE id_area AND documento.doc_estatus LIKE estado
GROUP BY documento.documento_id
ORDER BY documento.doc_fecharegistro$$

CREATE PROCEDURE `PA_LISTAR_DOCUMENTOS_ADMIN_DNI` (IN `DNI` VARCHAR(8), IN `ANIO` VARCHAR(5))  SELECT
documento.documento_id,
documento.doc_dniremitente,
UPPER(CONCAT_WS(' ',documento.doc_nombreremitente,documento.doc_apepatremitente,documento.doc_apematremitente)) AS empleado,
documento.doc_celularremitente,
documento.doc_emailremitente,
documento.doc_direccionremitente,
documento.doc_representacion,
documento.doc_ruc,
documento.doc_empresa,
documento.doc_nrodocumento,
documento.doc_folio,
documento.doc_asunto,
documento.doc_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y') AS doc_fecharegistro,
documento.area_id,
area.area_nombre,
UPPER(tipo_documento.tipodo_descripcion) tipodo_descripcion,
documento.doc_estatus,
IFNULL(origen.area_nombre,'EXTERIOR') as origen_nombre,
origen2.area_nombre as origen_nombre2,
movimiento.movimiento_id,
documento.tipodocumento_id
FROM
documento
INNER JOIN area ON area.area_cod = documento.area_id
INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area AS origen ON origen.area_cod = documento.area_origen
INNER JOIN movimiento ON  movimiento.documento_id = documento.documento_id
INNER JOIN area AS origen2 ON movimiento.area_origen_id = origen2.area_cod
WHERE documento.doc_dniremitente = DNI AND  DATE_FORMAT(documento.doc_fecharegistro,'%Y') = ANIO
GROUP BY documento.documento_id
ORDER BY documento.doc_fecharegistro DESC$$

CREATE PROCEDURE `PA_LISTAR_DOCUMENTOS_SECRE` (IN `id_area` VARCHAR(11), IN `estado` VARCHAR(20))  SELECT
documento.documento_id,
documento.doc_dniremitente,
UPPER(CONCAT_WS(' ',documento.doc_nombreremitente,documento.doc_apepatremitente,documento.doc_apematremitente)) AS empleado,
documento.doc_celularremitente,
documento.doc_emailremitente,
documento.doc_direccionremitente,
documento.doc_representacion,
documento.doc_ruc,
documento.doc_empresa,
documento.doc_nrodocumento,
documento.doc_folio,
documento.doc_asunto,
documento.doc_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y') AS doc_fecharegistro,
documento.area_id,
area.area_nombre,
UPPER(tipo_documento.tipodo_descripcion)tipodo_descripcion,
documento.doc_estatus,
IFNULL(origen.area_nombre,'EXTERIOR') as origen_nombre,
origen2.area_nombre as origen_nombre2,
movimiento.mov_estatus,
TIMESTAMPDIFF(DAY, DATE_FORMAT(movimiento.mov_fecharegistro,'%Y-%m-%d'), CURDATE()) cant_dias,
movimiento.areadestino_id,
movimiento.movimiento_id,
documento.tipodocumento_id,
documento.doc_archivo_respuesta,
documento.doc_fecharegistro as doc_fecharegistro2
FROM
documento
INNER JOIN area ON area.area_cod = documento.area_id
INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area AS origen ON origen.area_cod = documento.area_origen
INNER JOIN movimiento ON  movimiento.documento_id = documento.documento_id
INNER JOIN area AS origen2 ON movimiento.area_origen_id = origen2.area_cod

WHERE movimiento.areadestino_id LIKE id_area AND movimiento.mov_estatus LIKE estado
GROUP BY documento.documento_id
ORDER BY documento.doc_fecharegistro$$

CREATE PROCEDURE `PA_LISTAR_DOCUMENTOS_SECRE_COPIAS` (IN `id_area` VARCHAR(11), IN `estado` VARCHAR(20))  SELECT
documento.documento_id,
documento.doc_dniremitente,
UPPER(CONCAT_WS(' ',documento.doc_nombreremitente,documento.doc_apepatremitente,documento.doc_apematremitente)) AS empleado,
documento.doc_celularremitente,
documento.doc_emailremitente,
documento.doc_direccionremitente,
documento.doc_representacion,
documento.doc_ruc,
documento.doc_empresa,
documento.doc_nrodocumento,
documento.doc_folio,
documento.doc_asunto,
documento.doc_archivo,
DATE_FORMAT(documento.doc_fecharegistro,'%d/%m/%Y') AS doc_fecharegistro,
documento.area_id,
area.area_nombre,
UPPER(tipo_documento.tipodo_descripcion) AS tipodo_descripcion,
documento.doc_estatus,
IFNULL(origen.area_nombre,'EXTERIOR') AS origen_nombre,
origen2.area_nombre AS origen_nombre2,
movimiento.mov_estatus,
TIMESTAMPDIFF(DAY, DATE_FORMAT(movimiento.mov_fecharegistro,'%Y-%m-%d'), CURDATE()) AS cant_dias,
movimiento.areadestino_id,
movimiento.movimiento_id,
documento.tipodocumento_id,
documento.doc_archivo_respuesta,
detalle_copia_documento.detco_fecharegistro,
detalle_copia_documento.area_id,
documento.doc_fecharegistro as doc_fecharegistro2
FROM
documento
INNER JOIN detalle_copia_documento ON detalle_copia_documento.documento_id = documento.documento_id
INNER JOIN area ON area.area_cod = documento.area_id
INNER JOIN tipo_documento ON documento.tipodocumento_id = tipo_documento.tipodocumento_id
LEFT JOIN area AS origen ON origen.area_cod = documento.area_origen
INNER JOIN movimiento ON movimiento.documento_id = documento.documento_id
INNER JOIN area AS origen2 ON movimiento.area_origen_id = origen2.area_cod
WHERE detalle_copia_documento.area_id = id_area AND documento.doc_estatus  LIKE estado
ORDER BY documento.doc_fecharegistro$$

CREATE PROCEDURE `PA_LISTAR_DOCUMENTOS_SEGUIMIENTO` (IN `ID` VARCHAR(15))  SELECT
DATE_FORMAT(movimiento.mov_fecharegistro,'%d/%m/%Y') AS fecharegistro,
movimiento.mov_descripcion,
movimiento.documento_id,
area.area_nombre,
IFNULL(movimiento.mov_archivo,'') mov_archivo,
movimiento.mov_descripcion_original
FROM
movimiento
LEFT JOIN area ON  movimiento.areadestino_id = area.area_cod
WHERE
movimiento.documento_id = ID
ORDER BY 
movimiento.mov_fecharegistro$$

CREATE PROCEDURE `PA_LISTAR_EMPLEADO` ()  SELECT
empleado.empleado_id,
CONCAT_WS(' ',emple_nombre,emple_apepat,emple_apemat) as empleado,
empleado.emple_nombre,
empleado.emple_apepat,
empleado.emple_apemat,
empleado.emple_feccreacion,
empleado.emple_fechanacimiento,
DATE_FORMAT(emple_fechanacimiento,'%d/%m/%Y') AS fnacimiento, 
empleado.emple_nrodocumento,
empleado.emple_movil,
empleado.emple_email,
empleado.emple_estatus,
empleado.emple_direccion
FROM
empleado$$

CREATE PROCEDURE `PA_LISTAR_RECLAMOS` (IN `TIPORECLAMO` VARCHAR(20))  SELECT
detalle_libro.detallelibro_id,
detalle_libro.detli_tipo_documento,
detalle_libro.detli_dni,
detalle_libro.detli_nombre,
detalle_libro.detli_apepat,
detalle_libro.detli_apemat,
CONCAT_WS(' ',detalle_libro.detli_nombre,
detalle_libro.detli_apepat,
detalle_libro.detli_apemat) ciudadano,
detalle_libro.detli_correo,
detalle_libro.detli_telefono,
detalle_libro.detli_celular,
detalle_libro.detli_direccion,
detalle_libro.detli_tipo_reclamo,
detalle_libro.detli_descripcion,
detalle_libro.detli_archivo,
detalle_libro.libro_id,
DATE_FORMAT(detalle_libro.detli_fecharegistro,'%d/%m/%Y %h:%i:%s %p') detli_fecharegistro
FROM
detalle_libro
WHERE detalle_libro.detli_tipo_reclamo LIKE TIPORECLAMO
ORDER BY DATE_FORMAT(detalle_libro.detli_fecharegistro,'%d/%m/%Y %h:%i:%s') DESC$$

CREATE PROCEDURE `PA_LISTAR_REQUISITOS_ASIGNADOS` (IN `idtipodocumento` INT)  SELECT
tipo_requisito.tire_descripcion,
DATE_FORMAT(requisitos.req_fecharegistro,'%d/%m/%Y') as req_fecharegistro,
requisitos.req_estado,
requisitos.tipodocumento_id,
requisitos.requisito_id
FROM
requisitos
INNER JOIN tipo_requisito ON requisitos.tiporequisito_id = tipo_requisito.tiporequisito_id
WHERE requisitos.tipodocumento_id = idtipodocumento
ORDER BY tipo_requisito.tire_descripcion$$

CREATE PROCEDURE `PA_LISTAR_TIPODOCUMENTO` ()  SELECT
tipo_documento.tipodocumento_id,
tipo_documento.tipodo_descripcion,
tipo_documento.tipodo_estado
FROM
tipo_documento
ORDER BY tipo_documento.tipodo_descripcion$$

CREATE PROCEDURE `PA_LISTAR_TIPOREQUISITO` ()  SELECT
tipo_requisito.tiporequisito_id,
tipo_requisito.tire_descripcion,
tipo_requisito.tire_estado,
DATE_FORMAT(tipo_requisito.tire_fecharegistro,'%d/%m/%Y') as tire_fecharegistro
FROM
tipo_requisito
ORDER BY 
tipo_requisito.tire_descripcion$$

CREATE PROCEDURE `PA_LISTAR_USUARIO` ()  SELECT
usuario.usu_id,
usuario.usu_usuario,
UPPER(empleado.emple_nombre) emple_nombre,
UPPER(empleado.emple_apepat) emple_apepat,
UPPER(empleado.emple_apemat) emple_apemat,
UPPER(CONCAT_WS(' ',empleado.emple_nombre,empleado.emple_apepat,empleado.emple_apemat)) empleado,
IFNULL(area.area_nombre,'NO DEFINIDO')area_nombre,
UPPER(usuario.usu_rol)usu_rol,
usuario.usu_estatus,
area.area_cod,
empleado.empleado_id
FROM
usuario
INNER JOIN empleado ON usuario.empleado_id = empleado.empleado_id
LEFT JOIN area ON usuario.area_id = area.area_cod$$

CREATE PROCEDURE `PA_MODIFICAR_ANUNCIO` (IN `ID_ANUNCIO` INT, IN `TITULO` VARCHAR(200), IN `DESCRIPCION` VARCHAR(255), IN `ARCHIVO` VARCHAR(255))  BEGIN
	IF ARCHIVO = 'undefined' THEN
	 UPDATE anuncio set
			titulo=TITULO,
			descripcion=DESCRIPCION
		where anuncio_id=ID_ANUNCIO;
		SELECT 1;
	ELSE
		UPDATE anuncio set
			titulo=TITULO,
			descripcion=DESCRIPCION,
			archivo=ARCHIVO
		where anuncio_id=ID_ANUNCIO;
		SELECT 1;
	END IF;
END$$

CREATE PROCEDURE `PA_MODIFICAR_AREA` (IN `IDAREA` INT, IN `NOMBRE` VARCHAR(150), IN `ESTATUS` VARCHAR(10))  BEGIN
DECLARE NOMBREACTUAL VARCHAR(50);
DECLARE CANTIDAD INT;
SET @NOMBREACTUAL:=(SELECT area_nombre FROM area where area_cod=IDAREA);
SET @CANTIDAD:=(SELECT COUNT(*) FROM area where area_nombre=NOMBRE);
IF @NOMBREACTUAL = NOMBRE THEN
	UPDATE area set
	area_estado=ESTATUS
	where area_cod=IDAREA;
	SELECT 1;
ELSE
	if @CANTIDAD = 0 THEN 
		UPDATE area set
		area_nombre=NOMBRE,
		area_estado=ESTATUS
		where area_cod=IDAREA;
		SELECT 1;
	ELSE
		SELECT 2;
	END if;

END IF;
END$$

CREATE PROCEDURE `PA_MODIFICAR_DATOS_LIBRO` (IN `txt_id` INT, IN `txt_titulo` VARCHAR(255), IN `text_descripcion` TEXT, IN `archivo` VARCHAR(255))  BEGIN
	IF archivo != '' THEN
		UPDATE libro_reclamaciones l SET
			l.title = txt_titulo,
			l.description = text_descripcion,
			l.logo = archivo
		WHERE l.libro_id = txt_id;
		SELECT 1;
	ELSE
		UPDATE libro_reclamaciones l SET
			l.title = txt_titulo,
			l.description = text_descripcion
		WHERE l.libro_id = txt_id;
		SELECT 1;
	END IF;
END$$

CREATE PROCEDURE `PA_MODIFICAR_ESTATUS_USUARIO` (IN `IDUSUARIO` INT, IN `ESTATUS` VARCHAR(10))  update usuario set usu_estatus=ESTATUS
where usu_id=IDUSUARIO$$

CREATE PROCEDURE `PA_MODIFICAR_FERIADO` (IN `id_feriado` INT, IN `dia_feriado` CHAR(5), IN `mes_feriado` CHAR(5))  BEGIN
DECLARE FECHAACTUAL VARCHAR(50);
DECLARE CANTIDAD INT;
SET @FECHAACTUAL:=(SELECT CONCAT(fer_dia,'-',fer_mes) FROM feriados where feriados.feriados_id=id_feriado);
SET @CANTIDAD:=(SELECT COUNT(*) FROM feriados where CONCAT(fer_dia,'-',fer_mes)=CONCAT(dia_feriado,'-',mes_feriado));
IF @FECHAACTUAL = CONCAT(dia_feriado,'-',mes_feriado ) THEN
	SELECT 1;
ELSE
	if @CANTIDAD = 0 THEN 
		UPDATE feriados f SET
			f.fer_dia=dia_feriado,
			f.fer_mes=mes_feriado
		where f.feriados_id=id_feriado ;
		SELECT 1;
	ELSE
		SELECT 2;
	END if;
END IF;
END$$

CREATE PROCEDURE `PA_MODIFICAR_TIPODOCUMENTO` (IN `IDTIPODOCUMENTO` INT, IN `NOMBRE` VARCHAR(100), IN `ESTATUS` VARCHAR(10))  BEGIN
DECLARE NOMBREACTUAL VARCHAR(50);
DECLARE CANTIDAD INT;
SET @NOMBREACTUAL:=(SELECT tipodo_descripcion FROM tipo_documento where tipodocumento_id=IDTIPODOCUMENTO);
SET @CANTIDAD:=(SELECT COUNT(*) FROM tipo_documento where tipodo_descripcion=NOMBRE);
IF @NOMBREACTUAL = NOMBRE THEN
	UPDATE tipo_documento set
	tipodo_estado=ESTATUS
	where tipodocumento_id=IDTIPODOCUMENTO;
	SELECT 1;
ELSE
	if @CANTIDAD = 0 THEN 
		UPDATE tipo_documento set
		tipodo_descripcion=NOMBRE,
		tipodo_estado=ESTATUS
		where tipodocumento_id=IDTIPODOCUMENTO;
		SELECT 1;
	ELSE
		SELECT 2;
	END if;

END IF;
END$$

CREATE PROCEDURE `PA_MODIFICAR_TIPOREQUERIMIENTO` (IN `idtiporequisito` INT, IN `nombre` VARCHAR(200), IN `estatus` VARCHAR(20))  BEGIN
DECLARE NOMBREACTUAL VARCHAR(200);
DECLARE CANTIDAD INT;
SET @NOMBREACTUAL:=(SELECT tire_descripcion FROM tipo_requisito where tiporequisito_id=idtiporequisito);
SET @CANTIDAD:=(SELECT COUNT(*) FROM tipo_requisito where tire_descripcion=nombre);
IF @NOMBREACTUAL = nombre THEN
	UPDATE tipo_requisito set
	tire_estado=estatus,
	tire_fecharegistro=now()
	where tiporequisito_id=idtiporequisito;
	SELECT 1;
ELSE
	if @CANTIDAD = 0 THEN 
		UPDATE tipo_requisito set
		tire_descripcion=nombre,
		tire_estado=estatus,
		tire_fecharegistro=now()
		where tiporequisito_id=idtiporequisito;
		SELECT 1;
	ELSE
		SELECT 2;
	END if;

END IF;
END$$

CREATE PROCEDURE `PA_REGISTRARCOPIA` (IN `IDTRAMITE` VARCHAR(15), IN `IDAREA` INT)  BEGIN
	INSERT INTO detalle_copia_documento(detco_fecharegistro,documento_id,area_id)
																VALUES(NOW(),IDTRAMITE,IDAREA);
	SELECT 1;
END$$

CREATE PROCEDURE `PA_REGISTRAR_ACEPTAR_RECHAZAR` (IN `txt_idmovimiento` INT, IN `txt_iddocumento` CHAR(15), IN `txt_asunto` VARCHAR(255), IN `txt_tipo` VARCHAR(50))  BEGIN
SET time_zone = '-5:00';
INSERT INTO movimiento_accion (movimiento_id,moviac_descripcion,moviac_estatus,moviac_fecharegistro) 
                        VALUES (txt_idmovimiento,txt_asunto,txt_tipo,NOW());
END$$

CREATE PROCEDURE `PA_REGISTRAR_ACEPTAR_RECHAZAR2` (IN `txt_idmovimiento` INT, IN `txt_iddocumento` CHAR(15), IN `txt_asunto` VARCHAR(255), IN `txt_tipo` VARCHAR(50))  BEGIN
IF txt_tipo = 'ACEPTAR' THEN
	UPDATE movimiento SET
		movimiento.mov_estatus = 'ACEPTADO'
	WHERE movimiento.movimiento_id = txt_idmovimiento;
ELSE
	UPDATE movimiento SET
		movimiento.mov_estatus = 'RECHAZADO'
	WHERE movimiento.movimiento_id = txt_idmovimiento;
END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_ANUNCIO` (IN `TITULO` VARCHAR(200), IN `DESCRIPCION` VARCHAR(255), IN `ARCHIVO` VARCHAR(255))  BEGIN
	INSERT INTO anuncio(titulo,descripcion,archivo,anun_fecharegistro) VALUES(TITULO,DESCRIPCION,ARCHIVO,CURDATE());
	SELECT 1;
END$$

CREATE PROCEDURE `PA_REGISTRAR_ARCHIVOS` (IN `IDDOCUMENTO` VARCHAR(15), IN `ARCHIVO` VARCHAR(255))  BEGIN
INSERT INTO detalle_archivos (detar_archivo,detar_fecharegistro,documento_id)
											VALUES(ARCHIVO,NOW(),IDDOCUMENTO);
SELECT 1;
END$$

CREATE PROCEDURE `PA_REGISTRAR_AREA` (IN `NOMBRE` VARCHAR(150))  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) FROM area where area_nombre=NOMBRE);
IF @CANTIDAD=0 THEN
	INSERT INTO area(area_nombre,area_fecha_registro,area_estado) VALUES(NOMBRE,CURRENT_DATE(),'ACTIVO');
	SELECT 1;
ELSE
	SELECT 2;
END IF;

END$$

CREATE PROCEDURE `PA_REGISTRAR_DERIVAR_FINALIZAR` (IN `txt_iddocumento` CHAR(15), IN `txt_idareaactual` INT, IN `txt_idareadestino` INT, IN `txt_descripcion` VARCHAR(255), IN `txt_estado` VARCHAR(20), IN `txt_idusuario` INT, IN `txt_idmovimiento` INT)  BEGIN
SET time_zone = '-5:00';
IF txt_estado = 'DERIVADO' THEN
	INSERT INTO  movimiento (documento_id,   area_origen_id,  areadestino_id,mov_fecharegistro,mov_descripcion,mov_estatus,usuario_id,tipo) 
                   VALUES (txt_iddocumento,txt_idareaactual,txt_idareadestino,NOW(),txt_descripcion,'PENDIENTE',txt_idusuario ,'');
	UPDATE movimiento SET
		movimiento.mov_estatus = txt_estado,
		movimiento.mov_descripcion_original = txt_descripcion
	WHERE movimiento.movimiento_id = txt_idmovimiento;
ELSE
INSERT INTO movimiento_accion (movimiento_id,moviac_descripcion,moviac_estatus,moviac_fecharegistro) 
                        VALUES (txt_idmovimiento,txt_descripcion,'FINALIZADO',NOW());
	UPDATE movimiento SET
		movimiento.mov_estatus = txt_estado,
		movimiento.mov_descripcion_original = txt_descripcion
	WHERE movimiento.movimiento_id = txt_idmovimiento;
END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_DERIVAR_FINALIZAR_CON_ARCHIVO` (IN `txt_iddocumento` CHAR(15), IN `txt_idareaactual` INT, IN `txt_idareadestino` INT, IN `txt_descripcion` VARCHAR(255), IN `txt_estado` VARCHAR(20), IN `txt_idusuario` INT, IN `txt_idmovimiento` INT, IN `txt_archivo` VARCHAR(255))  BEGIN
SET time_zone = '-5:00';
IF txt_estado = 'DERIVADO' THEN
	INSERT INTO  movimiento (documento_id,   area_origen_id,  areadestino_id,mov_fecharegistro,mov_descripcion,mov_estatus,usuario_id,tipo) 
                   VALUES (txt_iddocumento,txt_idareaactual,txt_idareadestino,NOW(),txt_descripcion,'PENDIENTE',txt_idusuario ,'');
	UPDATE movimiento SET
		movimiento.mov_estatus = txt_estado,
		movimiento.mov_archivo = txt_archivo,
		movimiento.mov_descripcion_original = txt_descripcion
	WHERE movimiento.movimiento_id = txt_idmovimiento;
ELSE
INSERT INTO movimiento_accion (movimiento_id,moviac_descripcion,moviac_estatus,moviac_fecharegistro) 
                        VALUES (txt_idmovimiento,txt_descripcion,'FINALIZADO',NOW());
	UPDATE movimiento SET
		movimiento.mov_estatus = txt_estado,
		movimiento.mov_archivo = txt_archivo,
		movimiento.mov_descripcion_original = txt_descripcion
	WHERE movimiento.movimiento_id = txt_idmovimiento;
	UPDATE documento SET
		documento.doc_archivo_respuesta = txt_archivo
	WHERE documento.documento_id = txt_iddocumento;
END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_DOCUMENTO` (IN `txtdni` CHAR(8), IN `txtnombre` VARCHAR(150), IN `txtapepat` VARCHAR(100), IN `txtapemat` VARCHAR(100), IN `txtcelular` CHAR(9), IN `txtemail` VARCHAR(150), IN `txt_direccion` VARCHAR(255), IN `txt_ruc` CHAR(12), IN `txt_empresa` VARCHAR(255), IN `cmb_tipodocumento` INT, IN `txt_nrodocumentos` VARCHAR(15), IN `txt_folios` INT, IN `txt_asunto` VARCHAR(255), IN `txt_archivo` VARCHAR(255), IN `txt_representacion` VARCHAR(255))  BEGIN
DECLARE nrodocumento INT;
DECLARE cantidad INT;
DECLARE cod CHAR(15);
DECLARE feriado VARCHAR(5);
DECLARE dia VARCHAR(20);
DECLARE laborable VARCHAR(5);
SET time_zone = '-5:00';
SET @cantidad :=(SELECT count(*) FROM documento WHERE documento.documento_id like  CONCAT(YEAR(CURDATE()),'-%'));
IF @cantidad >= 1 AND @cantidad <= 8  THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-000000',(@cantidad+1)));
ELSEIF @cantidad >=9 AND @cantidad <=98 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-00000',(@cantidad+1)));
ELSEIF @cantidad >=99 AND @cantidad <=998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0000',(@cantidad+1)));
ELSEIF @cantidad >=999 AND @cantidad <=9998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-000',(@cantidad+1)));
ELSEIF @cantidad >=9999 AND @cantidad <=99998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-00',(@cantidad+1)));
ELSEIF @cantidad >=99999 AND @cantidad <=999998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0',(@cantidad+1)));
ELSEIF @cantidad >=999999 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-',(@cantidad+1)));
ELSE
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0000001'));
END IF;
SET @dia:=(SELECT c.configuracion_id FROM configuracion c WHERE c.conf_dia = ELT(DATE_FORMAT(NOW(),'%w') , 'Lunes', 'Martes', 'Mircoles', 'Jueves', 'Viernes', 'Sbado','Domingo'));
SET @feriado:=(SELECT COUNT(*) from feriados f WHERE CONCAT(f.fer_dia,'-',f.fer_mes) = DATE_FORMAT(NOW(),'%d-%m'));
set @hora_inicio:=(select DATE_FORMAT(c.conf_horaincio,'%H:%i') FROM configuracion c where c.configuracion_id=@dia);
set @hora_final:=(select DATE_FORMAT(c.conf_horafinal,'%H:%i')  FROM configuracion c where c.configuracion_id=@dia);
set @laborable:=(select c.conf_laborable  FROM configuracion c where c.configuracion_id=@dia);
IF @feriado = 0 THEN
	IF @laborable = 'SI' THEN
		IF (DATE_FORMAT(NOW(),'%H:%i') >= @hora_inicio AND  DATE_FORMAT(NOW(),'%H:%i') < @hora_final) THEN
			set @nrodocumento:=(select COUNT(*) FROM documento where documento.doc_nrodocumento=txt_nrodocumentos);
			IF @nrodocumento = 0 THEN
				INSERT INTO documento (documento_id,doc_dniremitente,doc_nombreremitente,doc_apepatremitente,doc_apematremitente,doc_celularremitente,
															 doc_emailremitente,doc_direccionremitente,doc_representacion,doc_ruc,doc_empresa,
															 tipodocumento_id,doc_nrodocumento,doc_folio,doc_asunto,doc_archivo,area_id,area_destino) 
											 VALUES (@cod,txtdni,txtnombre,txtapepat,txtapemat,txtcelular,
															 txtemail,txt_direccion,txt_representacion,txt_ruc,txt_empresa,
															 cmb_tipodocumento,(@cantidad+1),txt_folios,txt_asunto,txt_archivo,1,1);
				SELECT @cod;
			ELSE
				SELECT 2;
			END IF;
		ELSE
			SELECT CONCAT('3','*',
		(select DATE_FORMAT(c.conf_horaincio,'%h:%i %p') FROM configuracion c where c.configuracion_id=@dia),' a ',
		(select DATE_FORMAT(c.conf_horafinal,'%h:%i %p')  FROM configuracion c where c.configuracion_id=@dia));
		END IF;
	ELSE
		SELECT 5;
	END IF;
ELSE
	SELECT '4';
END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_DOCUMENTO_INTERNO` (IN `txtdni` CHAR(8), IN `txtnombre` VARCHAR(150), IN `txtapepat` VARCHAR(100), IN `txtapemat` VARCHAR(100), IN `txtcelular` CHAR(9), IN `txtemail` VARCHAR(150), IN `txt_direccion` VARCHAR(255), IN `txt_ruc` CHAR(12), IN `txt_empresa` VARCHAR(255), IN `cmb_tipodocumento` INT, IN `txt_nrodocumentos` CHAR(15), IN `txt_folios` INT, IN `txt_asunto` VARCHAR(255), IN `txt_archivo` VARCHAR(255), IN `txt_representacion` VARCHAR(255), IN `cmb_procedenciadocumento` INT, IN `area_destino` INT)  BEGIN
DECLARE nrodocumento INT;
DECLARE cantidad INT;
DECLARE cod CHAR(15);
SET time_zone = '-5:00';
SET @cantidad :=(SELECT count(*) FROM documento WHERE documento.documento_id like  CONCAT('%',YEAR(CURDATE()),'-%'));
IF @cantidad >= 1 AND @cantidad <= 8  THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-000000',(@cantidad+1)));
ELSEIF @cantidad >=9 AND @cantidad <=98 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-00000',(@cantidad+1)));
ELSEIF @cantidad >=99 AND @cantidad <=998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0000',(@cantidad+1)));
ELSEIF @cantidad >=999 AND @cantidad <=9998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-000',(@cantidad+1)));
ELSEIF @cantidad >=9999 AND @cantidad <=99998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-00',(@cantidad+1)));
ELSEIF @cantidad >=99999 AND @cantidad <=999998 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0',(@cantidad+1)));
ELSEIF @cantidad >=999999 THEN
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-',(@cantidad+1)));
ELSE
SET @cod :=(SELECT CONCAT(YEAR(CURDATE()),'-0000001'));
END IF;
set @nrodocumento:=(select COUNT(*) FROM documento where documento.doc_nrodocumento=txt_nrodocumentos);
IF @nrodocumento = 0 THEN
	INSERT INTO documento (documento_id,doc_dniremitente,doc_nombreremitente,doc_apepatremitente,doc_apematremitente,doc_celularremitente,
												 doc_emailremitente,doc_direccionremitente,doc_representacion,doc_ruc,doc_empresa,
												 tipodocumento_id,doc_nrodocumento,doc_folio,doc_asunto,doc_archivo,area_origen,area_id,area_destino) 
								 VALUES (@cod,txtdni,txtnombre,txtapepat,txtapemat,txtcelular,
												 txtemail,txt_direccion,txt_representacion,txt_ruc,txt_empresa,
												 cmb_tipodocumento,txt_nrodocumentos,txt_folios,txt_asunto,txt_archivo,cmb_procedenciadocumento,area_destino,area_destino);
	SELECT @cod;
ELSE
	SELECT 2;
END IF;

END$$

CREATE PROCEDURE `PA_REGISTRAR_EMPLEADO` (IN `NOMBRE` VARCHAR(150), IN `APEPAT` VARCHAR(100), IN `APEMAT` VARCHAR(100), IN `FECHANACIMIENTO` VARCHAR(20), IN `NRODOCUMENTO` VARCHAR(11), IN `MOVIL` CHAR(9), IN `DIRECCION` VARCHAR(255), IN `EMAIL` VARCHAR(250))  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) from  empleado where emple_nrodocumento=NRODOCUMENTO);
IF @CANTIDAD = 0 THEN
	INSERT INTO empleado(emple_nombre,emple_apepat,emple_apemat,emple_feccreacion,emple_fechanacimiento,emple_nrodocumento,emple_movil,emple_email,emple_estatus,emple_direccion)
	VALUES(NOMBRE,APEPAT,APEMAT,CURDATE(),FECHANACIMIENTO,NRODOCUMENTO,MOVIL,EMAIL,'ACTIVO',DIRECCION);
	SELECT 1;
ELSE
	SELECT 2;
END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_FERIADO` (IN `dia_feriado` CHAR(5), IN `mes_feriado` CHAR(5))  BEGIN
	DECLARE CANTIDAD INT;
	SET @CANTIDAD:=(SELECT COUNT(*) FROM feriados where CONCAT(fer_dia,'-',fer_mes)=CONCAT(dia_feriado,'-',mes_feriado));
	IF @CANTIDAD=0 THEN
		INSERT INTO feriados (fer_dia,fer_mes,fer_fecharegistro,fer_estado) 
									VALUES(dia_feriado,mes_feriado,NOW(),'ACTIVO');
		SELECT 1;
	ELSE
		SELECT 2;
	END IF;
END$$

CREATE PROCEDURE `PA_REGISTRAR_MENSAJE` (IN `IDREMI` INT, IN `IDDEST` INT, IN `IDUSUARIO` INT, IN `MENSAJE` TEXT)  BEGIN
	INSERT INTO mensaje (remitente_id,usuario_id,men_descripcion,men_fecharegistro,destinatario_id,state)
               VALUES (IDREMI,IDUSUARIO,MENSAJE,NOW(),IDDEST,1); 
	SELECT 1;
END$$

CREATE PROCEDURE `PA_REGISTRAR_RECLAMO` (IN `tipodoc` VARCHAR(255), IN `txt_dni` VARCHAR(20), IN `txt_nombre` VARCHAR(150), IN `txt_apellidopaterno` VARCHAR(150), IN `txt_apellidomaterno` VARCHAR(150), IN `txt_correo` VARCHAR(255), IN `txt_telefono` VARCHAR(9), IN `txt_celular` VARCHAR(9), IN `txt_direccion` VARCHAR(255), IN `combo_tiporeclamo` VARCHAR(20), IN `text_descripcion` TEXT, IN `archivo` VARCHAR(255))  BEGIN
INSERT INTO detalle_libro (detli_tipo_documento,detli_dni,detli_nombre,detli_apepat,detli_apemat,detli_correo,detli_telefono,detli_celular,
													detli_direccion,detli_tipo_reclamo,detli_descripcion,detli_archivo,libro_id) 
									 VALUES (tipodoc,txt_dni,txt_nombre,txt_apellidopaterno,txt_apellidomaterno,txt_correo,txt_telefono,txt_celular,
													 txt_direccion,combo_tiporeclamo,text_descripcion,archivo,1);
SELECT 1;
END$$

CREATE PROCEDURE `PA_REGISTRAR_TIPODOCUMENTO` (IN `NOMBRE` VARCHAR(250))  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) FROM tipo_documento where tipo_documento.tipodo_descripcion=NOMBRE);
IF @CANTIDAD=0 THEN
	INSERT INTO tipo_documento(tipodo_descripcion,tipodo_estado) VALUES(NOMBRE,'ACTIVO');
	SELECT LAST_INSERT_ID();
ELSE
	SELECT 2;
END IF;

END$$

CREATE PROCEDURE `PA_REGISTRAR_TIPOREQUISITO` (IN `NOMBRE` VARCHAR(200))  BEGIN
DECLARE CANTIDAD INT;
SET @CANTIDAD:=(SELECT COUNT(*) FROM tipo_requisito where tire_descripcion=NOMBRE);
IF @CANTIDAD=0 THEN
	INSERT INTO tipo_requisito(tire_descripcion,tire_estado,tire_fecharegistro) VALUES(NOMBRE,'ACTIVO',NOW());
	SELECT 1;
ELSE
	SELECT 2;
END IF;

END$$

CREATE PROCEDURE `PA_REGISTRAR_USUARIO` (IN `usuario` VARCHAR(150), IN `clave` VARCHAR(255), IN `empleado` INT, IN `area` INT, IN `rol` VARCHAR(30))  BEGIN
	DECLARE cant_usuario INT;
	DECLARE cant_usuario2 INT;
	SET time_zone = '-5:00';
	set @cant_usuario:=(select count(*) FROM usuario where usuario.empleado_id=empleado AND usuario.area_id=area);
	IF @cant_usuario = 0 THEN
		set @cant_usuario2:=(select count(*) FROM usuario where usuario.usu_usuario = usuario);
		IF @cant_usuario2 = 0 THEN
			INSERT INTO usuario (usu_usuario,usu_contra,usu_feccreacion,empleado_id,usu_estatus,area_id,usu_rol) 
									 VALUES (usuario,clave,CURDATE(),empleado,'ACTIVO',area,rol);
			SELECT 1;
		ELSE
			SELECT 3;
		END IF;
	ELSE
		SELECT 2;
	END IF;
END$$

CREATE PROCEDURE `PA_TRAERCHAT` (IN `idarea` INT)  SELECT
area.area_cod,
UPPER(area.area_nombre) as area_nombre,
area.area_fecha_registro,
area.area_estado,
(SELECT COUNT(*) FROM mensaje WHERE
 mensaje.state = 1 AND (mensaje.remitente_id = area_cod  AND mensaje.destinatario_id = idarea) )
FROM
area
WHERE area.area_cod != idarea 
GROUP BY area.area_cod$$

CREATE PROCEDURE `PA_TRAERMENSAJECHAT` (IN `IDREMI` INT, IN `IDDEST` INT)  SELECT
area_remitente.area_cod AS remitente_id,
upper(area_remitente.area_nombre) AS remitente,
mensaje.men_descripcion,
CONCAT(DATE_FORMAT(mensaje.men_fecharegistro,'%d '),ELT(MONTH(mensaje.men_fecharegistro), "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"),DATE_FORMAT(mensaje.men_fecharegistro,' %Y')),
DATE_FORMAT(mensaje.men_fecharegistro,'%h:%i:%s %p'),
area_destinatario.area_cod AS destinatario_id,
upper(area_destinatario.area_nombre) AS destinatario,
mensaje.mensaje_id,
usuario.usu_usuario,
empleado.emple_nombre
FROM
area AS area_remitente
LEFT JOIN mensaje ON mensaje.remitente_id = area_remitente.area_cod
LEFT JOIN area AS area_destinatario ON mensaje.destinatario_id = area_destinatario.area_cod
LEFT JOIN usuario ON mensaje.usuario_id = usuario.usu_id
LEFT JOIN empleado ON usuario.empleado_id = empleado.empleado_id
WHERE 
   (area_remitente.area_cod = IDREMI  AND destinatario_id = IDDEST) 
OR (area_remitente.area_cod = IDDEST  AND IFNULL(destinatario_id,IDREMI) = IDREMI)
ORDER BY mensaje.mensaje_id$$

CREATE PROCEDURE `PA_TRAERREQUISITOS` (IN `cmb_tipodocumento` INT)  SELECT
UPPER(tipo_requisito.tire_descripcion) tire_descripcion,
requisitos.tipodocumento_id
FROM
requisitos
INNER JOIN tipo_requisito ON requisitos.tiporequisito_id = tipo_requisito.tiporequisito_id
WHERE requisitos.tipodocumento_id = cmb_tipodocumento
ORDER BY tipo_requisito.tire_descripcion$$

CREATE PROCEDURE `PA_TRAER_CONFIGURACION` ()  BEGIN
SET time_zone = '-5:00';
SELECT
configuracion.configuracion_id,
DATE_FORMAT(configuracion.conf_horaincio,'%h:%i %p') AS conf_horaincio,
DATE_FORMAT(configuracion.conf_horafinal,'%h:%i %p') AS conf_horafinal,
configuracion.conf_dia,
configuracion.conf_laborable,
(DATE_FORMAT(NOW(),'%H:%i') >= DATE_FORMAT(configuracion.conf_horaincio,'%H:%i') AND  DATE_FORMAT(NOW(),'%H:%i') < DATE_FORMAT(configuracion.conf_horafinal,'%H:%i')) opcion,
(SELECT COUNT(*) from feriados f WHERE CONCAT(f.fer_dia,'-',f.fer_mes) = DATE_FORMAT(NOW(),'%d-%m')) feriado
FROM
configuracion;
END$$

CREATE PROCEDURE `PA_TRAER_DATOS_EMPRESA` ()  SELECT
empresa.empresa_id,
empresa.emp_razon,
empresa.emp_email,
empresa.emp_cod,
empresa.emp_telefono,
empresa.emp_direccion,
empresa.emp_logo
FROM
empresa
LIMIT 1$$

CREATE PROCEDURE `PA_TRAER_DATOS_LIBRO_RECLAMOS` ()  SELECT
libro_reclamaciones.libro_id,
libro_reclamaciones.logo,
UPPER(libro_reclamaciones.title),
libro_reclamaciones.description
FROM
libro_reclamaciones$$

CREATE PROCEDURE `PA_VERIFICARUSUARIO` (IN `USUARIO` VARCHAR(150))  SELECT
usuario.usu_id,
usuario.usu_usuario,
usuario.usu_contra,
usuario.usu_feccreacion,
usuario.usu_fecupdate,
usuario.empleado_id,
usuario.usu_observacion,
usuario.usu_estatus,
IFNULL(usuario.area_id,'') AS area_id,
usuario.usu_rol,
UPPER(empleado.emple_nombre) AS emple_nombre,
UPPER(empleado.emple_apepat) AS emple_apepat,
UPPER(empleado.emple_apemat) AS emple_apemat,
empleado.emple_feccreacion,
DATE_FORMAT(empleado.emple_fechanacimiento,'%d/%m/%Y') AS emple_fechanacimiento,
empleado.emple_nrodocumento,
empleado.emple_movil,
empleado.emple_email AS emple_email,
empleado.emple_estatus,
UPPER(area.area_nombre) AS area_nombre,
area.area_fecha_registro,
area.area_estado,
UPPER(usuario.usu_usuario) AS usuario,
UPPER(empleado.emple_direccion) AS emple_direccion,
empleado.empl_fotoperfil,
empresa.emp_razon,
empresa.emp_email,
empresa.emp_cod,
empresa.emp_telefono,
empresa.emp_direccion,
empresa.emp_logo,
empresa.empresa_id,
usuario.usu_firmadigital AS empl_firmadigital
FROM
usuario
INNER JOIN empleado ON usuario.empleado_id = empleado.empleado_id
LEFT JOIN area ON usuario.area_id = area.area_cod
INNER JOIN empresa ON usuario.empresa_id = empresa.empresa_id

WHERE usuario.usu_usuario = BINARY USUARIO$$

CREATE PROCEDURE `SP_LISTAR_FERIADO` ()  SELECT
feriados.feriados_id,
feriados.fer_dia,
feriados.fer_mes,
CONCAT(feriados.fer_dia,' de ',
ELT(feriados.fer_mes,
 "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre")
) AS feriado,
DATE_FORMAT(feriados.fer_fecharegistro,'%d/%m/%Y') as fer_fecharegistro,
feriados.fer_estado
FROM
feriados$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `anuncio`
--

CREATE TABLE `anuncio` (
  `anuncio_id` int(11) NOT NULL,
  `titulo` varchar(100)  DEFAULT NULL,
  `descripcion` varchar(255)  DEFAULT NULL,
  `archivo` varchar(255)  DEFAULT NULL,
  `anun_fecharegistro` date DEFAULT NULL
) ENGINE=InnoDB ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `area`
--

CREATE TABLE `area` (
  `area_cod` int(11) NOT NULL COMMENT 'Codigo auto-incrementado del movimiento del area',
  `area_nombre` varchar(50)  NOT NULL COMMENT 'nombre del area',
  `area_fecha_registro` timestamp NOT NULL DEFAULT current_timestamp() COMMENT 'fecha del registro del movimiento',
  `area_estado` enum('ACTIVO','INACTIVO')  NOT NULL COMMENT 'estado del area'
) ENGINE=InnoDB COMMENT='Entidad Area';

--
-- Volcado de datos para la tabla `area`
--

INSERT INTO `area` (`area_cod`, `area_nombre`, `area_fecha_registro`, `area_estado`) VALUES
(1, 'MESA DE PARTES', '2018-11-21 07:54:25', 'ACTIVO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `configuracion`
--

CREATE TABLE `configuracion` (
  `configuracion_id` int(11) NOT NULL,
  `conf_horaincio` time DEFAULT NULL,
  `conf_horafinal` time DEFAULT NULL,
  `conf_dia` enum('Lunes','Martes','Mircoles','Jueves','Viernes','Sbado','Domingo')  NOT NULL,
  `conf_laborable` enum('SI','NO')  NOT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `configuracion`
--

INSERT INTO `configuracion` (`configuracion_id`, `conf_horaincio`, `conf_horafinal`, `conf_dia`, `conf_laborable`) VALUES
(1, '00:00:00', '23:30:00', 'Lunes', 'NO'),
(2, '00:00:00', '23:30:00', 'Martes', 'SI'),
(3, '00:00:00', '23:30:00', 'Mircoles', 'SI'),
(4, '00:00:00', '23:30:00', 'Jueves', 'SI'),
(5, '00:00:00', '23:30:00', 'Viernes', 'SI'),
(6, '00:00:00', '16:30:00', 'Sbado', 'NO'),
(7, '00:00:00', '23:30:00', 'Domingo', 'NO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_archivos`
--

CREATE TABLE `detalle_archivos` (
  `detallearchivo_id` int(11) NOT NULL,
  `detar_archivo` varchar(255)  DEFAULT NULL,
  `detar_fecharegistro` datetime DEFAULT NULL,
  `usuario_id` int(11) DEFAULT NULL,
  `documento_id` varchar(15)  DEFAULT ''
) ENGINE=InnoDB;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_copia_documento`
--

CREATE TABLE `detalle_copia_documento` (
  `detallecopia` int(11) NOT NULL,
  `detco_fecharegistro` datetime DEFAULT NULL,
  `documento_id` varchar(15)  DEFAULT '',
  `area_id` int(11) DEFAULT NULL
) ENGINE=InnoDB;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_libro`
--

CREATE TABLE `detalle_libro` (
  `detallelibro_id` int(11) NOT NULL,
  `detli_tipo_documento` varchar(255)  DEFAULT NULL,
  `detli_dni` varchar(20)  DEFAULT NULL,
  `detli_nombre` varchar(150)  DEFAULT NULL,
  `detli_apepat` varchar(150)  DEFAULT NULL,
  `detli_apemat` varchar(150)  DEFAULT NULL,
  `detli_correo` varchar(255)  DEFAULT NULL,
  `detli_telefono` varchar(15)  DEFAULT NULL,
  `detli_celular` varchar(15)  DEFAULT NULL,
  `detli_direccion` varchar(255)  DEFAULT NULL,
  `detli_tipo_reclamo` varchar(20)  DEFAULT NULL,
  `detli_descripcion` text  DEFAULT NULL,
  `detli_archivo` varchar(255)  DEFAULT NULL,
  `libro_id` int(11) DEFAULT NULL,
  `detli_fecharegistro` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `documento`
--

CREATE TABLE `documento` (
  `documento_id` char(15)  NOT NULL,
  `doc_dniremitente` char(8)  NOT NULL,
  `doc_nombreremitente` varchar(150)  NOT NULL,
  `doc_apepatremitente` varchar(50)  NOT NULL,
  `doc_apematremitente` varchar(50)  NOT NULL,
  `doc_celularremitente` char(9)  NOT NULL,
  `doc_emailremitente` varchar(150)  NOT NULL,
  `doc_direccionremitente` varchar(255)  NOT NULL,
  `doc_representacion` varchar(50)  NOT NULL,
  `doc_ruc` char(12)  NOT NULL,
  `doc_empresa` varchar(255)  NOT NULL,
  `tipodocumento_id` int(11) NOT NULL,
  `doc_nrodocumento` varchar(15)  NOT NULL DEFAULT '',
  `doc_folio` int(11) NOT NULL,
  `doc_asunto` varchar(255)  NOT NULL,
  `doc_archivo` varchar(255)  NOT NULL,
  `doc_fecharegistro` datetime DEFAULT current_timestamp(),
  `area_id` int(11) DEFAULT 1,
  `doc_estatus` enum('PENDIENTE','RECHAZADO','FINALIZADO')  NOT NULL,
  `area_origen` int(11) NOT NULL DEFAULT 0,
  `area_destino` int(11) DEFAULT NULL,
  `doc_archivo_respuesta` varchar(255)  NOT NULL DEFAULT ''
) ENGINE=InnoDB;

--
-- Disparadores `documento`
--
DELIMITER $$
CREATE TRIGGER `TRG_REGISTRAR_MOVIMIENTO_INICIAL` AFTER INSERT ON `documento` FOR EACH ROW BEGIN
IF new.area_origen!= '' AND new.area_origen!= '0' THEN
	INSERT INTO movimiento (documento_id,area_origen_id,areadestino_id,mov_fecharegistro,mov_descripcion,mov_estatus,tipo) VALUES (new.documento_id,new.area_origen,new.area_id,now(),'','PENDIENTE','1');
ELSE
	INSERT INTO movimiento (documento_id,area_origen_id,areadestino_id,mov_fecharegistro,mov_descripcion,mov_estatus,tipo) VALUES (new.documento_id,'1',new.area_id,now(),'','PENDIENTE','1');
END IF;

END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empleado`
--

CREATE TABLE `empleado` (
  `empleado_id` int(11) NOT NULL,
  `emple_nombre` varchar(150)  DEFAULT NULL,
  `emple_apepat` varchar(100)  DEFAULT NULL,
  `emple_apemat` varchar(100)  DEFAULT NULL,
  `emple_feccreacion` date DEFAULT NULL,
  `emple_fechanacimiento` date DEFAULT NULL,
  `emple_nrodocumento` char(12)  DEFAULT NULL,
  `emple_movil` char(9)  DEFAULT NULL,
  `emple_email` varchar(250)  DEFAULT NULL,
  `emple_estatus` enum('ACTIVO','INACTIVO')  NOT NULL,
  `emple_direccion` varchar(255)  DEFAULT NULL,
  `empl_fotoperfil` varchar(255)  NOT NULL DEFAULT 'Fotos/admin.png',
  `empl_firmadigital` varchar(255)  NOT NULL DEFAULT ''
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `empleado`
--

INSERT INTO `empleado` (`empleado_id`, `emple_nombre`, `emple_apepat`, `emple_apemat`, `emple_feccreacion`, `emple_fechanacimiento`, `emple_nrodocumento`, `emple_movil`, `emple_email`, `emple_estatus`, `emple_direccion`, `empl_fotoperfil`, `empl_firmadigital`) VALUES
(1, 'SOFTNET', 'SOLUTIONS', 'PE', '2019-09-27', '1996-09-27', '12345678', '982255930', 'softnet.solutions.pe@gmail.com', 'ACTIVO', 'CORAZON DE JESUS MZ B LOT 13', 'Fotos/admin.png', 'Firma/MESA DE PARTES-6399147bbb502.png');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empresa`
--

CREATE TABLE `empresa` (
  `empresa_id` int(11) NOT NULL,
  `emp_razon` varchar(250)  NOT NULL,
  `emp_email` varchar(250)  NOT NULL,
  `emp_cod` varchar(10)  NOT NULL,
  `emp_telefono` varchar(20)  NOT NULL,
  `emp_direccion` varchar(250)  NOT NULL,
  `emp_logo` varchar(255)  NOT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `empresa`
--

INSERT INTO `empresa` (`empresa_id`, `emp_razon`, `emp_email`, `emp_cod`, `emp_telefono`, `emp_direccion`, `emp_logo`) VALUES
(1, 'Softnet Solutions Pe', 'softnet.solutions.pe@gmail.com', '51', '982255930', 'COISHCOO', 'logo/logo.png');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `feriados`
--

CREATE TABLE `feriados` (
  `feriados_id` int(11) NOT NULL,
  `fer_dia` varchar(20)  NOT NULL,
  `fer_mes` varchar(20)  NOT NULL,
  `fer_fecharegistro` datetime DEFAULT NULL,
  `fer_estado` enum('ACTIVO','INACTIVO')  NOT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `feriados`
--

INSERT INTO `feriados` (`feriados_id`, `fer_dia`, `fer_mes`, `fer_fecharegistro`, `fer_estado`) VALUES
(1, '25', '12', '2022-12-22 09:51:31', 'ACTIVO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `libro_reclamaciones`
--

CREATE TABLE `libro_reclamaciones` (
  `libro_id` int(11) NOT NULL,
  `logo` varchar(255)  DEFAULT NULL,
  `title` varchar(255)  DEFAULT NULL,
  `description` text  DEFAULT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `libro_reclamaciones`
--

INSERT INTO `libro_reclamaciones` (`libro_id`, `logo`, `title`, `description`) VALUES
(1, 'fotos/libro_636ab12ecdeb7.png', 'LIBRO DE RECLAMACIONES VIRTUAL', '<b>Conforme a lo establecido en el Cdigo de Proteccin y Defensa del \r\nConsumidor, esta institucin cuenta con un Libro de Reclamaciones \r\nVirtual a su disposicin.\r\n                    </b>');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mensaje`
--

CREATE TABLE `mensaje` (
  `mensaje_id` int(11) NOT NULL,
  `remitente_id` int(11) NOT NULL,
  `usuario_id` int(11) NOT NULL,
  `men_descripcion` text  NOT NULL,
  `men_fecharegistro` datetime DEFAULT NULL,
  `destinatario_id` int(11) DEFAULT NULL,
  `state` varchar(2)  DEFAULT NULL
) ENGINE=InnoDB;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `movimiento`
--

CREATE TABLE `movimiento` (
  `movimiento_id` int(11) NOT NULL,
  `documento_id` char(15)  NOT NULL,
  `area_origen_id` int(11) DEFAULT NULL,
  `areadestino_id` int(11) NOT NULL,
  `mov_fecharegistro` datetime DEFAULT current_timestamp(),
  `mov_descripcion` varchar(255)  NOT NULL,
  `mov_estatus` enum('PENDIENTE','CONFORME','INCOFORME','ACEPTADO','DERIVADO','FINALIZADO','RECHAZADO')  DEFAULT NULL,
  `usuario_id` int(11) DEFAULT NULL,
  `tipo` varchar(255)  DEFAULT NULL,
  `mov_archivo` varchar(255)  DEFAULT NULL,
  `mov_descripcion_original` varchar(255)  DEFAULT NULL
) ENGINE=InnoDB;

--
-- Disparadores `movimiento`
--
DELIMITER $$
CREATE TRIGGER `TRG_ACTUALIZAR_DOCUMENTO` AFTER INSERT ON `movimiento` FOR EACH ROW BEGIN
IF new.tipo!=1 THEN
UPDATE documento SET
documento.area_id = new.areadestino_id
WHERE documento.documento_id =  new.documento_id;
END IF;
END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `TRG_ACTUALIZAR_DOCUMENTO_FINALIZAR` AFTER UPDATE ON `movimiento` FOR EACH ROW BEGIN
IF new.mov_estatus = 'FINALIZADO' THEN
    UPDATE documento SET
    	documento.doc_estatus = 'FINALIZADO'
    WHERE documento.documento_id =  new.documento_id;
END IF;
IF new.mov_estatus = 'RECHAZADO' THEN
    UPDATE documento SET
    	documento.doc_estatus = 'PENDIENTE'
    WHERE documento.documento_id =  new.documento_id;
END IF;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `movimiento_accion`
--

CREATE TABLE `movimiento_accion` (
  `movimientoaccion_id` int(11) NOT NULL,
  `movimiento_id` int(11) DEFAULT NULL,
  `moviac_descripcion` varchar(255)  DEFAULT '',
  `moviac_estatus` enum('PENDIENTE','ACEPTADO','CONFORME','INCOFORME','RECHAZADO','FINALIZADO')  NOT NULL,
  `moviac_fecharegistro` datetime DEFAULT current_timestamp()
) ENGINE=InnoDB;

--
-- Disparadores `movimiento_accion`
--
DELIMITER $$
CREATE TRIGGER `TRAG_ACTUALIZAR_MOVIMIENTO` AFTER INSERT ON `movimiento_accion` FOR EACH ROW BEGIN
DECLARE destino_inicial INT;
set @destino_inicial :=(SELECT documento.area_destino FROM documento 
INNER JOIN movimiento ON movimiento.documento_id = documento.documento_id
WHERE movimiento.movimiento_id = new.movimiento_id);
IF @destino_inicial = 1 THEN
	UPDATE movimiento SET
    	movimiento.mov_estatus = new.moviac_estatus,
        movimiento.mov_descripcion_original = new.moviac_descripcion
    WHERE movimiento.movimiento_id = new.movimiento_id;
ELSE
	UPDATE movimiento SET
    	movimiento.mov_estatus = new.moviac_estatus,
        movimiento.mov_descripcion_original = new.moviac_descripcion,
        movimiento.tipo = ''
    WHERE movimiento.movimiento_id = new.movimiento_id;
END IF;
IF new.moviac_estatus = 'RECHAZADO' THEN
    SET @ID :=(SELECT movimiento.documento_id FROM movimiento WHERE movimiento.movimiento_id = new.movimiento_id);
    SET @AREA :=(SELECT movimiento.areadestino_id FROM movimiento WHERE movimiento.movimiento_id = new.movimiento_id);
    SET @USUARIO :=(SELECT movimiento.usuario_id FROM movimiento WHERE movimiento.movimiento_id = new.movimiento_id);
    INSERT INTO movimiento (documento_id,area_origen_id,  areadestino_id,mov_fecharegistro,mov_descripcion,mov_estatus,usuario_id,tipo) 
                   VALUES (@ID,@AREA,1,NOW(),'DOCUMENTO RECHAZADO','PENDIENTE',@USUARIO ,'');
 END IF;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `requisitos`
--

CREATE TABLE `requisitos` (
  `requisito_id` int(11) NOT NULL,
  `tiporequisito_id` int(11) NOT NULL,
  `tipodocumento_id` int(11) NOT NULL,
  `req_estado` enum('ACTIVO','INACTIVO')  NOT NULL,
  `req_fecharegistro` datetime DEFAULT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `requisitos`
--

INSERT INTO `requisitos` (`requisito_id`, `tiporequisito_id`, `tipodocumento_id`, `req_estado`, `req_fecharegistro`) VALUES
(1, 1, 1, 'ACTIVO', '2021-03-24 17:23:19');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_documento`
--

CREATE TABLE `tipo_documento` (
  `tipodocumento_id` int(11) NOT NULL COMMENT 'Codigo auto-incrementado del tipo documento',
  `tipodo_descripcion` varchar(50)  NOT NULL COMMENT 'Descripcion del  tipo documento',
  `tipodo_estado` enum('ACTIVO','INACTIVO')  NOT NULL COMMENT 'estado del tipo de documento'
) ENGINE=InnoDB COMMENT='Entidad Documento';

--
-- Volcado de datos para la tabla `tipo_documento`
--

INSERT INTO `tipo_documento` (`tipodocumento_id`, `tipodo_descripcion`, `tipodo_estado`) VALUES
(1, 'PARTIDA DE NACIMIENTO', 'ACTIVO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_requisito`
--

CREATE TABLE `tipo_requisito` (
  `tiporequisito_id` int(11) NOT NULL,
  `tire_descripcion` varchar(200)  NOT NULL,
  `tire_estado` enum('ACTIVO','INACTIVO')  NOT NULL,
  `tire_fecharegistro` datetime DEFAULT NULL
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `tipo_requisito`
--

INSERT INTO `tipo_requisito` (`tiporequisito_id`, `tire_descripcion`, `tire_estado`, `tire_fecharegistro`) VALUES
(1, 'FOTOCOPIA DNI', 'ACTIVO', '2023-01-05 10:43:33');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuario`
--

CREATE TABLE `usuario` (
  `usu_id` int(11) NOT NULL,
  `usu_usuario` varchar(250)  DEFAULT '',
  `usu_contra` varchar(250)  DEFAULT NULL,
  `usu_feccreacion` date DEFAULT NULL,
  `usu_fecupdate` date DEFAULT NULL,
  `empleado_id` int(11) DEFAULT NULL,
  `usu_observacion` varchar(250)  DEFAULT NULL,
  `usu_estatus` enum('ACTIVO','INACTIVO')  NOT NULL,
  `area_id` int(11) DEFAULT NULL,
  `usu_rol` enum('Secretario (a)','Administrador')  NOT NULL,
  `empresa_id` int(11) DEFAULT 1,
  `usu_firmadigital` varchar(255)  NOT NULL DEFAULT ''
) ENGINE=InnoDB;

--
-- Volcado de datos para la tabla `usuario`
--

INSERT INTO `usuario` (`usu_id`, `usu_usuario`, `usu_contra`, `usu_feccreacion`, `usu_fecupdate`, `empleado_id`, `usu_observacion`, `usu_estatus`, `area_id`, `usu_rol`, `empresa_id`, `usu_firmadigital`) VALUES
(1, 'admin00', '$2y$10$6L9KMsoS/RSf7a75JokQduD8c8lmACsf0Qw503D1DY3TpFzLZI1Qq', '2019-08-31', '2019-08-31', 1, '', 'ACTIVO', NULL, 'Administrador', 1, '');

--
-- ndices para tablas volcadas
--

--
-- Indices de la tabla `anuncio`
--
ALTER TABLE `anuncio`
  ADD PRIMARY KEY (`anuncio_id`) USING BTREE;

--
-- Indices de la tabla `area`
--
ALTER TABLE `area`
  ADD PRIMARY KEY (`area_cod`);

--
-- Indices de la tabla `configuracion`
--
ALTER TABLE `configuracion`
  ADD PRIMARY KEY (`configuracion_id`);

--
-- Indices de la tabla `detalle_archivos`
--
ALTER TABLE `detalle_archivos`
  ADD PRIMARY KEY (`detallearchivo_id`),
  ADD KEY `usuario_id` (`usuario_id`),
  ADD KEY `documento_id` (`documento_id`);

--
-- Indices de la tabla `detalle_copia_documento`
--
ALTER TABLE `detalle_copia_documento`
  ADD PRIMARY KEY (`detallecopia`),
  ADD KEY `documento_id` (`documento_id`),
  ADD KEY `area_id` (`area_id`);

--
-- Indices de la tabla `detalle_libro`
--
ALTER TABLE `detalle_libro`
  ADD PRIMARY KEY (`detallelibro_id`),
  ADD KEY `libro_id` (`libro_id`);

--
-- Indices de la tabla `documento`
--
ALTER TABLE `documento`
  ADD PRIMARY KEY (`documento_id`),
  ADD KEY `tipodocumento_id` (`tipodocumento_id`);

--
-- Indices de la tabla `empleado`
--
ALTER TABLE `empleado`
  ADD PRIMARY KEY (`empleado_id`);

--
-- Indices de la tabla `empresa`
--
ALTER TABLE `empresa`
  ADD PRIMARY KEY (`empresa_id`);

--
-- Indices de la tabla `feriados`
--
ALTER TABLE `feriados`
  ADD PRIMARY KEY (`feriados_id`);

--
-- Indices de la tabla `libro_reclamaciones`
--
ALTER TABLE `libro_reclamaciones`
  ADD PRIMARY KEY (`libro_id`);

--
-- Indices de la tabla `mensaje`
--
ALTER TABLE `mensaje`
  ADD PRIMARY KEY (`mensaje_id`),
  ADD KEY `area_id` (`remitente_id`),
  ADD KEY `usuario_id` (`usuario_id`),
  ADD KEY `destinatario_id` (`destinatario_id`);

--
-- Indices de la tabla `movimiento`
--
ALTER TABLE `movimiento`
  ADD PRIMARY KEY (`movimiento_id`),
  ADD KEY `area_origen_id` (`area_origen_id`),
  ADD KEY `areadestino_id` (`areadestino_id`),
  ADD KEY `usuario_id` (`usuario_id`),
  ADD KEY `documento_id` (`documento_id`);

--
-- Indices de la tabla `movimiento_accion`
--
ALTER TABLE `movimiento_accion`
  ADD PRIMARY KEY (`movimientoaccion_id`),
  ADD KEY `movimiento_id2` (`movimiento_id`);

--
-- Indices de la tabla `requisitos`
--
ALTER TABLE `requisitos`
  ADD PRIMARY KEY (`requisito_id`),
  ADD KEY `tiporequisito_id` (`tiporequisito_id`),
  ADD KEY `tipodocumento_id` (`tipodocumento_id`);

--
-- Indices de la tabla `tipo_documento`
--
ALTER TABLE `tipo_documento`
  ADD PRIMARY KEY (`tipodocumento_id`);

--
-- Indices de la tabla `tipo_requisito`
--
ALTER TABLE `tipo_requisito`
  ADD PRIMARY KEY (`tiporequisito_id`);

--
-- Indices de la tabla `usuario`
--
ALTER TABLE `usuario`
  ADD PRIMARY KEY (`usu_id`),
  ADD KEY `empleado_id` (`empleado_id`),
  ADD KEY `area_id` (`area_id`),
  ADD KEY `empresa_id` (`empresa_id`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `anuncio`
--
ALTER TABLE `anuncio`
  MODIFY `anuncio_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `area`
--
ALTER TABLE `area`
  MODIFY `area_cod` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Codigo auto-incrementado del movimiento del area', AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `configuracion`
--
ALTER TABLE `configuracion`
  MODIFY `configuracion_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de la tabla `detalle_archivos`
--
ALTER TABLE `detalle_archivos`
  MODIFY `detallearchivo_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `detalle_copia_documento`
--
ALTER TABLE `detalle_copia_documento`
  MODIFY `detallecopia` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `detalle_libro`
--
ALTER TABLE `detalle_libro`
  MODIFY `detallelibro_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `empleado`
--
ALTER TABLE `empleado`
  MODIFY `empleado_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `empresa`
--
ALTER TABLE `empresa`
  MODIFY `empresa_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `feriados`
--
ALTER TABLE `feriados`
  MODIFY `feriados_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `libro_reclamaciones`
--
ALTER TABLE `libro_reclamaciones`
  MODIFY `libro_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `mensaje`
--
ALTER TABLE `mensaje`
  MODIFY `mensaje_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `movimiento`
--
ALTER TABLE `movimiento`
  MODIFY `movimiento_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `movimiento_accion`
--
ALTER TABLE `movimiento_accion`
  MODIFY `movimientoaccion_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `requisitos`
--
ALTER TABLE `requisitos`
  MODIFY `requisito_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `tipo_documento`
--
ALTER TABLE `tipo_documento`
  MODIFY `tipodocumento_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Codigo auto-incrementado del tipo documento', AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `tipo_requisito`
--
ALTER TABLE `tipo_requisito`
  MODIFY `tiporequisito_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `usuario`
--
ALTER TABLE `usuario`
  MODIFY `usu_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `detalle_archivos`
--
ALTER TABLE `detalle_archivos`
  ADD CONSTRAINT `detalle_archivos_ibfk_1` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usu_id`),
  ADD CONSTRAINT `detalle_archivos_ibfk_2` FOREIGN KEY (`documento_id`) REFERENCES `documento` (`documento_id`);

--
-- Filtros para la tabla `detalle_copia_documento`
--
ALTER TABLE `detalle_copia_documento`
  ADD CONSTRAINT `detalle_copia_documento_ibfk_2` FOREIGN KEY (`area_id`) REFERENCES `area` (`area_cod`),
  ADD CONSTRAINT `detalle_copia_documento_ibfk_3` FOREIGN KEY (`documento_id`) REFERENCES `documento` (`documento_id`);

--
-- Filtros para la tabla `detalle_libro`
--
ALTER TABLE `detalle_libro`
  ADD CONSTRAINT `detalle_libro_ibfk_1` FOREIGN KEY (`libro_id`) REFERENCES `libro_reclamaciones` (`libro_id`);

--
-- Filtros para la tabla `documento`
--
ALTER TABLE `documento`
  ADD CONSTRAINT `documento_ibfk_1` FOREIGN KEY (`tipodocumento_id`) REFERENCES `tipo_documento` (`tipodocumento_id`);

--
-- Filtros para la tabla `mensaje`
--
ALTER TABLE `mensaje`
  ADD CONSTRAINT `mensaje_ibfk_1` FOREIGN KEY (`remitente_id`) REFERENCES `area` (`area_cod`),
  ADD CONSTRAINT `mensaje_ibfk_2` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usu_id`),
  ADD CONSTRAINT `mensaje_ibfk_3` FOREIGN KEY (`destinatario_id`) REFERENCES `area` (`area_cod`);

--
-- Filtros para la tabla `movimiento`
--
ALTER TABLE `movimiento`
  ADD CONSTRAINT `movimiento_ibfk_1` FOREIGN KEY (`area_origen_id`) REFERENCES `area` (`area_cod`),
  ADD CONSTRAINT `movimiento_ibfk_2` FOREIGN KEY (`areadestino_id`) REFERENCES `area` (`area_cod`),
  ADD CONSTRAINT `movimiento_ibfk_3` FOREIGN KEY (`usuario_id`) REFERENCES `usuario` (`usu_id`),
  ADD CONSTRAINT `movimiento_ibfk_4` FOREIGN KEY (`documento_id`) REFERENCES `documento` (`documento_id`);

--
-- Filtros para la tabla `movimiento_accion`
--
ALTER TABLE `movimiento_accion`
  ADD CONSTRAINT `movimiento_accion_ibfk_1` FOREIGN KEY (`movimiento_id`) REFERENCES `movimiento` (`movimiento_id`);

--
-- Filtros para la tabla `requisitos`
--
ALTER TABLE `requisitos`
  ADD CONSTRAINT `requisitos_ibfk_1` FOREIGN KEY (`tiporequisito_id`) REFERENCES `tipo_requisito` (`tiporequisito_id`),
  ADD CONSTRAINT `requisitos_ibfk_2` FOREIGN KEY (`tipodocumento_id`) REFERENCES `tipo_documento` (`tipodocumento_id`);

--
-- Filtros para la tabla `usuario`
--
ALTER TABLE `usuario`
  ADD CONSTRAINT `usuario_ibfk_1` FOREIGN KEY (`empleado_id`) REFERENCES `empleado` (`empleado_id`),
  ADD CONSTRAINT `usuario_ibfk_2` FOREIGN KEY (`area_id`) REFERENCES `area` (`area_cod`),
  ADD CONSTRAINT `usuario_ibfk_3` FOREIGN KEY (`empresa_id`) REFERENCES `empresa` (`empresa_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
