<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark"> Rastrear Tr&aacute;mites</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="index.php" ><i class="fa fa-home"></i> Inicio</a></li>
          <li class="breadcrumb-item active">Rastrear</li>
        </ol>
      </div>
    </div>
  </div>
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
              <div id="div_buscartramite">
                <div class="card ">
                  <div class="card-header">
                    <h3 class="card-title"><b>Rastrear Tr&aacute;mite</b></h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
                    </div>
                  </div>
                  <div class="card-body">
                    <form onsubmit="return false" autocomplete="false">
                      <div class="row">
                        <div class="col-lg-3 form-group">
                          <label>Buscar por:</label> 
                          <select class="form-control select2" id="combo_buscar">
                            <option value="seguimiento">N&#176; SEGUIMIENTO</option>
                            <option value="dni">DNI</option>
                          </select>
                        </div>
                        <div class="col-lg-3 form-group seguimiento">
                          <label>N&#176; Seguimiento:</label>
                          <input class="form-control" type="text" placeholder="Nro seguimiento" maxlength="15" id="txtnrodocumento_seguimiento" onkeypress="return soloNroDocumento(event)">
                        </div>
                        <div class="col-lg-3 form-group dni" style="display: none;">
                          <label>N&#176; DNI:</label>
                          <input class="form-control" type="text" placeholder="Nro dni" maxlength="8" id="txtnrodocumento" onkeypress="return soloNumeros(event)">
                        </div>
                        <div class="col-lg-3 form-group">
                          <label>A&ntilde;o del documento</label>
                          <select id="cbm_anio" style="text-align: center;width: 100%" class="select2 select2-danger" data-dropdown-css-class="select2-danger">
                            <option>2000</option><option>2001</option><option>2002</option>
                            <option>2003</option><option>2004</option><option>2005</option>
                            <option>2006</option><option>2007</option><option>2008</option>
                            <option>2009</option><option>2010</option><option>2011</option>
                            <option>2012</option><option>2013</option><option>2014</option>
                            <option>2015</option><option>2016</option><option>2017</option>
                            <option>2018</option><option>2019</option><option>2020</option>
                            <option>2021</option><option>2022</option><option>2023</option>
                            <option>2024</option><option>2025</option><option>2026</option>
                            <option>2027</option><option>2028</option><option>2029</option>
                            <option>2030</option><option>2031</option><option>2032</option>
                          </select>
                        </div>
                        <div class="col-md-3 fom-group dni"  style="display: none;">
                          <label>&nbsp;</label>
                          <button id="btn_buscar" onclick="buscar_orden_interno_dni()" class="btn btn-block bg-gradient-danger"><i class="fa fa-search"></i></button>
                        </div>
                        <div class="col-md-3 fom-group seguimiento" >
                          <label>&nbsp;</label>
                          <button id="btn_buscar" onclick="buscar_orden_interno_seguimiento()" class="btn btn-block bg-gradient-danger"><i class="fa fa-search"></i></button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
              <div id="div_datostramite" style="display: none;">
                <div class="card card-orange">
                  <div class="card-header">
                    <h3 class="card-title" style="color: white;"><b>Informaci&oacute;n del Tr&aacute;mite</b></h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
                    </div>
                  </div>
                  <div class="card-body">
                    <form onsubmit="return false" autocomplete="false">
                      <div class="row">
                        <div class="col-lg-12 ">
                          <div class="container-fluid">
                            <div class="row mb-2">
                              <div class="col-sm-6">
                              </div>
                              <div class="col-sm-6">
                                <ol class="float-sm-right">
                                  <button class="btn btn-success btn-sm" style="width: 100%;" onclick="nueva_busqueda_interna()"><i class="fa fa-search"></i> &nbsp;Nueva Busqueda</button>
                                </ol>
                                <ol class="float-sm-right" id="ol_notificar" style="display:none">
                                  <button class="btn btn-danger btn-sm" style="width: 100%;" onclick="notificar_remitente()"><i class="fa fa-envelope"></i> &nbsp;Notificar al Remitente</button>
                                </ol>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="col-lg-12 dni">
                          <div class="table-responsive">
                            <table id="tabla_documento_interno" style="table-layout:fixed;width: 100%;font-size: small;" class="table tabel-display table-nowrap">
                              <thead>
                                <tr>
                                  <th style="text-align: center;width: 60px;word-wrap: break-word;">Nro Seguimiento</th>
                                  <th style="width: 50px;word-wrap: break-word;">Tipo Documento</th>
                                  <th style="text-align: center;width: 40px;word-wrap: break-word;">DNI Remi.</th>
                                  <th style="width: 90px;word-wrap: break-word;">Datos Remitente</th>
                                  <th style="text-align: left;width: 50px;word-wrap: break-word;">Origen</th>
                                  <th style="text-align: left;width: 50px;word-wrap: break-word;">Localizado en</th>
                                  <th style="text-align: center;width: 40px;word-wrap: break-word;">Estado del Doc.</th>
                                  <th style="text-align: center;width: 40px;word-wrap: break-word;">Seguimiento</th>
                                  <th style="text-align: center;width: 30px;word-wrap: break-word;">Notificar</th>
                                </tr>
                              </thead>
                              <tbody>
                              </tbody>
                              <tfoot>
                                <tr>
                                  <th style="text-align: center;width: 60px;word-wrap: break-word;">Nro Seguimiento</th>
                                  <th style="width: 50px;word-wrap: break-word;">Tipo Documento</th>
                                  <th style="width: 40px;word-wrap: break-word;">DNI Remi.</th>
                                  <th style="width: 90px;word-wrap: break-word;">Datos Remitente</th>
                                  <th style="text-align: left;width: 50px;word-wrap: break-word;">Origen</th>
                                  <th style="text-align: left;width: 50px;word-wrap: break-word;">Localizado en</th>
                                  <th style="text-align: center;width: 40px;word-wrap: break-word;">Estado del Doc.</th>
                                  <th style="text-align: center;width: 40px;word-wrap: break-word;">Seguimiento</th>
                                  <th style="text-align: center;width: 30px;word-wrap: break-word;">Notificar</th>
                                </tr>
                              </tfoot>
                            </table>
                          </div>
                        </div>
                        <div class="col-lg-6 seguimiento">
                          <div class="">
                            <table class="table" style="width: 100%;">
                              <tr>
                                <td class="td_estilo" style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                                  DATOS DEL REMITENTE
                                </td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">DNI</td>
                                <td class="td_estilo" style="width: 70%;"><label id="lb_dni_2"></label></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">NOMBRES - APELLIDOS</td>
                                <td class="td_estilo" style="width: 70%;" id="lb_datos_2"></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">DIRECCI&Oacute;N</td>
                                <td class="td_estilo" style="width: 70%;" id="lb_direccion_2"></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">E-MAIL</td>
                                <td class="td_estilo" style="width: 70%;" id="lb_email_2"></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">REPRESENTACI&Oacute;N</td>
                                <td class="td_estilo" style="width: 70%;" id="lb_representacion_2"></td>
                              </tr>
                            </table>
                          </div>
                        </div>
                        <div class="col-lg-6 seguimiento">
                          <div class="table-responsive">
                            <table class="table" style="width: 100%;">
                              <tr>
                                <td class="td_estilo" style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                                  DATOS DEL DOCUMENTO
                                </td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">TIPO DOCUMENTO</td>
                                <td class="td_estilo" style="width: 70%;" id="lb_tipodocumento_2"></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">NRO DOCUMENTO</td>
                                <td class="td_estilo" style="width: 70%;">
                                  <label  id="lb_nrodocumento_2"></label>
                                  <label hidden id="lb_iddocumento_2"></label> 
                                  <label hidden id="lb_estado_2"></label> 
                                </td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">ASUNTO</td>
                                <td class="td_estilo" style="width: 70%;" rowspan="3" id="lb_asunto_2"></td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="border: 0px solid black;">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="td_estilo" style="border: 0px solid black;">&nbsp;</td>
                              </tr>
                            </table>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="card card-primary seguimiento">
                    <div class="card-header">
                      <h3 class="card-title"><b>Seguimiento Tr&aacute;mite</b></h3>
                    </div>
                    <div class="card-body">
                      <form onsubmit="return false" autocomplete="false">
                        <div class="row">
                          <div class="col-12" >
                            <div class="timeline">
                              <div id="div_historial2_seguimiento"></div>
                              <div id="div_historial_seguimiento"></div>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <!-- /.col -->
        </div>
    </div>
</section>
<div class="modal fade bs-example-modal-lg" id="modal_ver_seguimiento">
  <div class="modal-dialog modal-lg modal-dialog-centered maximo"style="max-width: 1000px">
    <div class="modal-content"  >
      <div class="modal-header">
        <h4 class="modal-title" id="mimodal_registrar"><label>Seguimiento del Tr&aacute;mite <label style="color: #9B0000;font-weight: bold;" id="txt_nroseguimiento"></label></label></h4>
        <button type="button" class="close float-sm-right" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="form-horizontal" onsubmit="return false" autocomplete="false">
          <div class="box-body" >
            <div style="overflow:auto;height:450px;">
              <div class="row" style="margin-right: 0px;" >
                <div class="col-lg-6">
                  <div class="">
                    <table class="table" style="width: 100%;">
                      <tr>
                        <td class="td_estilo" style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                          DATOS DEL REMITENTE
                        </td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">DNI</td>
                        <td class="td_estilo" style="width: 70%;"><label id="lb_dni"></label></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">NOMBRES - APELLIDOS</td>
                        <td class="td_estilo" style="width: 70%;" id="lb_datos"></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">DIRECCI&Oacute;N</td>
                        <td class="td_estilo" style="width: 70%;" id="lb_direccion"></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">E-MAIL</td>
                        <td class="td_estilo" style="width: 70%;" id="lb_email"></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">REPRESENTACI&Oacute;N</td>
                        <td class="td_estilo" style="width: 70%;" id="lb_representacion"></td>
                      </tr>
                    </table>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="table-responsive">
                    <table class="table" style="width: 100%;">
                      <tr>
                        <td class="td_estilo" style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                          DATOS DEL DOCUMENTO
                        </td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">TIPO DOCUMENTO</td>
                        <td class="td_estilo" style="width: 70%;" id="lb_tipodocumento"></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">NRO DOCUMENTO</td>
                        <td class="td_estilo" style="width: 70%;">
                          <label  id="lb_nrodocumento"></label>
                          <label hidden id="lb_iddocumento"></label> 
                        </td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="width: 30%;font-weight: bold;background-color: #E4E4E4">ASUNTO</td>
                        <td class="td_estilo" style="width: 70%;" rowspan="3" id="lb_asunto"></td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="border: 0px solid black;">&nbsp;</td>
                      </tr>
                      <tr>
                        <td class="td_estilo" style="border: 0px solid black;">&nbsp;</td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
              <div class="card card-primary">
                <div class="card-header">
                  <h3 class="card-title"><b>Seguimiento Tr&aacute;mite</b></h3>
                </div>
                <div class="card-body">
                  <form onsubmit="return false" autocomplete="false">
                    <div class="row">
                      <div class="col-12" >
                        <div class="timeline">
                          <div id="div_historial2"></div>
                          <div id="div_historial"></div>
                        </div>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </form>  
      </div>
      <div class="modal-footer">
        <div class="form-group">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<script src="js/console_tramite.js?rev=<?php echo time();?>"></script>

<script type="text/javascript">
  $('.select2').select2();
  function soloNumerosyletrasDatapicker(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = "0123456456789-";
     especiales = "";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumerosyletras(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = " áéíóúabcdefghijklmnñopqrstuvwxyz0123456456789:/.,\@-_";
     especiales = "8-37-39-46-58";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumeros(e){
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8){
        return true;
    }
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
  }
  function soloLetras(e){
      key = e.keyCode || e.which;
      tecla = String.fromCharCode(key).toLowerCase();
      letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
      especiales = "8-37-39-46";
      tecla_especial = false
      for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }
      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNroDocumento(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "abcdefghijklmnñopqrstuvwxyz0123456456789\@-_";
    especiales = "8-37-39-46-58";

    tecla_especial = false
    for(var i in especiales){
        if(key == especiales[i]){
            tecla_especial = true;
            break;
        }
    }
    if(letras.indexOf(tecla)==-1 && !tecla_especial){
        return false;
    }
  }
  function mantenimiento() {
    Swal.fire("Mensaje de Aviso","Opci&oacute;n en mantenimiento","info");
  }
</script>
<style type="text/css">
  .td_estilo{
    border: 2px solid black;
    word-wrap: break-word;
    text-align: justify;
  }
</style>
<style>
  .btn{
    font-weight: bold;
  }
  h1{
    font-weight: bold;
  }
  small{
    font-weight: bold;
  }
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<script type="text/javascript">
  var fecha = new Date();
  var ano = fecha.getFullYear();
  $("#cbm_anio").val(ano).trigger("change");

  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
  $("#combo_buscar").change(function(){
    var buscar = $("#combo_buscar").val();
    if (buscar == 'seguimiento') {
      var x = document.getElementsByClassName("seguimiento");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'block';
      }
      var x = document.getElementsByClassName("dni");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'none';
      }
    }else{
      var x = document.getElementsByClassName("dni");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'block';
      }
      var x = document.getElementsByClassName("seguimiento");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'none';
      }
    }
  });
  var buscar = $("#combo_buscar").val();
  if (buscar == 'seguimiento') {
      var x = document.getElementsByClassName("seguimiento");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'block';
      }
      var x = document.getElementsByClassName("dni");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'none';
      }
    }else{
      var x = document.getElementsByClassName("dni");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'block';
      }
      var x = document.getElementsByClassName("seguimiento");
      var i;
      for (i = 0; i < x.length; i++) {
        x[i].style.display = 'none';
      }
    }
</script>
<style type="text/css">
  .timeline > div > div {
      margin-bottom: 15px;
      margin-right: 10px;
      position: relative;
  }
  .timeline > div > .time-label > span {
      border-radius: 4px;
      background-color: #fff;
      display: inline-block;
      font-weight: 600;
      padding: 5px;
  }
  .timeline > div > .fa, .timeline > div > .fab, .timeline > div > .far, .timeline > div > .fas, .timeline > div > div > .fas, .timeline > div > .glyphicon, .timeline > div > .ion {
      background: #adb5bd;
          background-color: rgb(173, 181, 189);
      border-radius: 50%;
      font-size: 15px;
      height: 30px;
      left: 18px;
      line-height: 30px;
      position: absolute;
      text-align: center;
      top: 0;
      width: 30px;
  }
  .timeline > div > div > .timeline-item {
      box-shadow: 0 0 1px rgba(0,0,0,.125),0 1px 3px rgba(0,0,0,.2);
      border-radius: .25rem;
      background: #fff;
      color: #495057;
      margin-left: 60px;
      margin-right: 15px;
      margin-top: 0;
      padding: 0;
      position: relative;
  }

  .timeline > div > div > .timeline-item > .time {
      color: #999;
      float: right;
      font-size: 12px;
      padding: 10px;
  }
  .timeline > div >  div > .timeline-item > .timeline-header {
      border-bottom: 1px solid rgba(0,0,0,.125);
      color: #495057;
      font-size: 16px;
      line-height: 1.1;
      margin: 0;
      padding: 10px;
  }
  .timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
      padding: 10px;
  }
  .timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
      padding: 10px;
  }
</style>
<script type="text/javascript">
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
</script>