clearInterval(iniciar_chat);
clearInterval(iniciar_mensajes);
var table;
function listar_tipodocumento(){
    table = $("#tabla_tipodocumento").DataTable({
		"ordering":false,   
        "pageLength":10,
        "destroy":true,
        "async": false ,
        "responsive": true,
    	"autoWidth": false,
        "ajax":{
            "method":"POST",
    		"url":"../controlador/tipodocumento/controlador_tipodocumento_listar.php",
            data:{
                validacion:''
            }
        },
        "columns":[
    		{"defaultContent":""},
            {"data":"tipodo_descripcion"},
    		{"data":"tipodo_estado",
    			render: function (data, type, row ) {
    				if(data=='INACTIVO'){
    					return '<span class="badge bg-danger bg-lg">'+data+'</span>';
    				}else{
    					return '<span class="badge bg-success bg-lg">'+data+'</span>';
    				}
    			}
    		},
    		{"data":null,
                render: function (data, type, row ) {
                    return "<button class='ver btn btn-warning  btn-xs' title='Ver Requisitos del tipo de documento' type='button' ><b><i class='fas fa-folder'></i>&nbsp;Ver</b></button>&nbsp";
                }
            },
            {"data":null,
                render: function (data, type, row ) {
                    return "<button class='editar btn btn-primary  btn-xs'  type='button' ><b><i class='fas fa-edit'></i>&nbsp;Editar</b></button>&nbsp";
                }
            }    		  
        ],
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
        	$($(nRow).find("td")[2]).css('text-align', 'center' );
            $($(nRow).find("td")[3]).css('text-align', 'center' );
            $($(nRow).find("td")[4]).css('text-align', 'center' );

        },
        "language":idioma_espanol,
        select: true
	});
	table.on( 'draw.dt', function () {
        var PageInfo = $('#tabla_tipodocumento').DataTable().page.info();
        table.column(0, { page: 'current' }).nodes().each( function (cell, i) {
            cell.innerHTML = i + 1 + PageInfo.start;
        } );
    } );
}
$('#tabla_tipodocumento').on('click','.editar',function(){
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if(table.row(this).child.isShown()){//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_editar").modal('show');
    $("#idtipodocumento").val(data.tipodocumento_id);
    $("#txt_nombre_editar").val(data.tipodo_descripcion);
    $("#cbm_estatus").val(data.tipodo_estado).trigger("change");
})
$('#tabla_tipodocumento').on('click','.ver',function(){
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if(table.row(this).child.isShown()){//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $('#modal_requisitos').modal({backdrop: 'static', keyboard: false})
    $("#modal_requisitos").modal('show');
    
    $("#lb_tipodocumento").html(data.tipodo_descripcion);
    $("#idtipodocumento_requerimientos").val(data.tipodocumento_id);
    combo_tiporequisitos();
    listar_requerimientos_asignados(data.tipodocumento_id);
})
var table_asignados;
function listar_requerimientos_asignados(idtipodocumento){
    table_asignados = $("#tabla_requerimientos_asignados").DataTable({
        "ordering":false,   
        "pageLength":10,
        "destroy":true,
        "async": false ,
        "responsive": true,
        "autoWidth": false,
        "ajax":{
            "method":"POST",
            "url":"../controlador/tipodocumento/controlador_requisitos_asignados_listar.php",
            data:{
                idtipodocumento:idtipodocumento,
                validacion:''
            }
        },
        "columns":[
            {"defaultContent":""},
            {"data":"tire_descripcion"},
            {"data":"req_fecharegistro"},
            {"data":"req_estado",
                render: function (data, type, row ) {
                    if(data=='INACTIVO'){
                        return '<span class="badge bg-danger bg-lg">'+data+'</span>';
                    }else{
                        return '<span class="badge bg-success bg-lg">'+data+'</span>';
                    }
                }
            },
            {"data":null,
                render: function (data, type, row ) {
                    return "<button class='eliminar btn btn-danger btn-xs' title='Eliminar Requisito del tipo de documento' type='button' ><b><i style='' class='fas fa-trash'></i></b></button>&nbsp";
                }
            }            
        ],
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            $($(nRow).find("td")[2]).css('text-align', 'center' );
            $($(nRow).find("td")[3]).css('text-align', 'center' );
            $($(nRow).find("td")[4]).css('text-align', 'center' );

        },
        "language":idioma_espanol,
        select: true
    });
    table_asignados.on( 'draw.dt', function () {
        var PageInfo = $('#tabla_requerimientos_asignados').DataTable().page.info();
        table_asignados.column(0, { page: 'current' }).nodes().each( function (cell, i) {
            cell.innerHTML = i + 1 + PageInfo.start;
        } );
    } );
}
$('#tabla_requerimientos_asignados').on('click','.eliminar',function(){
    var data = table_asignados.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if(table_asignados.row(this).child.isShown()){//Cuando esta en tamaño responsivo
        var data = table_asignados.row(this).data();
    }
    requisito       =  data.tire_descripcion,
    idtipodocumento =  data.tipodocumento_id,
    iddetalle       =  data.requisito_id;
    
    Swal.fire({
        title: "Mensaje de advertencia",
        html: "¿Seguro que deseas <label style='color:#9B0000;'>eliminar</label> el requisito <label style='color:#9B0000;'>"+requisito+"</label> ?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: "<b>SI</b>",
        cancelButtonText: "<b>NO</b>"
    })
    .then((willDelete) => {
        if (willDelete.value) {
            eliminar_requisito(iddetalle,idtipodocumento);
        }
    });
});
function eliminar_requisito(iddetalle,idtipodocumento){
    $.ajax({
        url:'../controlador/tipodocumento/controlador_eliminar_requerimiento.php',
        type:'POST',
        data:{
            iddetalle:iddetalle,
            idtipodocumento:idtipodocumento,
            validacion:''
        }
    })
    .done(function(resp){
        if (resp > 0) {
            //listar_usuario_admin();
            if (resp==1) {
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente eliminados,<b> requisito eliminado</b> ","success")
                .then ( ( value ) =>  {
                    table_asignados.ajax.reload();
                });
            }else{
                Swal.fire("Mensaje de advertencia","No se pudo proceder con la eliminaci\u00F3n,<b> el tipo de documento debe tener como minimo un requisito</b>","warning");
            }
                       
  
        }else{
          Swal.fire("Mensaje de Error","Lo sentimos, no se pudo completar la eliminaci\u00F3n","error")
        }
    })
}
function registrar_requisito(){
    var combo_tiporequisitos = $("#combo_tiporequisitos").val();
    var idtipodocumento      = $("#idtipodocumento_requerimientos").val();
    //return alert(combo_tiporequisitos);
    if (combo_tiporequisitos == 0) {
        return Swal.fire("Mensaje de advertencia", "No se encontraron tipo de requisitos disponibles", "warning");
    }
    $.ajax({
        url:'../controlador/tipodocumento/controlador_agregar_requerimiento.php',
        type:'POST',
        data:{
            combo_tiporequisitos:combo_tiporequisitos,
            idtipodocumento:idtipodocumento,
            validacion:''
        }
    })
    .done(function(resp){
        if (resp > 0) {
            //listar_usuario_admin();
            if (resp==1) {
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados,<b> requisito agregado correctamente</b> ","success")
                .then ( ( value ) =>  {
                    table_asignados.ajax.reload();
                });
            }else{
                Swal.fire("Mensaje de advertencia","No se pudo proceder con la eliminaci\u00F3n,<b> el tipo de documento debe tener como minimo un requisito</b>","warning");
            }
                       
  
        }else{
          Swal.fire("Mensaje de Error","Lo sentimos, no se pudo completar la eliminaci\u00F3n","error")
        }
    })
}
function remove(t){
    var td = t.parentNode;
    var tr = td.parentNode;
    var table = tr.parentNode;
    table.removeChild(tr);
}
function verificarid(id){
    let idverficiar = document.querySelectorAll('#detalle_requisito td[for="id"]');
    return [].filter.call(idverficiar, td=> td.textContent === id).length===1;
}
function Agregarrequisito_detalle() {
    var combo_tiporequisitos = $("#combo_tiporequisitos_registro").val();
    var nombrerequisito      = $('select[name="combo_tiporequisitos_registro"] option:selected').text();
    if (combo_tiporequisitos == 0) {
        return Swal.fire("Mensaje de advertencia", "No se encontraron tipo de requisitos disponibles", "warning");
    }
    if(verificarid(combo_tiporequisitos)){
        return Swal.fire("Mesaje de Advertencia","El requisito ya fue asignado a la tabla","warning");
    }
    let datos_agregar ="<tr>";
    datos_agregar+="<td for='id' hidden>"+combo_tiporequisitos+"</td>";
    datos_agregar+="<td style='text-align:left'>"+nombrerequisito+"</td>";
    datos_agregar+="<td style='text-align:center'><span class='badge bg-success bg-lg'>ACTIVO</span></td>";
    datos_agregar+="<td style='text-align:center'><button title='Quitar Requisito Seleccionado' class='btn btn-xs btn-danger' onclick='remove(this)'><i class='fa fa-trash'></i></button></td>";
    datos_agregar+="</tr>";
    $("#tbody_detalle_requisito").append(datos_agregar);
}
function Registrar_TipoDocumento(){
	var nombre = $("#txt_nombre").val();
	if(nombre.length==0){
		ValidacionInput("txt_nombre");
		return Swal.fire("Mensaje de advertencia","Tiene algunos campos vac&iacute;os","warning");
	}
    let count=0;
    $("#detalle_requisito tbody#tbody_detalle_requisito tr").each(function () {
        count++;
    })
    if(count==0){
        return Swal.fire("Mesaje de Advertencia","El Tipo de documento  debe tener un requisito por lo menos","warning");
    }
    let arreglo_idrequisito = new Array();
    $("#detalle_requisito tbody#tbody_detalle_requisito tr").each(function () {
        arreglo_idrequisito.push($(this).find('td').eq(0).text());
    })
    let idrequisitos_array = arreglo_idrequisito.toString();

    $.ajax({
        "url":"../controlador/tipodocumento/controlador_tipodocumento_registro.php",
        type:'POST',
        data:{
            nombre:nombre,
            idrequisitos_array:idrequisitos_array,
            validacion:''
        }
    }).done(function(resp){
        if(resp!=0){
            if (resp==2) {
                LimpiarCampos();
                Swal.fire("Mensaje De Advertencia","El tipo de documento ya existe en nuestra base de datos","warning");  
            }else{
                var data_split = (resp).split("*");
                let texto = "";
                if (data_split[0]>1) {
                    texto = data_split[0]+" requisitos asignados al tipo de documento";
                }
                if (data_split[0]==1) {
                    texto = data_split[0]+" requisitos asignado al tipo de documento";
                }
                if (data_split[0]==0) {
                    texto = "No se pudieron asignar los requisitos";
                }
                LimpiarCampos();
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>Nuevo Tipo de documento registrados</b><br><b style='color:#9B0000'>"+texto+"</b>","success")
                .then((value) => {
                    table.ajax.reload();
                    $("#modal_registro").modal('hide');
                });
            }
                
        }else{
            Swal.fire("Mensaje De Error","Lo sentimos el registro no se pudo completar","error");
        }
    })		
	
}
function Modificar_TipoDocumento(){
    var idtipodocumento = $("#idtipodocumento").val();
    var nombre = $("#txt_nombre_editar").val();
    var estatus = $("#cbm_estatus").val();
	if(nombre.length==0){
		ValidacionInput("txt_nombre_editar");
		return Swal.fire("Mensaje de advertencia","Tiene algunos campos vac&iacute;os","warning");
	}
    $.ajax({
        "url":"../controlador/tipodocumento/controlador_tipodocumento_modificar.php",
        type:'POST',
        data:{
            idtipodocumento:idtipodocumento,
            nombre:nombre,
            estatus:estatus,
            validacion:''
        }
    }).done(function(resp){
        if(resp>0){
                if(resp==1){
                    $("#modal_editar").modal('hide');
					//listar_tipodocumento();
                    Swal.fire("Mensaje de Confirmaci\u00F3n","Datos actualizados correctamente","success")
                    .then((value) => {
                        table.ajax.reload();
                    });
                    
                }else{
                    LimpiarCampos();
                    Swal.fire("Mensaje de Advertencia","El tipo de documento ya existe en nuestra base de datos","warning");  
                }
        }else{
            Swal.fire("Mensaje de Error","Lo sentimos la actualizacion no se pudo completar","error");
        }
    })	
}
function ValidacionInput(txt_nombre){
	Boolean($("#"+txt_nombre).val().length>0) ? $("#"+txt_nombre).removeClass('is-invalid').addClass("is-valid") : $("#"+txt_nombre).removeClass('is-valid').addClass("is-invalid"); 
}
function LimpiarCampos(){
    $("#txt_nombre").val("");
    $("#tbody_detalle_requisito").empty();
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    
}
function AbrirModalRegistro(){
    LimpiarCampos();
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_registro").modal('show');
    combo_tiporequisitos_registro();
}
function combo_tiporequisitos(){
    $.ajax({
        url:'../controlador/tipodocumento/controlador_combo_tiporequisitos_listar.php',
        type:'POST',
        data:{
            validacion:''
        }
    })
    .done(function(resp){
        var data = JSON.parse(resp);

        if (data.length > 0) {
            var cadena = "";
            for (var i = 0; i < data.length; i++) {
                cadena += "<option value='"+data[i][0]+"'>"+data[i][1]+"</option>";
            }
            $("#combo_tiporequisitos").html(cadena);
        }
        else{
            var cadena = "<option value='0'>NO SE ENCONTRARON REGISTROS</option>";
            $("#combo_tiporequisitos").html(cadena);
        }
    })
}
function combo_tiporequisitos_registro(){
    $.ajax({
        url:'../controlador/tipodocumento/controlador_combo_tiporequisitos_listar.php',
        type:'POST',
        data:{
            validacion:''
        }
    })
    .done(function(resp){
        var data = JSON.parse(resp);
        if (data.length > 0) {
            var cadena = "";
            for (var i = 0; i < data.length; i++) {
                cadena += "<option value='"+data[i][0]+"'>"+data[i][1]+"</option>";
            }
            $("#combo_tiporequisitos_registro").html(cadena);
        }
        else{
            var cadena = "<option value='0'>NO SE ENCONTRARON REGISTROS</option>";
            $("#combo_tiporequisitos_registro").html(cadena);
        }
    })
}