<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Mantenimiento Libro de Reclamaciones</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="index.php" ><i class="fa fa-home"></i> Inicio</a></li>
          <li class="breadcrumb-item active"> Libro de Reclamaciones</li>
        </ol>
      </div>
    </div>
  </div>
</section>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card"> 
         <div class="card-header">
            <h3 class="card-title">Listado de Reclamos/Queja</h3>
          </div>
          <div class="card-body">
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="tab_listado-tab" data-toggle="pill" href="#tab_listado" role="tab" aria-controls="tab_listado" aria-selected="true">Libro Reclamos/Queja</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="tab_editar-tab" data-toggle="pill" href="#tab_editar" role="tab" aria-controls="tab_editar" aria-selected="false">Editar Informaci&oacute;n</a>
              </li>
            </ul>
            <div class="tab-content" id="pills-tabContent">
              <div class="tab-pane fade show active" id="tab_listado" role="tabpanel" aria-labelledby="tab_listado-tab">
                <div class="col-md-12 form-group row">
                  <div class="col-md-3 form-group"></div>
                  <div class="col-md-3 form-group">
                    <label>Tipo Reclamaci&oacute;n:</label>
                    <select class="form-control select2" id="combo_tiporeclamo">
                      <option>QUEJA</option>
                      <option>RECLAMO</option>
                    </select>
                  </div>
                  <div class="col-md-3 form-group">
                    <label>&nbsp;</label><br>
                    <button class="btn btn-success" onclick="listar_reclamo()" style="width:100%"><i class="fa fa-search"></i> Buscar</button>
                  </div>
                  <div class="col-md-3 form-group"></div>
                </div>
                <div class="col-md-12 form-group">
                  <div class="table-responsive">
                    <table id="tabla_reclamos" style="table-layout:fixed;width: 100%;vertical-align: middle;" class="table tabel-display table-nowrap">
                      <thead>
                        <tr>
                          <th  style="text-align: center;width: 30px;word-wrap: break-word;">#</th>
                          <th style="text-align: center;width: 70px;word-wrap: break-word;">Tipo Reclamaci&oacute;n</th>
                          <th style="text-align: center;width: 50px;word-wrap: break-word;">Tip. Doc.</th>
                          <th style="text-align: center;width: 50px;word-wrap: break-word;">Nro Doc.</th>
                          <th style="text-align: left;width: 150px;word-wrap: break-word;">Ciudadano</th>
                          <th style="text-align: left;width: 80px;word-wrap: break-word;">Correo</th>
                         
                          <th style="text-align: center;width: 60px;word-wrap: break-word;">Fecha Registro</th>
                          <th  style="text-align: center;width: 40px;word-wrap: break-word;">Mas datos</th>
                        </tr>
                      </thead>
                      <tbody>
                      </tbody>
                      <tfoot>
                        <tr>
                          <th  style="text-align: center;width: 30px;word-wrap: break-word;">#</th>
                          <th style="text-align: center;width: 70px;word-wrap: break-word;">Tipo Reclamaci&oacute;n</th>
                          <th style="text-align: center;width: 50px;word-wrap: break-word;">Tip. Doc.</th>
                          <th style="text-align: center;width: 50px;word-wrap: break-word;">Nro Doc.</th>
                          <th style="text-align: left;width: 150px;word-wrap: break-word;">Ciudadano</th>
                          <th style="text-align: left;width: 80px;word-wrap: break-word;">Correo</th>
                         
                          <th style="text-align: center;width: 60px;word-wrap: break-word;">Fecha Registro</th>
                          <th  style="text-align: center;width: 40px;word-wrap: break-word;">Mas datos</th>
                        </tr>
                      </tfoot>
                    </table>
                  </div>
                </div>
              </div>
              <div class="tab-pane fade" id="tab_editar" role="tabpanel" aria-labelledby="tab_editar-tab">
                <div class="row">
                  <div class="col-md-12 form-group">
                    <input type="text" id="txt_id" hidden>
                    <label>T&iacute;tulo (*):</label>
                    <input type="text" id="txt_titulo" autocomplete="new-password" class="form-control" placeholder="Ingresar t&iacute;tulo" maxlength="200" onkeypress="return soloNumerosyletras(event)">
                  </div>
                  <div class="col-lg-12 form-group">
                    <label>Informaci&oacute;n parte Arriba: </label>
                    <textarea class="form-control html-editor"  autocomplete="new-password" rows="3" style="resize:none;" id="text_descripcion" placeholder="Ingrese descripci&oacute;n"></textarea>
                  </div>
                  <div class="col-md-12 form-group">
                    <input type="text" id="txt_ruta" hidden>
                    <input type="text" id="txtformato" hidden name="txtformato">
                    <label for="txt_archivo">Adjuntar imagen(JPG, JPGE, PNG) (*):</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" accept=".jpg,.png,.jpeg,.JPG,.PNG,.JPEG" class="custom-file-input form-control imagen_registro" id="txt_archivo" name="txt_archivo" placeholder="Seleccionar Archivo">
                        <label class="custom-file-label lb_archivo" id="lb_archivo" for="txt_archivo">Seleccionar Archivo</label>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-4 form-group"></div>
                  <div class="col-md-4 form-group">
                    <button class="btn btn-success" id="btn_guardar" onclick="actualizar_datos_libro()" style="width: 100%;"><i class="fa fa-pen-alt"></i> Actualizar Informaci&oacute;n</button>
                  </div>
                  <div class="col-md-4 form-group"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- Modal -->
<div class="modal fade" id="modal_ver">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b></b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="nav nav-pills mb-3" id="pills-tab2" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="tab_mas_datos-tab" data-toggle="pill" href="#tab_mas_datos" role="tab" aria-controls="tab_mas_datos" aria-selected="true">MAS DATOS</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="tab_archivo-tab" data-toggle="pill" href="#tab_archivo" role="tab" aria-controls="tab_archivo" aria-selected="false">ARCHIVO ANEXADO</a>
          </li>
        </ul>
        <div class="tab-content" id="pills-tabContent2">
          <div class="tab-pane fade show active" id="tab_mas_datos" role="tabpanel" aria-labelledby="tab_mas_datos-tab">
            <div class="row">
              <div class="col-md-12 titulo_nuevo" style="font-weight:bold;color:#B81F33;text-transform: uppercase;">
                Identificaci&oacute;n del Consumidor Reclamante
                <hr style="border-top: 1px solid black;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>Tipo Documento:</label>
                <input type="text" class="form-control" disabled id="txt_tipodocumento" style="background-color: white;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>N° Documento (*):</label>
                <input type="text" class="form-control" id="txt_dni" placeholder="Ingresar nro documento" maxlength="15" disabled style="background-color: white;">
              </div>
              <div class="col-md-4"></div>
              <div class="col-md-12 form-group titulo_nuevo">
                <label>Nombre y Apellidos (*):</label>
                <input type="text" class="form-control" id="txt_nombre" placeholder="Ingresar Nombre" onkeypress="return soloNumerosyletras(event)" disabled style="background-color: white;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>Correo (*):</label>
                <input type="text" class="form-control" id="txt_correo" placeholder="Ingresar correo" onkeypress="return soloNumerosyletras(event)" maxlength="200" disabled style="background-color: white;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>Tel&eacute;fono:</label>
                <input type="text" class="form-control" id="txt_telefono" placeholder="Ingresar tel&eacute;fono" onkeypress="return soloNumeros(event)" maxlength="9" disabled style="background-color: white;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>Celular:</label>
                <input type="text" class="form-control" id="txt_celular" placeholder="Ingresar celular" onkeypress="return soloNumeros(event)" maxlength="9" disabled style="background-color: white;">
              </div>
              <div class="col-md-12 form-group titulo_nuevo">
                <label>Direcci&oacute;n (*):</label>
                <input type="text" class="form-control" id="txt_direccion" placeholder="Ingresar direcci&oacute;n" onkeypress="return soloNumerosyletras(event)"  disabled style="background-color: white;">
              </div>
            </div>
            <div class="row">
              <div class="col-md-12 titulo_nuevo" style="font-weight:bold;color:#B81F33;text-transform: uppercase;">
                Detalle de reclamación y pedido del consumidor
                <hr style="border-top: 1px solid black;">
              </div>
              <div class="col-md-4 form-group titulo_nuevo">
                <label>Tipo Reclamaci&oacute;n:</label>
                <input type="text" class="form-control" id="txt_tiporeclamo" disabled style="background-color:white;">
              </div>
              <div class="col-md-8 form-group" style="font-weight: bold;">
                <br>
                <small>Disconformidad no relacionada a los productos o servicios; o, malestar o descontento respecto a la atenci&oacute;n al p&uacute;blico </small>
              </div>
              <div class="col-md-12 form-group titulo_nuevo">
                <label>Detalle (*):</label>
                <textarea class="form-control" id="text_descripcion_ver" rows="3" onkeypress="return soloNumerosyletras(event)" maxlength="500" disabled style="resize:none;background-color:white;"></textarea>
                <small>Importante: En caso su reclamo o queja se haya generado a ra&iacute;z de una atenci&oacute;n telef&oacute;nica o por WhatsApp, se sugiere registrar el n&uacute;mero telef&oacute;nico </small>
              </div>
            </div>
          </div>
          <div class="tab-pane fade" id="tab_archivo" role="tabpanel" aria-labelledby="tab_archivo-tab">
            <div class="col-md-12" style="text-align: center;color: #9B0000;">
              <div id="div_archivo"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <div class="form-group">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<script src="js/console_libro.js?rev=<?php echo time();?>"></script>

<script>
  $("#modal_registro").on('shown.bs.modal',function(){
      $("#txt_titulo").focus();
  })
  traer_datos_editar();
  listar_reclamo();
  $(".select2").select2();
</script>
<script type="text/javascript">
  $('.imagen_registro').on('change', function(){
    var ext = $( this ).val().split('.').pop();
    if ($( this ).val() != '') {
      if(ext == "png" || ext == "PNG" || ext == "jpg" || ext == "JPG" || ext == "jpeg"  || ext == "JPEG"){
          if($(this)[0].files[0].size > 8048576){
            
            $("#txtformato").val("");
            $("#txt_archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            //return;
            
            //$("#btn_subir").prop("disabled",true);
          }else{
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
      }else{
          $("#txtformato").val("");
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
      }
    }
  });
  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
  $('body').css('padding-right','0');
</script>

<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
  });
</script>
<script type="text/javascript">
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
  $('.html-editor').summernote({
    height: 200,
    tabsize: 2,
    toolbar: [
      [ 'style', [ 'style' ] ],
      [ 'font', [ 'bold', 'italic', 'underline', 'clear'] ],
      [ 'fontname', [ 'fontname' ] ],
      [ 'fontsize', [ 'fontsize' ] ],
      [ 'color', [ 'color' ] ],
      [ 'para', [ 'ol', 'ul', 'paragraph' ] ],
      [ 'table', [ 'table' ] ],
      [ 'insert', [ 'link'] ],
      [ 'view', [ 'undo', 'redo', 'fullscreen', 'codeview' ] ]
    ],
  });
</script>
<style type="text/css">
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<style type="text/css">
  @media only screen and (max-width: 600px){
    .titulo_nuevo {
      font-size: 14px;
    }
  }
</style>