<?php
	use setasign\Fpdi\Fpdi;
	require_once('fpdf/fpdf.php'); // Incluímos las librerías anteriormente mencionadas
	require_once('fpdi-2/src/autoload.php'); // Incluímos las librerías anteriormente mencionadas
	$pdf = new FPDI();
	$pdf->AddPage();
	$pdf->setSourceFile("ticket-3.pdf"); // Sin extensión
	$pagecount = $pdf->setSourceFile('ticket-3.pdf');
	$certificate = 'file://'.realpath( ('eticom.jpg') );
	for ($pageNo = 1; $pageNo <= $pagecount; $pageNo++) {
	    $templateId = $pdf->importPage($pageNo);
	    $size = $pdf->getTemplateSize($templateId);
	    $pdf->useTemplate($templateId, null, null, $size['0'],$size['1'],true);
		$pdf->SetAutoPageBreak(true, 5);
	    $pdf->SetFont('Helvetica');
	    $pdf->SetXY(5, 5);
	    $pdf->Write(8, '');
	    if ($pageNo!=$pagecount) {
		    if ($size[0] > $size[1]) {
		        $pdf->AddPage('L', array($size[0], $size[1]));
		    } else {
		        $pdf->AddPage('P', array($size[0], $size[1]));
		    }
	    }
	}
	$xxx_final = ($size['0']-60); 
    $yyy_final = ($size['1']-35); 
    $pdf->Image('eticom.png', $xxx_final, $yyy_final, null, 30);
	$route = 'pdf_firmados/prueba.pdf';
	$pdf->Output($route, "F");
?>