<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Tr&aacute;mite Virtual | Sistema Mesa de Partes</title>
  <link rel="icon" id="li_1" type="image/x-icon">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="Vista/_Plantilla/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
<style type="text/css">
  .btn-success{
    background: #28a745 linear-gradient(180deg,#48b461,#28a745) repeat-x !important;
    color:white;
  }
  .btn-warning,.bg-yellow{
    background: #ffc107 linear-gradient(180deg,#ffca2c,#ffc107) repeat-x !important;
    /*color:white;*/
  }
  .card-danger.card-outline{
    border-top: 3px solid: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .card-danger:not(.card-outline) > .card-header {
    background: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .btn-danger,.bg-red{
    background: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    /*background-color: #007bff;*/
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .btn-info {
    background: #17a2b8 linear-gradient(180deg,#3ab0c3,#17a2b8) repeat-x !important;
  }
  .btn-primary,.swal2-confirm,.bg-blue{
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .card-purple:not(.card-outline) > .card-header {
    background: #6f42c1 linear-gradient(180deg,#855eca,#6f42c1) repeat-x !important;
  }
  .card-success:not(.card-outline) > .card-header {
    background: #28a745 linear-gradient(180deg,#48b461,#28a745) repeat-x !important;
  }
  .card-orange:not(.card-outline) > .card-header {
    background: #fd7e14 linear-gradient(180deg,#fd9137,#fd7e14) repeat-x !important;
  }
  .card-primary:not(.card-outline) > .card-header {
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
</style>
</head>
<body class="hold-transition sidebar-collapse layout-top-nav">
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand-md navbar-light navbar-white">
    <div class="container">
      <a href="tramite_nuevo.php" class="navbar-brand">
        <img hidden="" id="lb_logo_icono" alt="User Image"style="width: 30px;opacity: .8" alt="Logo" class="brand-image img-circle elevation-3">
        <i class="nav-icon fa fa-search brand-image fa-1x" style="color: green !important;float: revert;"></i>
        <span class="brand-text font-weight-light" style="font-weight: bold !important;">TR&Aacute;MITE VIRTUAL</span>
      </a>
      <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse order-3" id="navbarCollapse">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item">
            <a href="index.php" class="nav-link"><i class="fa fa-user"></i> &nbsp;Login</a>
          </li>
          <li class="nav-item">
            <a href="tramite_nuevo.php" class="nav-link"><i class="fa fa-plus"></i> &nbsp;Tr&aacute;mite Nuevo</a>
          </li>
          <li class="nav-item">
            <a href="seguimiento.php" class="nav-link"><i class="fa fa-search"></i> &nbsp;Seguimiento Tr&aacute;mite</a>
          </li>
        </ul>
      </div>

      <!-- Right navbar links -->
      <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
        <!-- Messages Dropdown Menu -->
        
        <li class="nav-item">
          <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button"><i
              class="fas fa-th-large"></i></a>
        </li>
      </ul>
    </div>
  </nav>
  <nav class="main-header navbar navbar-expand-md navbar-light navbar-white" style="background-color: #B81F33;border-color: #B81F33;">
    <div class="container" >
      <a href="libro_reclamos.php" class="navbar-brand" style="padding-top: 20px;padding-bottom: 10px;">
        <img id="img_libro" style="width: 280px;height: 110px; " alt="Logo" class="brand-image elevation-3">
      </a>
      <div class="collapse navbar-collapse order-3" id="navbarCollapse">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item" style="font-family: 'Bitter', serif;font-family: 'Work Sans', sans-serif;letter-spacing: 0.5px;">
            <p id="lb_title_libro" style="color:white;font-weight: bold; font-size: 14px;margin-bottom: 0px;"></p>
            <p id="lb_description_libro" style="color:white; font-size: 13px"></p>
          </li>
        </ul>
      </div>

      <!-- Right navbar links -->
      <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
        <!-- Messages Dropdown Menu -->
        
      </ul>
    </div>
  </nav>
  <!-- /.navbar -->

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container">
        
      </div><!-- /.container-fluid -->
    </div>
    <div class="content">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="card card-outline " >
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12 titulo_nuevo" style="letter-spacing: 0.5px;color: #B81F33;font-weight: bold;text-transform: uppercase;">
                    Hoja de Reclamaci&oacute;n
                    <span class="float-right"><span id="sp_fecha"></span></span>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="card  card-danger card-outline " >
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12 titulo_nuevo" style="font-weight:bold;color:#B81F33;text-transform: uppercase;">
                    Identificaci&oacute;n del Consumidor Reclamante
                    <hr style="border-top: 1px solid black;">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Tipo Documento:</label>
                    <select class="form-control select2" id="combo_tipodocumento">
                      <option>DNI</option>
                      <option>CARNET IDENTIDAD</option>
                      <option>PASAPORTE</option>
                      <option>PARTIDAD DE NACIMIENTO</option>
                      <option>OTRO</option>
                    </select>
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>N° Documento (*):</label>
                    <input type="text" class="form-control" id="txt_dni" placeholder="Ingresar nro documento" maxlength="15">
                  </div>
                  <div class="col-md-4"></div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Nombre (*):</label>
                    <input type="text" class="form-control" id="txt_nombre" placeholder="Ingresar Nombre" onkeypress="return soloNumerosyletras(event)" maxlength="150">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Apellido Paterno (*)</label>
                    <input type="text" class="form-control" id="txt_apellidopaterno" placeholder="Ingresar apellidopaterno" onkeypress="return soloNumerosyletras(event)" maxlength="150">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Apellido Materno (*)</label>
                    <input type="text" class="form-control" id="txt_apellidomaterno" placeholder="Ingresar apellidomaterno" onkeypress="return soloNumerosyletras(event)" maxlength="150">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Correo (*):</label>
                    <input type="text" class="form-control" id="txt_correo" placeholder="Ingresar correo" onkeypress="return soloNumerosyletras(event)" maxlength="200">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Tel&eacute;fono:</label>
                    <input type="text" class="form-control" id="txt_telefono" placeholder="Ingresar tel&eacute;fono" onkeypress="return soloNumeros(event)" maxlength="9">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Celular:</label>
                    <input type="text" class="form-control" id="txt_celular" placeholder="Ingresar celular" onkeypress="return soloNumeros(event)" maxlength="9">
                  </div>
                  <div class="col-md-12 form-group titulo_nuevo">
                    <label>Direcci&oacute;n (*):</label>
                    <input type="text" class="form-control" id="txt_direccion" placeholder="Ingresar direcci&oacute;n" onkeypress="return soloNumerosyletras(event)" maxlength="250">
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="card  card-danger card-outline " >
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12 titulo_nuevo" style="font-weight:bold;color:#B81F33;text-transform: uppercase;">
                    Detalle de reclamación y pedido del consumidor
                    <hr style="border-top: 1px solid black;">
                  </div>
                  <div class="col-md-4 form-group titulo_nuevo">
                    <label>Tipo Reclamaci&oacute;n:</label>
                    <select class="form-control select2" id="combo_tiporeclamo">
                      <option>QUEJA</option>
                      <option>RECLAMO</option>
                    </select>
                  </div>
                  <div class="col-md-8 form-group" style="font-weight: bold;">
                    <br>
                    <small>Disconformidad no relacionada a los productos o servicios; o, malestar o descontento respecto a la atenci&oacute;n al p&uacute;blico </small>
                  </div>
                  <div class="col-md-12 form-group titulo_nuevo">
                    <label>Detalle (*):</label>
                    <textarea class="form-control" id="text_descripcion" style="resize:none" rows="3" onkeypress="return soloNumerosyletras(event)" maxlength="500"></textarea>
                    <small>Importante: En caso su reclamo o queja se haya generado a ra&iacute;z de una atenci&oacute;n telef&oacute;nica o por WhatsApp, se sugiere registrar el n&uacute;mero telef&oacute;nico </small>
                  </div>
                  <div class="col-md-11 form-group" >
                    <input type="text" id="txtformato" hidden>
                    <label for="txt_archivo">Adjuntar evidencia (pdf):</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" accept=".pdf,.PDF" class="custom-file-input form-control imagen_registro" id="txt_archivo" name="txt_archivo">
                        <label class="custom-file-label lb_archivo" id="lb_archivo" for="txt_archivo">Seleccionar Archivo</label>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-1 form-group">
                    <label>&nbsp;</label>
                    <br>
                    <button class="btn btn-danger" onclick="limpiar_archivo()" style="width:100%"><i class="fa fa-trash"></i></button>
                  </div>
                  <div class="col-md-4 form-group"></div>
                  <div class="col-md-4 form-group">
                    <button class="btn" id="btn_guardar" style="width:100%;background-color: #B81F33;border-color: #B81F33;color: white;" onclick="registrar_reclamo()"><i class="fa fa-share"></i> Enviar</button>
                  </div>
                  <div class="col-md-4 form-group"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->

  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      <b>Version</b> 4.2
    </div>
    <!-- Default to the left -->
    <strong>Derechos Reservados <a href="https://www.facebook.com/softnetpe/" target="_blank"><label id="lb_derechos"></label></a>.</strong>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="Vista/_Plantilla/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="Vista/_Plantilla/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="Vista/_Plantilla/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>

<script src="Vista/_Plantilla/dist/js/adminlte.min.js"></script>

<script src="Vista/_Plantilla/plugins/select2/js/select2.full.min.js"></script>
<script src="Vista/js/sweetalert2.js"></script>
<script src="Vista/js/console_usuario.js?rev=<?php echo time();?>"></script>
<script src="Vista/js/console_libro.js?rev=<?php echo time();?>"></script>

</body>
</html>
<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
    //buscar_orden_externo();
  });
</script>
<style type="text/css">
  a, h3, h1{
    font-weight: bold !important;
  }
</style>
<script type="text/javascript">
  $('.select2').select2();
  traer_logo();
  traer_datos_page();
  var meses = new Array ("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
  var f=new Date();
  $("#sp_fecha").html(f.getDate() + " de " + meses[f.getMonth()] + " de " + f.getFullYear());
  function soloNumerosyletrasDatapicker(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = "0123456456789-";
     especiales = "";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumerosyletras(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = " áéíóúabcdefghijklmnñopqrstuvwxyz0123456456789:/.,\@-_";
     especiales = "8-37-39-46-58";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumeros(e){
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8){
        return true;
    }
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
  }
  function soloLetras(e){
      key = e.keyCode || e.which;
      tecla = String.fromCharCode(key).toLowerCase();
      letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
      especiales = "8-37-39-46";
      tecla_especial = false
      for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }
      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNroDocumento(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "abcdefghijklmnñopqrstuvwxyz0123456456789\@-_";
    especiales = "8-37-39-46-58";

    tecla_especial = false
    for(var i in especiales){
        if(key == especiales[i]){
            tecla_especial = true;
            break;
        }
    }
    if(letras.indexOf(tecla)==-1 && !tecla_especial){
        return false;
    }
  }
  function mantenimiento() {
    Swal.fire("Mensaje de Aviso","Opci&oacute;n en mantenimiento","info");
  }
</script>
<style>
  .btn{
    font-weight: bold;
  }
  h1{
    font-weight: bold;
  }
  small{
    font-weight: bold;
  }
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<script type="text/javascript">
  var fecha = new Date();
  var ano = fecha.getFullYear();
  $("#cbm_anio").val(ano).trigger("change");

  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
</script>
<style type="text/css">
  td{
    border: 2px solid black;
    word-wrap: break-word;
    text-align: justify;
  }
</style>
<style type="text/css">
  .timeline > div > div {
    margin-bottom: 15px;
    margin-right: 10px;
    position: relative;
}
  .timeline > div > .time-label > span {
    border-radius: 4px;
    background-color: #fff;
    display: inline-block;
    font-weight: 600;
    padding: 5px;
}
.timeline > div > .fa, .timeline > div > .fab, .timeline > div > .far, .timeline > div > .fas, .timeline > div > div > .fas, .timeline > div > .glyphicon, .timeline > div > .ion {
    background: #adb5bd;
        background-color: rgb(173, 181, 189);
    border-radius: 50%;
    font-size: 15px;
    height: 30px;
    left: 18px;
    line-height: 30px;
    position: absolute;
    text-align: center;
    top: 0;
    width: 30px;
}
.timeline > div > div > .timeline-item {
    box-shadow: 0 0 1px rgba(0,0,0,.125),0 1px 3px rgba(0,0,0,.2);
    border-radius: .25rem;
    background: #fff;
    color: #495057;
    margin-left: 60px;
    margin-right: 15px;
    margin-top: 0;
    padding: 0;
    position: relative;
}

.timeline > div > div > .timeline-item > .time {
    color: #999;
    float: right;
    font-size: 12px;
    padding: 10px;
}
.timeline > div >  div > .timeline-item > .timeline-header {
    border-bottom: 1px solid rgba(0,0,0,.125);
    color: #495057;
    font-size: 16px;
    line-height: 1.1;
    margin: 0;
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
.col-md-12,.col-md-2,.col-md-3,.col-md-4,.col-md-6{
  letter-spacing: 0.5px;
}
</style>
<div id="div_progress">
  <div class="modal fade bs-example-modal-lg" id="modal_procesar_datos_2">
    <div class="modal-dialog modal-lg modal-dialog-centered"  style="width: 75%">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel"><i class="fa fa-clock-o"></i> ESPERE UNOS MOMENTOS PORFAVOR: LOS DATOS SE ESTAN PROCESANDO.</h4>
        </div>
        <div class="modal-body center-block"> 
          <div id="div_cadena_progress"></div>       
        </div>
      </div>
    </div>
  </div>
</div>
<style type="text/css">
  @media only screen and (max-width: 600px){
    .titulo_nuevo {
      font-size: 14px;
    }
  }
</style>
<script type="text/javascript">
  $('.imagen_registro').on('change', function(){
    var ext = $( this ).val().split('.').pop();
    if ($( this ).val() != '') {
      if(ext == "pdf" || ext == "PDF"){
          if($(this)[0].files[0].size > 8048576){
            
            $("#txtformato").val("");
            $("#txt_archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            //return;
            
            //$("#btn_subir").prop("disabled",true);
          }else{
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
      }else{
          $("#txtformato").val("");
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
      }
    }
  });
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
</script>