<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Tr&aacute;mite Virtual | Sistema Mesa de Partes</title>
  <link rel="icon" id="li_1" type="image/x-icon">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="Vista/_Plantilla/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
<style type="text/css">
  .btn-success{
    background: #28a745 linear-gradient(180deg,#48b461,#28a745) repeat-x !important;
    color:white;
  }
  .btn-warning,.bg-yellow{
    background: #ffc107 linear-gradient(180deg,#ffca2c,#ffc107) repeat-x !important;
    /*color:white;*/
  }
  .card-danger.card-outline{
    border-top: 3px solid: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .card-danger:not(.card-outline) > .card-header {
    background: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .btn-danger,.bg-red{
    background: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    /*background-color: #007bff;*/
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .btn-info {
    background: #17a2b8 linear-gradient(180deg,#3ab0c3,#17a2b8) repeat-x !important;
  }
  .btn-primary,.swal2-confirm,.bg-blue{
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .card-purple:not(.card-outline) > .card-header {
    background: #6f42c1 linear-gradient(180deg,#855eca,#6f42c1) repeat-x !important;
  }
  .card-success:not(.card-outline) > .card-header {
    background: #123b89 linear-gradient(180deg,#123b89,#123b89) repeat-x !important;
  }
  .card-orange:not(.card-outline) > .card-header {
    background: #fd7e14 linear-gradient(180deg,#fd9137,#fd7e14) repeat-x !important;
  }
  .card-primary:not(.card-outline) > .card-header {
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }

  .card-orange:not(.card-outline) > .card-header {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
}

.card-primary:not(.card-outline) > .card-header {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
}

.btn-danger, .bg-red {
    background: #dc3545 linear-gradient(180deg, #dc3545, #dc3545) repeat-x !important;
}
.btn-success {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
    color: white;
    border-color:#123b89;
}
.btn-success {
    color: #fff;
    background-color: #123b89;
    border-color: #123b89;
    box-shadow: none;
}
.btn-success {
    color: #fff;
    background-color: #123b89;
    border-color: #123b89;
    box-shadow: none;
}

.card-danger.card-outline {
    border-top: 3px solid #123b89;
}

.bg-gradient-danger {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
}
</style>
</head>
<body class="hold-transition sidebar-collapse layout-top-nav">
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand-md navbar-light navbar-white">
    <div class="container">
      <a href="tramite_nuevo.php" class="navbar-brand">
        <img hidden="" id="lb_logo_icono" alt="User Image"style="width: 30px;opacity: .8" alt="Logo" class="brand-image img-circle elevation-3">
        <i class="nav-icon fa fa-search brand-image fa-1x" style="color: green !important;float: revert;"></i>
        <span class="brand-text font-weight-light" style="font-weight: bold !important;">TR&Aacute;MITE VIRTUAL</span>
      </a>
      <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse order-3" id="navbarCollapse">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item">
            <a href="index.php" class="nav-link"><i class="fa fa-user"></i> &nbsp;Login</a>
          </li>
          <li class="nav-item">
            <a href="tramite_nuevo.php" class="nav-link"><i class="fa fa-plus"></i> &nbsp;Tr&aacute;mite Nuevo</a>
          </li>
          <li class="nav-item">
            <a href="libro_reclamos.php" class="nav-link"><i class="fa fa-file"></i> &nbsp;Libro Reclamos</a>
          </li>
        </ul>
      </div>

      <!-- Right navbar links -->
      <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
        <!-- Messages Dropdown Menu -->
        
        <li class="nav-item">
          <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button"><i
              class="fas fa-th-large"></i></a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- /.navbar -->

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"> Tr&aacute;mite Virtual <small></small></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item active" style="font-weight: bold;"><i class="far fa-file-word"></i> Tr&aacute;mite</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <div class="content">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="card card-danger card-outline">
              <div class="card-header d-flex p-0">
                <h3 class="card-title p-3">Trámite</h3>
                <ul class="nav nav-pills ml-auto p-2">
                  <li class="nav-item"><a class="nav-link active" href="#tab_2" data-toggle="tab">Consultar Trámite</a></li>
                </ul>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="tab-content">
                  <div class="tab-pane active" id="tab_2">
                    <div class="row">
                      <div class="col-md-3">
                        <div id="div_buscartramite">
                          <div class="card card-success">
                            <div class="card-header">
                              <h3 class="card-title"><b>Rastrear Trámite</b></h3>
                              <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
                              </div>
                            </div>
                            <div class="card-body">
                              <form onsubmit="return false" autocomplete="false">
                                <div class="row">
                                  <div class="col-lg-12 form-group">
                                    <label>N&#176; Seguimiento:</label>
                                    <input class="form-control" type="text" placeholder="Nro seguimiento" maxlength="15" id="txtnrodocumento" onkeypress="return soloNroDocumento(event)">
                                  </div>
                                  <div class="col-lg-12 form-group">
                                    <label>DNI:</label>
                                    <input type="text" class="form-control" id="txt_dni" placeholder="Ingresar dni" maxlength="8" onkeypress="return soloNumeros(event)">
                                  </div>
                                  <div class="col-lg-12 form-group">
                                    <label>A&ntilde;o del documento</label>
                                    <select id="cbm_anio" style="text-align: center;width: 100%" class="select2 select2-danger" data-dropdown-css-class="select2-danger">
                                      <option>2000</option><option>2001</option><option>2002</option>
                                      <option>2003</option><option>2004</option><option>2005</option>
                                      <option>2006</option><option>2007</option><option>2008</option>
                                      <option>2009</option><option>2010</option><option>2011</option>
                                      <option>2012</option><option>2013</option><option>2014</option>
                                      <option>2015</option><option>2016</option><option>2017</option>
                                      <option>2018</option><option>2019</option><option>2020</option>
                                      <option>2021</option><option>2022</option><option>2023</option>
                                      <option>2024</option><option>2025</option><option>2026</option>
                                      <option>2027</option><option>2028</option><option>2029</option>
                                      <option>2030</option><option>2031</option><option>2032</option>
                                    </select>
                                  </div>
                                  <div class="col-lg-12 form-group">
                                    <label>&nbsp;</label>
                                    <button id="btn_buscar" onclick="buscar_orden_externo()" class="btn btn-block bg-gradient-danger"><i class="fa fa-search"></i></button>
                                  </div>
                                </div>
                              </form>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-9">
                        <div id="div_datostramite" style="display: none;">
                          <div class="card card-orange">
                            <div class="card-header">
                              <h3 class="card-title" style="color: white;"><b>Información del Trámite</b></h3>
                              <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
                              </div>
                            </div>
                            <div class="card-body">
                              <div class="row">
                                <div class="col-lg-12">
                                  <div class="container-fluid">
                                    <div class="row mb-2">
                                      <div class="col-sm-6"></div>
                                      <div class="col-sm-6">
                                        <ol class="float-sm-right">
                                          <button class="btn btn-danger btn-sm" style="width: 100%;" onclick="Generar_Reporte()"><i class="fa fa-print"></i> &nbsp;Imprimir Ticket</button>
                                        </ol>
                                        <ol class="float-sm-right">
                                          <button class="btn btn-success btn-sm" style="width: 100%;" onclick="nueva_busqueda()"><i class="fa fa-search"></i> &nbsp;Nueva Busqueda</button>
                                        </ol>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-lg-6">
                                  <div>
                                    <table class="table" style="width: 100%;">
                                      <tr>
                                        <td style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                                          DATOS DEL REMITENTE
                                        </td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">DNI</td>
                                        <td style="width: 70%;"><label id="lb_dni"></label></td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">NOMBRES - APELLIDOS</td>
                                        <td style="width: 70%;" id="lb_datos"></td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">DIRECCIÓN</td>
                                        <td style="width: 70%;" id="lb_direccion"></td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">E-MAIL</td>
                                        <td style="width: 70%;" id="lb_email"></td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">REPRESENTACIÓN</td>
                                        <td style="width: 70%;" id="lb_representacion"></td>
                                      </tr>
                                    </table>
                                  </div>
                                </div>
                                <div class="col-lg-6">
                                  <div class="table-responsive">
                                    <table class="table" style="width: 100%;">
                                      <tr>
                                        <td style="width: 100%;text-align: center;font-weight: bold;border-top: 2px solid black;background-color: #E4E4E4" colspan="2">
                                          DATOS DEL DOCUMENTO
                                        </td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">TIPO DOCUMENTO</td>
                                        <td style="width: 70%;" id="lb_tipodocumento"></td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">NRO DOCUMENTO</td>
                                        <td style="width: 70%;">
                                          <label id="lb_nrodocumento"></label>
                                          <label hidden id="lb_iddocumento"></label>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td style="width: 30%;font-weight: bold;background-color: #E4E4E4">ASUNTO</td>
                                        <td style="width: 70%;" rowspan="3" id="lb_asunto"></td>
                                      </tr>
                                      <tr>
                                        <td style="border: 0px solid black;">&nbsp;</td>
                                      </tr>
                                      <tr>
                                        <td style="border: 0px solid black;">&nbsp;</td>
                                      </tr>
                                    </table>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <div class="card card-primary">
                              <div class="card-header">
                                <h3 class="card-title"><b>Seguimiento Trámite</b></h3>
                              </div>
                              <div class="card-body">
                                <div class="row">
                                  <div class="col-12">
                                    <div class="timeline">
                                      <div id="div_historial2"></div>
                                      <div id="div_historial"></div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.row -->
                  </div>
                  <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
              </div>
              <!-- /.card-body -->
            </div>
          </div>
        </div>
      </div>
    </div>


    
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->

  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      <b>Version</b> 2.0
    </div>
    <!-- Default to the left -->
    <strong>Derechos Reservados <a href="#/" target="_blank"><label id="lb_derechos"></label></a>.</strong>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="Vista/_Plantilla/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="Vista/_Plantilla/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="Vista/_Plantilla/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>

<script src="Vista/_Plantilla/dist/js/adminlte.min.js"></script>

<script src="Vista/_Plantilla/plugins/select2/js/select2.full.min.js"></script>
<script src="Vista/js/sweetalert2.js"></script>
<script src="Vista/js/console_usuario.js?rev=<?php echo time();?>"></script>
<script src="Vista/js/console_tramite.js?rev=<?php echo time();?>"></script>
</body>
</html>
<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
    //buscar_orden_externo();
  });
</script>
<style type="text/css">
  a, h3, h1{
    font-weight: bold !important;
  }
</style>
<script type="text/javascript">
  $('.select2').select2();
  traer_logo();
  function soloNumerosyletrasDatapicker(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = "0123456456789-";
     especiales = "";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumerosyletras(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = " áéíóúabcdefghijklmnñopqrstuvwxyz0123456456789:/.,\@-_";
     especiales = "8-37-39-46-58";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumeros(e){
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8){
        return true;
    }
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
  }
  function soloLetras(e){
      key = e.keyCode || e.which;
      tecla = String.fromCharCode(key).toLowerCase();
      letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
      especiales = "8-37-39-46";
      tecla_especial = false
      for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }
      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNroDocumento(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "abcdefghijklmnñopqrstuvwxyz0123456456789\@-_";
    especiales = "8-37-39-46-58";

    tecla_especial = false
    for(var i in especiales){
        if(key == especiales[i]){
            tecla_especial = true;
            break;
        }
    }
    if(letras.indexOf(tecla)==-1 && !tecla_especial){
        return false;
    }
  }
  function mantenimiento() {
    Swal.fire("Mensaje de Aviso","Opci&oacute;n en mantenimiento","info");
  }
</script>
<style>
  .btn{
    font-weight: bold;
  }
  h1{
    font-weight: bold;
  }
  small{
    font-weight: bold;
  }
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<script type="text/javascript">
  var fecha = new Date();
  var ano = fecha.getFullYear();
  $("#cbm_anio").val(ano).trigger("change");

  $(".form-control").on('paste', function(e){
    
  });
</script>
<style type="text/css">
  td{
    border: 2px solid black;
    word-wrap: break-word;
    text-align: justify;
  }
</style>
<style type="text/css">
  .timeline > div > div {
    margin-bottom: 15px;
    margin-right: 10px;
    position: relative;
}
  .timeline > div > .time-label > span {
    border-radius: 4px;
    background-color: #fff;
    display: inline-block;
    font-weight: 600;
    padding: 5px;
}
.timeline > div > .fa, .timeline > div > .fab, .timeline > div > .far, .timeline > div > .fas, .timeline > div > div > .fas, .timeline > div > .glyphicon, .timeline > div > .ion {
    background: #adb5bd;
        background-color: rgb(173, 181, 189);
    border-radius: 50%;
    font-size: 15px;
    height: 30px;
    left: 18px;
    line-height: 30px;
    position: absolute;
    text-align: center;
    top: 0;
    width: 30px;
}
.timeline > div > div > .timeline-item {
    box-shadow: 0 0 1px rgba(0,0,0,.125),0 1px 3px rgba(0,0,0,.2);
    border-radius: .25rem;
    background: #fff;
    color: #495057;
    margin-left: 60px;
    margin-right: 15px;
    margin-top: 0;
    padding: 0;
    position: relative;
}

.timeline > div > div > .timeline-item > .time {
    color: #999;
    float: right;
    font-size: 12px;
    padding: 10px;
}
.timeline > div >  div > .timeline-item > .timeline-header {
    border-bottom: 1px solid rgba(0,0,0,.125);
    color: #495057;
    font-size: 16px;
    line-height: 1.1;
    margin: 0;
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
</style>
<div id="div_progress">
  <div class="modal fade bs-example-modal-lg" id="modal_procesar_datos_2">
    <div class="modal-dialog modal-lg modal-dialog-centered"  style="width: 75%">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel"><i class="fa fa-clock-o"></i> ESPERE UNOS MOMENTOS PORFAVOR: LOS DATOS SE ESTAN PROCESANDO.</h4>
        </div>
        <div class="modal-body center-block"> 
          <div id="div_cadena_progress"></div>       
        </div>
      </div>
    </div>
  </div>
</div>