<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Mantenimiento de Comunicados</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="index.php" ><i class="fa fa-home"></i> Inicio</a></li>
          <li class="breadcrumb-item active"> Comunicados</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card"> 
         <div class="card-header">
            <h3 class="card-title">Listado de Comunicados</h3>
            <button class="btn btn-danger btn-sm float-right" data-toggle="modal" onclick="AbrirModalRegistro()"><i class="fas fa-plus"></i>&nbsp;Nuevo registro</button>
          </div>
          <div class="card-body">
                <table id="tabla_anuncio" class="table tabel-display table-nowrap">
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>T&iacute;tulo</th>
                      <th>Descripci&oacute;n</th>
                      <th>Archivo</th>
                      <th>Fecha Registro</th>
                      <th>Estado</th>
                      <th align="center">Acci&oacute;n</th>
                    </tr>
                  </thead>
                  <tbody>
                  </tbody>
                  <tfoot>
                      <tr>
                      <th>#</th>
                      <th>T&iacute;tulo</th>
                      <th>Descripci&oacute;n</th>
                      <th>Archivo</th>
                      <th>Fecha Registro</th>
                      <th>Estado</th>
                      <th align="center">Acci&oacute;n</th>
                    </tr>
                  </tfoot>
                </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<!-- Modal -->
<div class="modal fade" id="modal_registro">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>REGISTRAR COMUNICADOS</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label>T&iacute;tulo (*):</label>
              <input type="text" class="form-control" placeholder="Ingresar t&iacute;tulo" maxlength="200"  id="txt_titulo" onkeypress="return soloNumerosyletras(event)">
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label>Descripci&oacute;n (*):</label>
              <input type="text" class="form-control" placeholder="Ingresar descripci&oacute;n" id="txt_descripcion" maxlength="250" onkeypress="return soloNumerosyletras(event)">
            </div>
          </div>
          <div class="col-md-12 form-group">
            <input type="text" id="txtformato" hidden name="txtformato">
            <label for="txt_archivo">Adjuntar documento (pdf) (*):</label>
            <div class="input-group">
              <div class="custom-file">
                <input type="file" accept=".pdf,.PDF" class="custom-file-input form-control pdf" id="txt_archivo" name="txt_archivo">
                <label class="custom-file-label" id="lb_archivo" for="txt_archivo">Seleccionar Archivo</label>
              </div>
            </div>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
              Campos Obligatorios (*)
          </div>
      </div>
      </div>
      <div class="modal-footer">
          <span id="ads_txt_add_loading"></span>
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Registrar_Anuncio();" class="btn btn-sm btn-success"><i class="fas fa-plus"></i><b>&nbsp;Registrar</b>&nbsp;</button>&nbsp;&nbsp;
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<!-- Modal -->
<div class="modal fade" id="modal_editar">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>MODIFICAR COMUNICADOS</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      <div class="row">
          <div class="col-sm-6">
            <input type="text" id="id_anuncio" hidden>
            <div class="form-group">
              <label>T&iacute;tulo (*):</label>
              <input type="text" class="form-control" placeholder="Ingresar t&iacute;tulo" id="txt_titulo_editar" maxlength="200" onkeypress="return soloNumerosyletras(event)">
            </div>
          </div>
          <div class="col-sm-6">
              <div class="form-group">
                  <label>Descripcion (*):</label>
                  <input type="text" class="form-control" placeholder="Ingresar descripci&oacute;n" id="txt_descripcion_editar" maxlength="250" onkeypress="return soloNumerosyletras(event)">
              </div>
          </div>
          <div class="col-md-12 form-group">
            <input type="text" id="id_archivo" hidden>
            <label for="txt_archivo_editar">Adjuntar documento (pdf) (*):</label>
            <div class="input-group">
              <div class="custom-file">
                <input type="file" accept=".pdf,.PDF" class="custom-file-input form-control" id="txt_archivo_editar" name="txt_archivo_editar">
                <label class="custom-file-label" id="lb_archivo_editar" for="txt_archivo_editar">Seleccionar Archivo</label>
              </div>
            </div>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
              Campos Obligatorios (*)
          </div>
      </div>
      </div>
      <div class="modal-footer">
        <div class="form-group">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Modificar_Anuncio();" class="btn btn-sm btn-success"><i class="fa fa-pen-alt"></i><b>&nbsp;Actualizar</b>&nbsp;</button>&nbsp;&nbsp;
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<script src="js/console_anuncio.js?rev=<?php echo time();?>"></script>

<script>
    $("#modal_registro").on('shown.bs.modal',function(){
        $("#txt_titulo").focus();
           
    })
  listar_anuncio();
</script>
<script type="text/javascript">
  $('.pdf').on('change', function(){
    var ext = $( this ).val().split('.').pop();
    if ($( this ).val() != '') {
      if(ext == "PDF" || ext == "pdf"){
          if($(this)[0].files[0].size > 8048576){
            
            $("#txtformato").val("");
            $("#txt_archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            //return;
            
            //$("#btn_subir").prop("disabled",true);
          }else{
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
      }else{
          $("#txtformato").val("");
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
      }
    }
  });
  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
  $('body').css('padding-right','0');
</script>

<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
  });
</script>
<script type="text/javascript">
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
</script>