<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Mantenimiento de D&iacute;as Feriados</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="index.php" ><i class="fa fa-home"></i> Inicio</a></li>
          <li class="breadcrumb-item active"> D&iacute;as Feriados</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card"> 
         <div class="card-header">
            <h3 class="card-title">Listado de d&iacute;as Feriados</h3>
            <button class="btn btn-danger btn-sm float-right" data-toggle="modal" onclick="AbrirModalRegistro()"><i class="fas fa-plus"></i>&nbsp;Nuevo registro</button>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="tabla_feriado" class="table tabel-display table-nowrap">
                <thead>
                  <tr>
                    <th style="text-align:center;">#</th>
                    <th style="text-align:center;">D&iacute;as Feriados</th>
                    <th style="text-align:center;">Fecha Registro</th>
                    <th style="text-align:center;">Estado</th>
                    <th style="text-align:center;">Acci&oacute;n</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                  <tr>
                    <th style="text-align:center;">#</th>
                    <th style="text-align:center;">D&iacute;as Feriados</th>
                    <th style="text-align:center;">Fecha Registro</th>
                    <th style="text-align:center;">Estado</th>
                    <th style="text-align:center;">Acci&oacute;n</th>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<!-- Modal -->
<div class="modal fade" id="modal_registro">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>REGISTRAR D&Iacute;AS FERIADOS</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-6">
            <div class="form-group">
              <label>D&iacute;a (*):</label>
              <select class="form-control select2" style="width: 100%;" id="combo_dia_feriado">
                <option>01</option><option>02</option>
                <option>03</option><option>04</option>
                <option>05</option><option>06</option>
                <option>07</option><option>08</option>
                <option>09</option><option>10</option>
                <option>11</option><option>12</option>
                <option>13</option><option>14</option>
                <option>15</option><option>16</option>
                <option>17</option><option>18</option>
                <option>19</option><option>20</option>
                <option>21</option><option>22</option>
                <option>23</option><option>24</option>
                <option>25</option><option>26</option>
                <option>27</option><option>28</option>
                <option>29</option><option>30</option>
                <option>31</option>
              </select>
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label>Mes (*):</label>
              <select class="form-control select2" style="width: 100%;" id="combo_mes_feriado">
                <option value="01">ENERO</option>
                <option value="02">FEBRERO</option>
                <option value="03">MARZO</option>
                <option value="04">ABRIL</option>
                <option value="05">MAYO</option>
                <option value="06">JUNIO</option>
                <option value="07">JULIO</option>
                <option value="08">AGOSTO</option>
                <option value="09">SEPTIEMBRE</option>
                <option value="10">OCTUBRE</option>
                <option value="11">NOVIEMBRE</option>
                <option value="12">DICIEMBRE</option>
              </select>
            </div>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
              Campos Obligatorios (*)
          </div>
        </div>
      </div>
      <div class="modal-footer">
          <span id="ads_txt_add_loading"></span>
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Registrar_feriado();" class="btn btn-sm btn-success"><i class="fas fa-plus"></i><b>&nbsp;Registrar</b>&nbsp;</button>&nbsp;&nbsp;
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<!-- Modal -->
<div class="modal fade" id="modal_editar">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>MODIFICAR D&Iacute;A FERIADO</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      <div class="row">
        <input type="text" id="id_feriado" hidden>
          <div class="col-sm-6">
            <div class="form-group">
              <label>D&iacute;a (*):</label>
              <select class="form-control select2" style="width: 100%;" id="combo_dia_feriado_editar">
                <option>01</option><option>02</option>
                <option>03</option><option>04</option>
                <option>05</option><option>06</option>
                <option>07</option><option>08</option>
                <option>09</option><option>10</option>
                <option>11</option><option>12</option>
                <option>13</option><option>14</option>
                <option>15</option><option>16</option>
                <option>17</option><option>18</option>
                <option>19</option><option>20</option>
                <option>21</option><option>22</option>
                <option>23</option><option>24</option>
                <option>25</option><option>26</option>
                <option>27</option><option>28</option>
                <option>29</option><option>30</option>
                <option>31</option>
              </select>
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label>Mes (*):</label>
              <select class="form-control select2" style="width: 100%;" id="combo_mes_feriado_editar">
                <option value="01">ENERO</option>
                <option value="02">FEBRERO</option>
                <option value="03">MARZO</option>
                <option value="04">ABRIL</option>
                <option value="05">MAYO</option>
                <option value="06">JUNIO</option>
                <option value="07">JULIO</option>
                <option value="08">AGOSTO</option>
                <option value="09">SEPTIEMBRE</option>
                <option value="10">OCTUBRE</option>
                <option value="11">NOVIEMBRE</option>
                <option value="12">DICIEMBRE</option>
              </select>
            </div>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
              Campos Obligatorios (*)
          </div>
      </div>
      </div>
      <div class="modal-footer">
        <div class="form-group">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Modificar_feriado();" class="btn btn-sm btn-success"><i class="fa fa-pen-alt"></i><b>&nbsp;Actualizar</b>&nbsp;</button>&nbsp;&nbsp;
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<script src="js/console_feriado.js?rev=<?php echo time();?>"></script>

<script>
    $("#modal_registro").on('shown.bs.modal',function(){
      $("#txt_titulo").focus();
    })
  listar_feriado();
  $(".select2").select2();
</script>
<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
  });
</script>
<script type="text/javascript">
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
</script>
<style type="text/css">
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>