clearInterval(iniciar_chat);
clearInterval(iniciar_mensajes);
var table;
function listar_anuncio() {
    table = $("#tabla_anuncio").DataTable({
        "ordering": false,
        "pageLength": 10,
        "destroy": true,
        "async": false,
        "responsive": true,
        "autoWidth": false,
        "ajax": {
            "method": "POST",
            "url": "../controlador/anuncio/controlador_anuncio_listar.php",
            data:{
                validacion:''
            }
        },
        "columns": [
            {"defaultContent": ""},
            {"data": "titulo"},
            {"data": "descripcion"},
            {"data": "archivo",
                render: function (data, type, row) {
                    return ""+
                    '<button class="btn btn-warning  btn-xs" title="Clic para descargar Archivo Anexado" type="button" ><a style="cursor:pointer" name="'+data+"*"+(data.split(".")[1])+'" onclick="abrirarchivo(this)"><i style="color:" class="fas fa-2x fa-file-pdf"></i></a></button>';
                }
            },
            {"data": "anun_fecharegistro"},
            {"data": "estado",
                render: function (data, type, row ) {
                    if(data=='VENCIDO'){
                        return '<span class="badge bg-danger bg-lg">'+data+'</span>';
                    }else{
                        return '<span class="badge bg-success bg-lg">'+data+'</span>';
                    }
                }
            },
            {"data": null,
                render: function (data, type, row) {
                    return "<button class='editar btn btn-primary  btn-sm'  type='button' ><b><i class='fas fa-edit'></i>&nbsp;Editar</b></button>&nbsp";
                }
            }

        ],
        "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {
            $($(nRow).find("td")[5]).css('text-align', 'left');
        },
        "language": idioma_espanol,
        select: true
    });
    table.on('draw.dt', function () {
        var PageInfo = $('#tabla_anuncio').DataTable().page.info();
        table.column(0, {page: 'current'}).nodes().each(function (cell, i) {
            cell.innerHTML = i + 1 + PageInfo.start;
        });
    });
}
function abrirarchivo(archivo){
    var datos_split = archivo.name;
    var datos = datos_split.split("*");
    //window.open("documento/"+archivo); 
    //window.open("REPORTE/excel/generar_excel_checker.php?idempresa="+idempresa+"&origen="+origen
    window.open("anuncio/descargar.php?file="+datos[0]+"&extension="+datos[1]); 
    //href="download.php?file=fichero.png"
}
$('#tabla_anuncio').on('click', '.editar', function () {
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if (table.row(this).child.isShown()) {//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    $('body').css('padding-right','0');
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_editar").modal('show');
    $("#id_anuncio").val(data.anuncio_id);
    $("#txt_titulo_editar").val(data.titulo);
    $("#txt_descripcion_editar").val(data.descripcion);
    $("#id_archivo").val(data.archivo);
    $("#lb_archivo_editar").html("Seleccionar Archivo");
    $("#txt_archivo_editar").val("");
})
$('#tabla_anuncio').on('click', '.pdf', function () {
    var data = table.row($(this).parents('tr')).data();//Detecta a que fila hago click y me captura los datos en la variable data.
    if (table.row(this).child.isShown()) {//Cuando esta en tamaño responsivo
        var data = table.row(this).data();
    }
    window.open("anuncio/" + data.archivo + "#zoom=100");
})
function Registrar_Anuncio() {
    var titulo      = $("#txt_titulo").val();
    var descripcion = $("#txt_descripcion").val();
    var txtformato  = $("#txtformato").val();
    var txt_archivo = $('#txt_archivo')[0].files[0]
    if (titulo.length == 0 || descripcion.length == 0 || txtformato.length==0) {
        ValidacionInput("txt_titulo","txt_descripcion","txt_archivo");
        return Swal.fire("Mensaje de advertencia", "Tiene algunos campos vac&iacute;os", "warning");
    }
    var form_data = new FormData();
    form_data.append("txt_archivo", $('#txt_archivo')[0].files[0]);
    form_data.append("titulo", titulo);
    form_data.append("descripcion", descripcion);
    form_data.append("validacion", '');
    Swal.fire({
        type: 'success',
        title: '',
        html: '<b style="color:#9B0000;">archivo procesandose...<br> espere unos momentos hasta finalizar</b>',
        heightAuto:false,
        showCancelButton: false,
        showConfirmButton: false,
        allowOutsideClick: false,
        allowEscapeKey:false,
        allowEnterKey:false,
        focusConfirm:false
    });
    $.ajax({
        "url": "../controlador/anuncio/controlador_anuncio_registro.php",
        type: 'POST',
        contentType: false,
        processData: false,
        data: form_data,
        beforeSend: function() {$('#ads_txt_add_loading').html('Procesando anuncio...')}
    }).always(function (){
        $("#ads_txt_add_loading").html('')
    }).done(function (resp) {
        $('body').css('padding-right','0');
        if (resp > 0) {
            if (resp == 1) {
                LimpiarCampos();
                listar_anuncio();
                    Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente registrados, <b>nuevo comunicado registrado</b>","success");
            } else {
                LimpiarCampos();
                Swal.fire("Mensaje de Advertencia", "El nombre del comunicado ya existe en nuestra base de datos", "warning");
            }
        } else {
            Swal.fire("Mensaje de Error", "Lo sentimos el registro no se pudo completar", "error");
        }
    })
}
function Modificar_Anuncio() {
    var id_anuncio = $("#id_anuncio").val();
    var titulo = $("#txt_titulo_editar").val();
    var descripcion = $("#txt_descripcion_editar").val();
    var id_archivo = $("#id_archivo").val();
    if (titulo.length == 0 || descripcion.length == 0) {
        ValidacionInput("txt_titulo_editar","txt_descripcion_editar","");
        return Swal.fire("Mensaje de advertencia", "Tiene algunos campos vac&iacute;os", "warning");
    }
    var form_data = new FormData();
    form_data.append("id_anuncio", id_anuncio);
    form_data.append("titulo", titulo);
    form_data.append("descripcion", descripcion);
    form_data.append("id_archivo", id_archivo);
    form_data.append("archivo", $('#txt_archivo_editar')[0].files[0]);
    form_data.append("validacion", "");
    Swal.fire({
        type: 'success',
        title: '',
        html: '<b style="color:#9B0000;">archivo procesandose...<br> espere unos momentos hasta finalizar</b>',
        heightAuto:false,
        showCancelButton: false,
        showConfirmButton: false,
        allowOutsideClick: false,
        allowEscapeKey:false,
        allowEnterKey:false,
        focusConfirm:false
    });
    $.ajax({
        "url": "../controlador/anuncio/controlador_anuncio_modificar.php",
        type: 'POST',
        contentType: false,
        processData: false,
        data: form_data,
        beforeSend: function() {$('#ads_txt_upd_loading').html('Procesando comunicado...')}
    }).always(function (){
        $("#ads_txt_upd_loading").html('')
    }).done(function (resp) {
        $('body').css('padding-right','0');
        if (resp > 0) {
            if (resp == 1) {
                $("#modal_editar").modal('hide');
                listar_anuncio();
                Swal.fire("Mensaje de Confirmaci\u00F3n","Datos correctamente actualizados, <b>datos del comunicado modificados</b>","success");
            } else {
                LimpiarCampos();
                Swal.fire("Mensaje de Advertencia", "El nombre del comunicado ya existe en nuestra base de datos", "warning");
            }
        } else {
            Swal.fire("Mensaje de Error", "Lo sentimos la actualizaci\u00F3n no se pudo completar", "error");
        }
    })
}

function ValidacionInput(txt_titulo,txt_descripcion,txt_archivo) {
    Boolean($("#" + txt_titulo).val().length > 0) ? $("#" + txt_titulo).removeClass('is-invalid').addClass("is-valid") : $("#" + txt_titulo).removeClass('is-valid').addClass("is-invalid");
    Boolean($("#" + txt_descripcion).val().length > 0) ? $("#" + txt_descripcion).removeClass('is-invalid').addClass("is-valid") : $("#" + txt_descripcion).removeClass('is-valid').addClass("is-invalid");
    Boolean($("#" + txt_archivo).val().length > 0) ? $("#" + txt_archivo).removeClass('is-invalid').addClass("is-valid") : $("#" + txt_archivo).removeClass('is-valid').addClass("is-invalid");
}

function LimpiarCampos() {
    $("#txt_titulo").val("");
    $("#txt_descripcion").val("");
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_registro").modal('hide');
}

function AbrirModalRegistro() {
    $('.form-control').removeClass("is-invalid").removeClass("is-valid");
    $("#modal_registro").modal('show');
    $('.form-control').val("");   
    $("#lb_archivo").html("Seleccionar Archivo");
    $("#txt_archivo").val("");
}