<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Mantenimiento tipo de documento</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="index.php" ><i class="fa fa-home"></i> Inicio</a></li>
          <li class="breadcrumb-item active">Tipo de documento</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
            <h3 class="card-title">Listado de tipo de documento</h3>
            <button class="btn btn-danger btn-sm float-right" data-toggle="modal" onclick="AbrirModalRegistro()"><i class="fas fa-plus"></i>&nbsp;Nuevo registro</button>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table id="tabla_tipodocumento"  class="table tabel-display table-nowrap">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Descripci&oacute;n</th>
                    <th style="text-align: center;">Estatus</th>
                    <th style="text-align: center;">Requisitos</th>
                    <th style="text-align: center;">Acci&oacute;n</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Descripci&oacute;n</th>
                      <th style="text-align: center;">Estatus</th>
                      <th style="text-align: center;">Requisitos</th>
                      <th style="text-align: center;">Acci&oacute;n</th>
                    </tr>
                </tfoot>
              </table>
            </div> 
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<!-- Modal -->
<div class="modal fade" id="modal_registro">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>REGISTRAR TIPO DOCUMENTO</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-8">
            <div class="form-group">
              <label>Nombre (*):</label>
              <input type="text" class="form-control" onkeypress="return soloLetras(event)" maxlength="100" placeholder="Ingresar nombre" id="txt_nombre">
            </div>
          </div>
          <div class="col-sm-4">
            <div class="form-group">
              <label>Estatus (*):</label>
              <input type="text" class="form-control" placeholder="ACTIVO" readonly="" style="text-align:center;font-weight: bold;">
            </div>
          </div>
          <div class="col-md-8">
            <div class="form-group">
              <label>Tipo Requisitos (*):</label>
              <select id="combo_tiporequisitos_registro" name="combo_tiporequisitos_registro" class="select2"></select>
            </div>
          </div>
          <div class="col-md-4">
              <label>&nbsp;</label>
              <button type="button" class="btn btn-danger" style="width: 100%" onclick="Agregarrequisito_detalle()"><i class="fa fa-plus"></i> &nbsp; Agregar </button>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
            Campos Obligatorios (*)
          </div>  
          <div class="col-12 table-responsive">
            <center><label>Listado de Requisitos</label></center>
            
            <table id="detalle_requisito" class="table">
              <thead>
                <tr>
                  <th style="text-align:center" hidden>Id</th>
                  <th style="text-align:left">Requsito</th>
                  <th style="text-align:center">Estado</th>
                  <th style="text-align:center">Acci&oacute;n</th>
                </tr>
              </thead>
              <tbody id="tbody_detalle_requisito">
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Registrar_TipoDocumento();" class="btn btn-sm btn-success"><i class="fas fa-plus"></i><b>&nbsp;Registrar</b>&nbsp;</button>&nbsp;&nbsp;
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<!-- Modal -->
<div class="modal fade" id="modal_editar">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>MODIFICAR TIPO DE DOCUMENTO</b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      <div class="row">
          <div class="col-sm-6">
            <input type="text" id="idtipodocumento" hidden>                      <!-- text input -->
            <div class="form-group">
              <label>Nombre (*):</label>
              <input type="text" class="form-control" placeholder="Ingresar nombre" onkeypress="return soloLetras(event)" maxlength="100" id="txt_nombre_editar">
            </div>
          </div>
          <div class="col-sm-6">
            <div class="form-group">
              <label>Estatus (*):</label>
                <select class="form-control select2" style="width: 100%;"  id="cbm_estatus">
                    <option value="ACTIVO">ACTIVO</option>
                    <option value="INACTIVO">INACTIVO</option>
                </select>
            </div>
          </div>
          <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
            Campos Obligatorios (*)
          </div>
      </div>
      </div>
      <div class="modal-footer">
        <div class="form-group">
          <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
          <button type="button" style="cursor:pointer;" onclick="Modificar_TipoDocumento();" class="btn btn-sm btn-success"><i class="fa fa-pen-alt"></i><b>&nbsp;Actualizar</b>&nbsp;</button>&nbsp;&nbsp;
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="modal_requisitos">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><b>REQUISITOS DEL TIPO DOCUMENTO <label style="color: #9B0000;" id="lb_tipodocumento"></label></b></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
            <input type="text" id="idtipodocumento_requerimientos" hidden>
            <div class="col-md-8">
              <div class="form-group">
                <label>Tipo Requisitos (*):</label>
                <select id="combo_tiporequisitos" class="select2"></select>
              </div>
            </div>
            <div class="col-md-4">
                <label>&nbsp;</label>
                <button type="button" class="btn btn-danger" style="width: 100%" onclick="registrar_requisito()"><i class="fa fa-plus"></i> &nbsp; Agregar </button>
            </div>
            <div class="col-lg-12 form-group" style="text-align: left;font-weight: bold;color: #9B0000">
              Campos Obligatorios (*)
            </div>  
            <div class="table-responsive">
              <table id="tabla_requerimientos_asignados"  class="table tabel-display table-nowrap">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Requisitos</th>
                    <th style="text-align: center;">Fecha Registro</th>
                    <th style="text-align: center;">Estatus</th>
                    <th style="text-align: center;">Acci&oacute;n</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Requisitos</th>
                      <th style="text-align: center;">Fecha Registro</th>
                      <th style="text-align: center;">Estatus</th>
                      <th style="text-align: center;">Acci&oacute;n</th>
                    </tr>
                </tfoot>
              </table>
            </div> 
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-sm btn-outline-success" data-dismiss="modal"><i class="fa fa-times"></i><b> Cerrar</b></button>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->
<script src="js/console_tipodocumento.js?rev=<?php echo time();?>"></script>

<script>
    $("#modal_registro").on('shown.bs.modal',function(){
        $("#txt_nombre").focus();  
    })
    $('.select2').select2();
  listar_tipodocumento();
</script>
<script type="text/javascript">
  $('body').css('padding-right','0');
  $(document.body).on('hide.bs.modal,hidden.bs.modal', function () {
      $('body').css('padding-right','0');
  });
</script>