<?php
	require("postClass.php");
	require '../../modelo/modelo_documento.php';
	use setasign\Fpdi\Fpdi;
	require_once('pdf/fpdf/fpdf.php'); // Incluímos las librerías anteriormente mencionadas
	require_once('pdf/fpdi-2/src/autoload.php'); 
	$MC = new Modelo_documento();
if (isset($_POST['validacion'])) {
	
	$thisPost = new Post_Block;
	if ($thisPost->postBlock($_POST['postID'])) {
		$txt_iddocumento   = htmlspecialchars($_POST['txt_iddocumento_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_idareaactual  = htmlspecialchars($_POST['txt_idarea_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_idareadestino = htmlspecialchars($_POST['combo_area_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_descripcion   = htmlspecialchars($_POST['txt_descripcion_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_estado 	   = htmlspecialchars($_POST['combo_estatus_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_idusuario     = htmlspecialchars($_POST['txtidusuario_derivar'],ENT_QUOTES,'UTF-8');
	    $txt_ruta          = htmlspecialchars($_POST['txt_ruta'],ENT_QUOTES,'UTF-8');
	    $txt_idmovimiento  = htmlspecialchars($_POST['txt_idmovimiento_derivar'],ENT_QUOTES,'UTF-8');
	    $formato 	    = htmlspecialchars($_POST['txtformato'],ENT_QUOTES,'UTF-8');
	    $check_firma    = htmlspecialchars($_POST['check_firma'],ENT_QUOTES,'UTF-8');

		if ($_FILES['txt_archivo']['tmp_name']!="") {
			$uniqid   = uniqid();
			$archivo  = "archivo/".$uniqid.".".$formato;
			$nombre   = "../../Vista/documento/archivo/".$uniqid.".".$formato;
			$ruta1    = $_FILES['txt_archivo']['tmp_name'];
		}else{
			$archivo  = ""; 
		}
		
		$consulta = $MC->registrar_derivacion_finalizacion_con_archivo($txt_iddocumento,$txt_idareaactual,$txt_idareadestino,$txt_descripcion,$txt_estado,$txt_idusuario,$txt_idmovimiento,$archivo);
		if ($_FILES['txt_archivo']['tmp_name']!="") {
			if ($consulta) {
				move_uploaded_file($_FILES["txt_archivo"]["tmp_name"], $nombre);
				//if ($txt_estado=="FINALIZADO") {
					if ($check_firma=="SI") {
						if ($txt_ruta!="") {
							$pdf = new FPDI();
							$pdf->AddPage();
							$pdf->setSourceFile('../../Vista/documento/'.$archivo); // Sin extensión
							$pagecount = $pdf->setSourceFile('../../Vista/documento/'.$archivo);
							for ($pageNo = 1; $pageNo <= $pagecount; $pageNo++) {
							    $templateId = $pdf->importPage($pageNo);
							    $size = $pdf->getTemplateSize($templateId);
							    $pdf->useTemplate($templateId, null, null, $size['0'],$size['1'],true);
								$pdf->SetAutoPageBreak(true, 5);
							    $pdf->SetFont('Helvetica');
							    $pdf->SetXY(5, 5);
							    $pdf->Write(8, '');
							    if ($pageNo!=$pagecount) {
								    if ($size[0] > $size[1]) {
								        $pdf->AddPage('L', array($size[0], $size[1]));
								    } else {
								        $pdf->AddPage('P', array($size[0], $size[1]));
								    }
							    }
							}
							$xxx_final = ($size['0']-130); 
						    $yyy_final = ($size['1']-35); 
						    $pdf->Image('../../Vista/empleado/'.$txt_ruta, $xxx_final, $yyy_final, null, 30);
							$route = '../../Vista/documento/'.$archivo;
							$pdf->Output($route, "F");
						}
					}
				//}
			}
		}
	} else {
	    // Doble post, no procesamos el form.
	    $consulta=10;
	}
	echo $consulta;
}else{
	header('Location: ../../index.php');
}
?>

