<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Tr&aacute;mite Virtual | Sistema Mesa de Partes</title>
  <link rel="icon" id="li_1" type="image/x-icon">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="Vista/_Plantilla/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  
</head>
<body class="hold-transition sidebar-collapse layout-top-nav">
<style type="text/css">
  body{
    font-family: arial;
  }
  .btn-success{
    background: #28a745 linear-gradient(180deg,#48b461,#28a745) repeat-x !important;
    color:white;
  }
  .btn-warning{
    background: #ffc107 linear-gradient(180deg,#ffca2c,#ffc107) repeat-x !important;
    /*color:white;*/
  }
  .card-danger.card-outline{
    border-top: 3px solid: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .card-danger:not(.card-outline) > .card-header {
    background: #123b89 linear-gradient(180deg,#123b89,#123b89) repeat-x !important;
  }
  .btn-danger{
    background: #dc3545 linear-gradient(180deg,#e15361,#dc3545) repeat-x !important;
  }
  .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    /*background-color: #007bff;*/
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .btn-info {
    background: #17a2b8 linear-gradient(180deg,#3ab0c3,#17a2b8) repeat-x !important;
  }
  .btn-primary,.swal2-confirm{
    background: #007bff linear-gradient(180deg,#268fff,#007bff) repeat-x !important;
  }
  .card-purple:not(.card-outline) > .card-header {
    background: #123b89 linear-gradient(180deg,#123b89,#123b89) repeat-x !important;
  }

  .bg-gradient-success {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
}

.btn-success {
    background: #123b89 linear-gradient(180deg, #123b89, #123B88) repeat-x !important;
    color: white;
}

.btn-success.disabled, .btn-success:disabled {
    
    border-color: #123b89;
}

.bg-gradient-danger {
    background: #123b89 linear-gradient(180deg, #123b89, #123b89) repeat-x !important;
}

.card-danger.card-outline {
    border-top: 3px solid #123b89;
}
</style>
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand-md navbar-light navbar-white">
    <div class="container">
      <a href="tramite_nuevo.php" class="navbar-brand">
        <img id="lb_logo_icono" hidden="" alt="User Image"style="width: 30px;opacity: .8;color: white;" alt="Logo" class="brand-image img-circle elevation-3" >
        <i class="nav-icon fa fa-file-signature brand-image fa-1x" style="float: revert;color: green;"></i>
        <span class="brand-text font-weight-light" style="font-weight: bold !important;">MESA DE PARTES</span>
      </a>
      
      <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse order-3" id="navbarCollapse">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item">
            <a href="index.php" class="nav-link"><i class="fa fa-user"></i> &nbsp;Iniciar Sesión</a>
          </li>
          <li class="nav-item">
            <a href="seguimiento.php" class="nav-link"><i class="fa fa-search"></i> &nbsp;Seguimiento Tr&aacute;mite</a>
          </li>
          <li class="nav-item">
            <a href="libro_reclamos.php" class="nav-link"><i class="fa fa-file"></i> &nbsp;Libro Reclamos</a>
          </li>
        </ul>
      </div>

      <!-- Right navbar links -->
      <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
        <!-- Messages Dropdown Menu -->
        
        <li class="nav-item">
          <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button"><i
              class="fas fa-th-large"></i></a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- /.navbar -->

 

<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0 text-dark">Trámite Virtual</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item active" style="font-weight: bold;">
              <i class="far fa-file-word"></i> Trámite
            </li>
          </ol>
        </div>
      </div>
    </div>
  </div>

  <div class="content">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="card card-danger card-outline">
            <div class="card-header d-flex p-0">
              <h3 class="card-title p-3">Trámite</h3>
              <ul class="nav nav-pills ml-auto p-2">
                <button class="btn bg-gradient-danger" type="button" onclick="limpiar_busqueda()" title="Limpiar Búsqueda">
                  <i class="fa fa-trash-alt"></i> Limpiar Búsqueda
                </button>
              </ul>
            </div>
            <div class="card-body">
              <div class="tab-content">
                <!-- Step 1 -->
                <div class="tab-pane active" id="step1">
                  <form autocomplete="off" id="form_registro_tramite">
                    <div class="row">
                      <div class="col-md-12">
                        <div class="card card-danger">
                          <div class="card-header">
                            <h3 class="card-title"><b>Datos del Remitente</b></h3>
                            <div class="card-tools">
                              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                <i class="fas fa-minus"></i>
                              </button>
                            </div>
                          </div>
                          <div class="card-body">
                              <div class="">
                                <div class="row">
                                  <div class="col-lg-6 form-group">
                                    <label id="xprogress"></label>
                                      <label>Buscar Reniec (*):</label>
                                      <div class="input-group margin">
                                          <input class="form-control" type="text" placeholder="Ingresar dni" maxlength="8" id="txtdni"  name="txtdni" onkeypress="return soloNumeros(event)" onkeyup = "if(event.keyCode == 13) Buscar_reniec()">
                                          <span class="input-group-btn">
                                            <button  id="prueba" title="Buscar por reniec" type="button" class="btn bg-gradient-primary btn-flat"><i class="fa fa-search"></i></button>
                                          </span>
                                    </div>
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Nombre  (*):</label>
                                      <input class="form-control" type="text" placeholder="Ingresar nombre" maxlength="150" id="txtnombre" name="txtnombres" onkeypress="return soloLetras(event)" >
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Apellido Paterno  (*):</label>
                                      <input class="form-control"  type="text" placeholder="Ingresar apellido paterno" maxlength="70" id="txtapepat" name="txtapepats" onkeypress="return soloLetras(event)">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Apellido Materno  (*):</label>
                                      <input class="form-control"  type="text" placeholder="Ingresar apellido materno" maxlength="70" id="txtapemat" name="txtapemats" onkeypress="return soloLetras(event)">
                                  </div>
                                 
                                  <div class="col-lg-6 form-group">
                                      <label>Celular:</label>
                                      <input class="form-control" onkeypress="return soloNumeros(event)" type="text" placeholder="Ingresar nro de celular" maxlength="9" id="txtcelular" name="txtcelular">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Email (*):</label>
                                      <input class="form-control" onkeypress="return soloNumerosyletras(event)" type="text" placeholder="Ingresar email" maxlength="250" id="txtemail" name="txtemail">
                                  </div>
                                  
                                 
                                 
                                  
                                  
                                  <div class="col-lg-12 form-group" >
                                    <label>Direcci&oacute;n (*):</label>
                                    <input class="form-control" onkeypress="return soloNumerosyletras(event)" type="text" placeholder="Ingresar direcci&oacute;n" id="txt_direccion" name="txt_direccion" maxlength="255" >
                                  </div>
                                  <div class="col-md-12">
                                    <div class="col-12 row">
                                       <label>En representacion de (*):</label>
                                    </div>
                                    <div class="col-12 row">
                                      <input type="text" hidden id="txt_representacion" name="txt_representacion">
                                      <div class="col-4 form-group clearfix">
                                        <div class="icheck-danger d-inline">
                                          <input type="radio" id="rad_representacion1" value="A Nombre Propio" name="r1" checked>
                                          <label for="rad_representacion1" style="font-size: 15px !important;font-weight: normal;"> A Nombre Propio </label>
                                        </div>
                                      </div>
                                      <div class="col-4 form-group clearfix">
                                        <div class="icheck-primary d-inline">
                                          <input type="radio" disabled id="rad_representacion2" value="A otra Persona Natural" name="r1">
                                          <label for="rad_representacion2" style="font-size: 15px !important;font-weight: normal;">A otra Persona Natural</label>
                                        </div>
                                      </div>
                                      <div class="col-4 form-group clearfix">
                                        <div class="icheck-success d-inline">
                                          <input type="radio" id="rad_representacion3" value="Persona Jurídica" name="r1">
                                          <label for="rad_representacion3" style="font-size: 15px !important;font-weight: normal;">Persona Jur&iacute;dica</label>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div id="div_juridico"  class="col-12" style="display: none;">
                                    <div class="row">
                                      <div class="col-md-4 form-group">
                                        <label>RUC (*):</label>
                                        <input type="text" id="txt_ruc" name="txt_ruc" maxlength="12"  onkeypress="return soloNumeros(event)" placeholder="Ingresar ruc" class="form-control">
                                      </div>
                                      <div class="col-md-8 form-group">
                                        <label>Empresa (*):</label>
                                        <input type="text" id="txt_empresa" onkeypress="return soloNumerosyletras(event)" name="txt_empresa" placeholder="Ingresar datos de la empresa" class="form-control">
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-lg-12" style="text-align: left;font-weight: bold;color: #9B0000">
                                      Campos Obligatorios (*)
                                  </div>
                                </div>
                              </div>
                            </div>
                        </div>
                      </div>
                    </div>
                  </form>
                  <button class="btn btn-primary" id="nextStep">Siguiente</button>
                </div>
                <!-- Step 2 -->
                <div class="tab-pane" id="step2">
                  <form autocomplete="off">
                    <div class="row">
                      <div class="col-md-12">
                        <div class="card card-purple">
                          <div class="card-header" style="background-color: #8900B0;">
                            <h3 class="card-title"><b>Datos del Documento</b></h3>
                            <div class="card-tools">
                              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                <i class="fas fa-minus"></i>
                              </button>
                            </div>
                          </div>
                          <div class="card-body">
                              <div class="row">
                                <div class="col-md-12 form-group">
                                  <label>Tipo Documento (*):</label>
                                  <select class="select2-danger select2" name="cmb_tipodocumento" data-dropdown-css-class="select2-danger" id="cmb_tipodocumento" style="width: 100%;">
                                  </select>
                                </div>
                                <div class="col-md-12 row">
                                  <div class="col-md-12"><label style="font-size: small;">REQUISITOS:</label></div>
                                  <div class="col-md-1"></div>
                                  <div class="col-md-10 form-group">
                                    <div style="text-align: justify;font-size: small;font-weight: bold;color: #9B0000;" id="div_requisitos"></div>
                                  </div>
                                  <div class="col-md-1"></div>
                                </div>
                                <div class="col-md-6 form-group" hidden>
                                  <label>Nº Documento (*):</label>
                                  <input type="text" value="" class="form-control" onkeypress="return soloNroDocumento(event)" id="txt_nrodocumentos" maxlength="20" name="txt_nrodocumentos" placeholder="Ingrese nro del documento">
                                </div>
                                
                                <div class="col-md-12 form-group">
                                  <label>Asunto del Tr&aacute;mite (*):</label>
                                  <textarea rows="2" name="txt_asunto" id="txt_asunto" onkeypress="return soloNumerosyletras(event)" class="form-control" style='resize: none' maxlength="255" placeholder="Asunto del documento"></textarea>
                                </div>
                                <div class="col-md-10 form-group" hidden>
                                  <label for="txt_archivo">Adjuntar documento (pdf,docx,zip,jpg,png,rar,xlsx)(Adjuntar en un solo archivo todos los requisitos):</label>
                                  <div class="input-group">
                                    <div class="custom-file">
                                      <input type="file" accept=".pdf,.PDF,.docx,.zip,.jpg,.png,.jpeg,.rar,.xls,.xlsx" class="custom-file-input form-control" id="txt_archivo" name="txt_archivo">
                                      <label class="custom-file-label" id="lb_archivo" for="txt_archivo">Seleccionar Archivo</label>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-2 form-group" hidden><br>
                                  <label>Nº Folios:</label>
                                  <input type="text" class="form-control" onkeypress="return soloNumeros(event)" id="txt_folios" maxlength="3" name="txt_folios" placeholder="Ingrese nro de hojas">
                                </div>
                                <div class="col-md-12">
                                  <div id="actions" class="row">
                                    <div class="col-lg-12">
                                      <div class="btn-group w-100">
                                        <span class="btn bg-gradient-success col fileinput-button" >
                                          <i class="fas fa-plus"></i>
                                          <span>Agregar</span>
                                        </span>
                                        <button type="reset" class="btn btn-warning col cancel">
                                          <i class="fas fa-times-circle"></i>
                                          <span>Cancelar</span>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="table table-striped files" id="previews">
                                    <div id="template_oeew" class="row mt-2">
                                      <div class="col-auto">
                                          <span class="preview"><img src="data:," alt="" data-dz-thumbnail /></span>
                                      </div>
                                      <div class="col d-flex align-items-center">
                                          <p class="mb-0">
                                            <span class="lead" data-dz-name></span>
                                            (<span data-dz-size></span>)
                                          </p>
                                          <strong class="error text-danger" data-dz-errormessage></strong>
                                      </div>
                                      <div class="col-4 d-flex align-items-center">
                                          <div class="progress progress-striped active w-100" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0">
                                            <div class="progress-bar progress-bar-success" style="width:0%;" data-dz-uploadprogress></div>
                                          </div>
                                      </div>
                                      <div class="col-auto d-flex align-items-center">
                                        <div class="btn-group">
                                          <button hidden class="btn btn-primary start">
                                            <i class="fas fa-upload"></i>
                                            <span>Start</span>
                                          </button>
                                          <button hidden data-dz-remove class="btn btn-warning cancel">
                                            <i class="fas fa-times-circle"></i>
                                            <span>Cancel</span>
                                          </button><br>
                                          <button data-dz-remove class="btn btn-danger delete">
                                            <i class="fas fa-trash"></i>
                                            <span>Delete</span>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-12">
                                  <div class="form-group clearfix">
                                    <div class="icheck-warning d-inline" style="">
                                      <input type="checkbox" onclick="opcion_verificar()" id="checkaceptar">
                                      <label for="checkaceptar" style="text-align: justify;">
                                        Declaro bajo penalidad de perjurio, que toda la información proporcionada es correcta y verídica.
                                      </label>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-lg-12 form-group" style="text-align:left;font-weight:bold;color: #9B0000">
                                  Campos Obligatorios (*)
                                </div>
                                <div class="col-md-12 fom-group">
                                  <input type='text' name='postID' hidden id='postID'>
                                  <input type="text" style="display: none;" id="txtformato" name="txtformato">
                                  <a  style="cursor:pointer;color: white !important" type="button" class="btn btn-block btn-success" id="btn_subir" onclick="registrar_tramite();">&nbsp;Enviar Tr&aacute;mite</a>
                                </div>

                              </div>
                            </div>
                        </div>
                      </div>
                    </div>
                  </form>
                  <button class="btn btn-secondary" id="prevStep">Anterior</button>
                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->

  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      <b>Version</b> 4.3
    </div>
    <!-- Default to the left -->
    <strong>Derechos Reservados <a href="https://www.facebook.com/softnetpe/" target="_blank"><label id="lb_derechos0"></label></a>.</strong>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="Vista/_Plantilla/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="Vista/_Plantilla/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="Vista/_Plantilla/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>

<script src="Vista/_Plantilla/dist/js/adminlte.min.js"></script>

<script src="Vista/_Plantilla/plugins/select2/js/select2.full.min.js"></script>
<script src="Vista/js/sweetalert2.js"></script>
<script src="Vista/js/console_usuario.js?rev=<?php echo time();?>"></script>
<script src="Vista/js/console_tramite.js?rev=<?php echo time();?>"></script>
<script src="Vista/js/console_webapi.js?rev=<?php echo time();?>"></script>
<link rel="stylesheet" href="Vista/_Plantilla/plugins/dropzone/min/dropzone.min.css">
<script src="Vista/_Plantilla/plugins/dropzone/min/dropzone.min.js?rev=<?php echo time();?>"></script>
</body>
</html>

<script>
$("#prueba").click(function(){
    var dni = $("#txtdni").val();

    $.ajax({           
        type: "POST",
        url: "consulta-dni-ajax.php",
        data: { dni: dni },
        dataType: "json",
        success: function(data) {
            if(data.error) {
                alert(data.error);
            } else {
                $("#txtnombre").val(data.nombres);
                $("#txtapepat").val(data.apellidoPaterno);
                $("#txtapemat").val(data.apellidoMaterno);
            }
        },
        error: function() {
            alert("Error en la solicitud AJAX");
        }
    });
});
</script>


<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
    //buscar_orden_externo();
    traer_logo();
    buscar_horario_atencion();
    obtener_tokens();
  });
</script>
<style type="text/css">
  a, h3, h1{
    font-weight: bold !important;
  }
</style>
<script type="text/javascript">
  $('.select2').select2();
  function soloNumerosyletrasDatapicker(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = "0123456456789-";
     especiales = "";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumerosyletras(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = " áéíóúabcdefghijklmnñopqrstuvwxyz0123456456789:/.,\@-_*{}[]";
     especiales = "8-37-39-46-58";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumeros(e){
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8){
        return true;
    }
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
  }
  function soloLetras(e){
      key = e.keyCode || e.which;
      tecla = String.fromCharCode(key).toLowerCase();
      letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
      especiales = "8-37-39-46";
      tecla_especial = false
      for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }
      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNroDocumento(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "abcdefghijklmnñopqrstuvwxyz0123456456789\@-_";
    especiales = "8-37-39-46-58";

    tecla_especial = false
    for(var i in especiales){
        if(key == especiales[i]){
            tecla_especial = true;
            break;
        }
    }
    if(letras.indexOf(tecla)==-1 && !tecla_especial){
        return false;
    }
  }
  function mantenimiento() {
    Swal.fire("Mensaje de Aviso","Opci&oacute;n en mantenimiento","info");
  }
  $("#cmb_tipodocumento").change(function(){
    traer_requisitos();
  });
</script>
<style>
  .btn{
    font-weight: bold;
  }
  h1{
    font-weight: bold;
  }
  small{
    font-weight: bold;
  }
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<script type="text/javascript">
  var fecha = new Date();
  var ano = fecha.getFullYear();
  $("#cbm_anio").val(ano).trigger("change");
  traer_idunico();
  $('input[type="file"]').on('change', function(){
      var ext = $( this ).val().split('.').pop();
      console.log($( this ).val());
      if ($( this ).val() != '') {
      if(ext == "PDF" || ext == "pdf" || ext == "docx"|| ext == "DOCX"|| ext == "zip" || ext == "png" || ext == "PNG" || ext == "jpg" || ext == "JPG" || ext == "jpeg"  || ext == "JPEG" || ext == "rar" || ext == "xlsx"  || ext == "xls" ){
          if($(this)[0].files[0].size > 31457280){ //---- 30 MB 
          //if($(this)[0].files[0].size > 1048576){ // 1 MB
          //if($(this)[0].files[0].size > 10485760){ // ---> 10 MB
            Swal.fire("El archivo selecionado es demasiado pesado","<label style='color:#9B0000;'>seleccionar un archivo mas liviano</label>","warning");
            $("#txtformato").val("");
            $("#txt_archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            return;
            //$("#btn_subir").prop("disabled",true);
          }else{
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
        }
        else
        {
          $("#txtformato").val("");
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
        }
      }
  });
  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
  var cbm_representacion ="";
  var porrepresentacion=document.getElementsByName("r1");
  for(var i=0;i<porrepresentacion.length;i++){
      if(porrepresentacion[i].checked)
          cbm_representacion=porrepresentacion[i].value;
        //alert(cbm_representacion);
  }
  $("#txt_representacion").val(cbm_representacion);

  if (cbm_representacion==="A Nombre Propio") {
    document.getElementById('div_juridico').style.display = 'none';
  }
  if (cbm_representacion==="A otra Persona Natural") {
    document.getElementById('div_juridico').style.display = 'none';
  }
  if (cbm_representacion==="Persona Jurídica") {
    document.getElementById('div_juridico').style.display = 'block';
  }
  $('#rad_representacion1').on('click', function() {
      document.getElementById('div_juridico').style.display = 'none';
      $("#txt_representacion").val("A Nombre Propio");
  });
  $('#rad_representacion2').on('click', function() {
      document.getElementById('div_juridico').style.display = 'none';
      $("#txt_representacion").val("A otra Persona Natural");
  });
  $('#rad_representacion3').on('click', function() {
      document.getElementById('div_juridico').style.display = 'block';
      $("#txt_representacion").val("Persona Jurídica");
  });
  combo_tipodocumento_externo();
  opcion_verificar();
  function opcion_verificar() {
    if (document.getElementById('checkaceptar').checked==false) {
      $("#btn_subir").addClass("disabled");
    }else{
      $("#btn_subir").removeClass("disabled");
    }
  }
</script>
<style type="text/css">
  td{
    border: 2px solid black;
    word-wrap: break-word;
    text-align: justify;
  }
</style>
<style type="text/css">
  .timeline > div > div {
    margin-bottom: 15px;
    margin-right: 10px;
    position: relative;
  }
  .timeline > div > .time-label > span {
    border-radius: 4px;
    background-color: #fff;
    display: inline-block;
    font-weight: 600;
    padding: 5px;
  }
  .timeline > div > .fa, .timeline > div > .fab, .timeline > div > .far, .timeline > div > .fas, .timeline > div > div > .fas, .timeline > div > .glyphicon, .timeline > div > .ion {
      background: #adb5bd;
          background-color: rgb(173, 181, 189);
      border-radius: 50%;
      font-size: 15px;
      height: 30px;
      left: 18px;
      line-height: 30px;
      position: absolute;
      text-align: center;
      top: 0;
      width: 30px;
  }
  .timeline > div > div > .timeline-item {
      box-shadow: 0 0 1px rgba(0,0,0,.125),0 1px 3px rgba(0,0,0,.2);
      border-radius: .25rem;
      background: #fff;
      color: #495057;
      margin-left: 60px;
      margin-right: 15px;
      margin-top: 0;
      padding: 0;
      position: relative;
  }

  .timeline > div > div > .timeline-item > .time {
      color: #999;
      float: right;
      font-size: 12px;
      padding: 10px;
  }
  .timeline > div >  div > .timeline-item > .timeline-header {
      border-bottom: 1px solid rgba(0,0,0,.125);
      color: #495057;
      font-size: 16px;
      line-height: 1.1;
      margin: 0;
      padding: 10px;
  }
  .timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
      padding: 10px;
  }
  .timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
      padding: 10px;
  }
</style>
<div id="div_progress">
  <div class="modal fade bs-example-modal-lg" id="modal_procesar_datos_2">
    <div class="modal-dialog modal-lg modal-dialog-centered"  style="width: 75%">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel"><i class="fa fa-clock-o"></i> ESPERE UNOS MOMENTOS PORFAVOR: LOS DATOS SE ESTAN PROCESANDO.</h4>
        </div>
        <div class="modal-body center-block"> 
          <div id="div_cadena_progress"></div>       
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  Dropzone.autoDiscover = false

  // Get the template HTML and remove it from the doumenthe template HTML and remove it from the doument
  var previewNode = document.querySelector("#template_oeew")
  previewNode.id = ""
  var previewTemplate = previewNode.parentNode.innerHTML
  previewNode.parentNode.removeChild(previewNode)

  if (myDropzone) {
    myDropzone.destroy();
  }
  var arrayFiles = [];
  var myDropzone = new Dropzone(document.body, { // Make the whole body a dropzone
    url: "/", // Set the url
    init:function () {
      this.on("addedfile",function(file) {
        //console.log(arrayFiles);
        
        if (file.type != "application/pdf") {
          arrayFiles.push(file);
          //var index = arrayFiles.indexOf(file);
          //arrayFiles.splice(index, 1);
          this.removeFile(file);
        }else{
          arrayFiles.push(file);
        }

        //console.log(arrayFiles);
      });
      this.on("removedfile",function(file) {
        var index = arrayFiles.indexOf(file);
        arrayFiles.splice(index, 1);
        console.log("hli"+arrayFiles);
      });
    },
    //addRemoveLinks: true,
    //aceptedFile:"image/jpg",
    //maxFilesize:2,
    //maxFiles:1,
    //maxFilesize: 1,
    //maxThumbnailFilesize: 1,
    acceptedFiles: "application/pdf",
    thumbnailWidth: 80,
    thumbnailHeight: 80,
    parallelUploads: 20,
    previewTemplate: previewTemplate,
    autoQueue: false, // Make sure the files aren't queued until manually added
    previewsContainer: "#previews", // Define the container to display the previews
    clickable: ".fileinput-button" // Define the element that should be used as click trigger to select files.
  })

  myDropzone.on("addedfile", function(file) {
    // Hookup the start button
    file.previewElement.querySelector(".start").onclick = function() { 
      myDropzone.enqueueFile(file) 
    }
    //dropzoneForm.removeFile(file);
  })

  // Update the total progress bar
 /* myDropzone.on("totaluploadprogress", function(progress) {
    document.querySelector("#total-progress .progress-bar").style.width = progress + "%"
  })*/

  myDropzone.on("sending", function(file) {
    // Show the total progress bar when upload starts
   // document.querySelector("#total-progress").style.opacity = "1"
    // And disable the start button
    //file.previewElement.querySelector(".start").setAttribute("disabled", "disabled")
  })

  // Hide the total progress bar when nothing's uploading anymore
  /*myDropzone.on("queuecomplete", function(progress) {
    document.querySelector("#total-progress").style.opacity = "0"
  })*/

  // Setup the buttons for all transfers
  // The "add files" button doesn't need to be setup because the config
  // `clickable` has already been specified.
  /*document.querySelector("#actions .start").onclick = function() {
    myDropzone.enqueueFiles(myDropzone.getFilesWithStatus(Dropzone.ADDED))
  }*/
  document.querySelector("#actions .cancel").onclick = function() {
    myDropzone.removeAllFiles(true)
  }
</script>
<script type="text/javascript">
  function prueba() {
    alert(arrayFiles);
    // body...
  }
  //Dropzone.prototype.defaultOptions.dictInvalidFileType = "Formato no permitido";
  document.getElementById('nextStep').addEventListener('click', function() {
  document.getElementById('step1').classList.remove('active');
  document.getElementById('step2').classList.add('active');
});

document.getElementById('prevStep').addEventListener('click', function() {
  document.getElementById('step2').classList.remove('active');
  document.getElementById('step1').classList.add('active');
});

document.getElementById('submitForm').addEventListener('click', function() {
  // Agrega aquí la lógica para enviar el formulario
});

</script>
